<?php

/**
 * ReduxFramework Sample Config File
 * For full documentation, please visit: http://docs.reduxframework.com/
 */
if (!class_exists('Redux')) {
    return;
}
if (!function_exists('kable_is_custom_post_activated')) {
    /**
     * Check if custom post is activated
     */
    function kable_is_custom_post_activated()
    {
        return class_exists('PikoWorks_CPT') ? true : false;
    }
}


// This is your option name where all the Redux data is stored.
$opt_name = "kable";
$theme = wp_get_theme();

if (!defined('PIKO_PORTFOLIO_CATEGORY_TAXONOMY')) {
    $portfolio_cat = 'portfolio-category';
}
$args = array(
    'opt_name' => $opt_name,
    'display_name' => 'Kable ' . esc_html__('Options', 'kable') . '<a class="admin-theme-link" href="' . admin_url('admin.php?page=pikowroks_currency') . '">Currency Switcher</a>',
    'display_version' => esc_html__('Theme Version: ', 'kable') . $theme->get('Version'),
    'menu_type' => 'submenu',
    'allow_sub_menu' => true,
    'menu_title' => esc_html__('Theme Options', 'kable'),
    'page_title' => esc_html__('Theme Options', 'kable'),
    'google_api_key' => '',
    'google_update_weekly' => false,
    'async_typography' => true,
    //'disable_google_fonts_link' => true,
    'admin_bar' => false,
    'global_variable' => '',
    'dev_mode' => false,
    'update_notice' => false,
    'customizer' => true,
    'page_priority' => 61,
    'page_parent' => 'themes.php',
    'page_permissions' => 'manage_options',
    'menu_icon' => 'dashicons-admin-generic',
    'last_tab' => '',
    'page_icon' => 'icon-themes',
    'page_slug' => 'theme_options',
    'save_defaults' => true,
    'default_show' => false,
    'default_mark' => '',
    'show_import_export' => true,
    'transient_time' => 60 * MINUTE_IN_SECONDS,
    'output' => true,
    'output_tag' => true,
    'database' => '',
    'use_cdn' => true,
    // HINTS
    'hints' => array(
        'icon' => 'el el-question-sign',
        'icon_position' => 'right',
        'icon_color' => 'lightgray',
        'icon_size' => 'normal',
        'tip_style' => array(
            'color' => 'red',
            'shadow' => true,
            'rounded' => false,
            'style' => '',
        ),
        'tip_position' => array(
            'my' => 'top left',
            'at' => 'bottom right',
        ),
        'tip_effect' => array(
            'show' => array(
                'effect' => 'slide',
                'duration' => '500',
                'event' => 'mouseover',
            ),
            'hide' => array(
                'effect' => 'slide',
                'duration' => '500',
                'event' => 'click mouseleave',
            ),
        ),
    ),
    'output' => true,
    'output_tag' => true,
    'compiler' => true,
    'page_permissions' => 'manage_options',
    'save_defaults' => true,
    'database' => 'options',
    'transient_time' => '3600',
    'show_import_export' => false,
    'network_sites' => true
);

Redux::setArgs($opt_name, $args);
//  START general option Fields
Redux::setSection($opt_name, array(
    'title' => esc_html__('General', 'kable'),
    'id' => 'basic',
    'customizer_width' => '400px',
    'icon' => 'el el-home',
    'fields' => array(
        array(
            'id' => 'main-width-content',
            'type' => 'button_set',
            'title' => esc_html__('Main body Content width', 'kable'),
            'options' => array(
                'container' => 'Container',
                'container-fluid' => 'Container Fluid',
            ),
            'default' => 'container'
        ),
        array(
            'id' => 'container_width_custom',
            'type' => 'text',
            'title' => esc_html__('Container width', 'kable'),
            'default' => '1170',
            'validate' => 'numeric',
            'required' => array('main-width-content', '=', 'container', ),
            'desc' => esc_html__('Defined in pixels. Do not add the \'px\' unit and its effect all section tabs container button value.', 'kable'),
        ),
        array(
            'id' => 'optn_enable_loader',
            'type' => 'switch',
            'title' => esc_html__('Enable Preloader', 'kable'),
            'default' => '0',
        ),
        array(
            'id' => 'home_preloader',
            'type' => 'select',
            'title' => esc_html__('Preloader style', 'kable'),
            'options' => array(
                'slide' => 'Slide top Bar',
                'round-1' => '3 Dot',
                'various-3' => 'Dot Scaleout',
                'various-4' => 'Dot Bounce',
                'various-5' => 'Spinner',
                'various-8' => 'Spinner 02',
                'various-7' => 'Spinner 03',
            ),
            'default' => 'various-4',
            'required' => array('optn_enable_loader', '=', true, ),
        ),
        array(
            'id' => 'home_preloader_bg_color',
            'type' => 'color_rgba',
            'title' => esc_html__('Preloader background color', 'kable'),
            'default' => '',
            'required' => array('home_preloader', '!=', 'slide', ),
        ),
        array(
            'id' => 'home_preloader_spinner_color',
            'type' => 'color',
            'title' => esc_html__('Preloader spinner color', 'kable'),
            'validate' => 'color',
            'required' => array('optn_enable_loader', '=', true, ),
        ),
        array(
            'id' => 'boxed_site',
            'type' => 'switch',
            'title' => esc_html__('Enable Boxed Version', 'kable'),
            'default' => '0',
        ),
        array(
            'id' => 'main_width_floatled',
            'type' => 'button_set',
            'title' => esc_html__('Boxed Version', 'kable'),
            'options' => array(
                'theme_boxed' => esc_html__('Boxed', 'kable'),
                'theme_float_boxed' => esc_html__('Float Boxed', 'kable'),
                'theme_float' => esc_html__('Float Full', 'kable'),
            ),
            'default' => 'theme_boxed',
            'required' => array('boxed_site', '=', 1),
        ),
        array(
            'id' => 'boxed_background_custom_image',
            'type' => 'background',
            'title' => esc_html__('Background Image/Pattern', 'kable'),
            'required' => array('boxed_site', '=', 1),
            'output' => array('background-image' => 'body')
        ),
    )
));
// coming soon
Redux::setSection($opt_name, array(
    'title' => esc_html__('Maintanence Mode', 'kable'),
    'subsection' => true,
    'icon' => 'el el-icon-time',
    'fields' => array(
        array(
            'id' => 'enable_coming_soon_mode',
            'type' => 'switch',
            'title' => esc_html__('Enable maintanence mode', 'kable'),
            'subtitle' => esc_html__('If turn on, All member login then see the site', 'kable'),
            'default' => 0,
        ),
        array(
            'id' => 'coming_soon_date',
            'type' => 'date',
            'title' => esc_html__('Date setup', 'kable'),
            'required' => array('enable_coming_soon_mode', '=', 1),
        ),
        array(
            'id' => 'disable_coming_soon_when_date_small',
            'type' => 'switch',
            'title' => esc_html__('Coming soon disable when count down date expired', 'kable'),
            'default' => 1,
            'on' => esc_html__('Disable', 'kable'),
            'off' => esc_html__('Don\'t disable', 'kable'),
            'required' => array('enable_coming_soon_mode', '=', 1),
        ),
        array(
            'id' => 'coming_soon_bg',
            'type' => 'background',
            'url' => true,
            'title' => esc_html__('Coming Soon Background image', 'kable'),
            'compiler' => 'true',
            'preview' => 'true',
            'default' => array(
                'background-color' => '',
                'background-image' => ''
            ),
            'output' => array('background-image' => '.coming-soon'),
            'required' => array('enable_coming_soon_mode', '=', 1),
        ),
        array(
            'id' => 'coming_soon_text',
            'type' => 'editor',
            'title' => esc_html__('Coming soon text', 'kable'),
            'subtitle' => esc_html__('Allow custom html and style', 'kable'),
            'default' => wp_kses(__('Unfortunately, we are not quite ready yet. But, you can see our progres above. <a href="help@example.com">help@example.com</a>', 'kable'), array('br', 'a' => array('href' => array()), 'b')),
            'desc' => 'Mailchimp Shortcode like as: [mc4wp_form id="4271"] if collect email address contact form7 shortcode: [contact-form-7 id="3272" title="Sign up"]',
            'required' => array('enable_coming_soon_mode', '=', 1),
        ),
        array(
            'id' => 'enable_coming_soon_social',
            'type' => 'switch',
            'title' => esc_html__('Social Icon', 'kable'),
            'subtitle' => esc_html__('Social icon on/off', 'kable'),
            'required' => array('enable_coming_soon_mode', '=', 1),
            'default' => 0,
            'on' => esc_html__('On', 'kable'),
            'off' => esc_html__('Off', 'kable'),
        ),
        array(
            'id' => 'coming_soon_social',
            'type' => 'checkbox',
            'title' => esc_html__('Social page Icons to display', 'kable'),
            'subtitle' => esc_html__('NB: If dont show shocial icon just uncheck. The Social urls taken from Social Media settings tab', 'kable'),
            'required' => array('enable_coming_soon_social', '=', 1),
            'default' => array(
                'facebook' => '1',
                'twitter' => '1',
                'instagram' => '1',
                'flickr' => '1'
            ),
            'options' => array(
                'facebook' => 'Facebook',
                'twitter' => 'Twitter',
                'flickr' => 'Flickr',
                'instagram' => 'Instagram',
                'behance' => 'Behance',
                'dribbble' => 'Dribbble',
                'git' => 'Git',
                'linkedin' => 'Linkedin',
                'pinterest' => 'Pinterest',
                'yahoo' => 'Yahoo',
                'delicious' => 'Delicious',
                'dropbox' => 'Dropbox',
                'reddit' => 'Reddit',
                'soundcloud' => 'Soundcloud',
                'google' => 'Google',
                'google-plus' => 'Google Plus',
                'skype' => 'Skype',
                'youtube' => 'Youtube',
                'vimeo' => 'Vimeo',
                'tumblr' => 'Tumblr',
                'whatsapp' => 'Whatsapp',
            ),
        ),
        array(
            'id' => 'coming_countdown_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Font color', 'kable'),
            'required' => array('enable_coming_soon_mode', '=', 1),
            'output' => array(
                'color' => '.coming-soon .coming-content, .coming-soon .coming-content a,'
            )
        ),
    ),
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Performance', 'kable'),
    'icon' => 'el el-dashboard',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'enable_minifile',
            'type' => 'switch',
            'title' => esc_html__('Enable Mini File JS', 'kable'),
            'default' => '0',
        ),
    )
));
//404 style
Redux::setSection($opt_name, array(
    'title' => esc_html__('Page 404', 'kable'),
    'icon' => 'el el-remove-sign',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_404_content',
            'type' => 'editor',
            'title' => esc_html__('Body content 404', 'kable'),
            'args' => array(
                'teeny' => true,
            ),
            'default' => sprintf(wp_kses(__('<h1>%s<span class="c_p">%s</span>%s</h1><h2>%s</h2><p>%s</p>', 'kable'), 
            array(
                'h1' => array('class' => array()),
                'span' => array('class' => array()),
                'h2' => array('class' => array()),
                'p' => array('class' => array()),
                'br'
            )), '4','0','4','PAGE NOT FOUND','Sorry, the page you are looking for is not available. <br />  Maybe you want to perform a search?'),
        ),
        array(
            'id' => 'optn_404_bg_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('background Color', 'kable'),
            'output' => array(
                'background-color' => '.error404 .site #piko-content'
            )
        ),
        array(
            'id' => 'optn_404_font_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Font Color', 'kable'),
            'subtitle' => esc_html__('Color effective follwing html', 'kable'),
            'output' => array(
                'color' => '.error404 .error-page h1,.error404 .error-page h2,.error404 .error-page,.error404 .error-btn a,.error404 .c_p,.not-found .search-form .search-field,.search-no-results .search-form .search-submit'
            )
        ),
    )
));
//  header option
Redux::setSection($opt_name, array(
    'title' => esc_html__('Header', 'kable'),
    'desc' => esc_html__('These are really basic fields!', 'kable'),
    'customizer_width' => '400px',
    'icon' => 'dashicons dashicons-archive'
));

//header logo, menu
Redux::setSection($opt_name, array(
    'title' => esc_html__('Logo upload', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'enable_text_logo',
            'type' => 'button_set',
            'title' => esc_html__('Logo Type', 'kable'),
            'default' => 'img',
            'options' => array(
                'text' => 'Default',
                'img' => 'Image',
                'svg' => 'SVG',
            ),
        ),
        array(
            'id' => 'logo_upload',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Logo upload', 'kable'),
            'compiler' => true,
            'required' => array('enable_text_logo', '=', 'img'),
            'default' => array(
                'url' => get_template_directory_uri() . '/assets/images/logo/logo.png'
            )
        ),
        array(
            'id' => 'logo_upload_svg',
            'type' => 'textarea',
            'title' => esc_html__('logo SVG Code', 'kable'),
            'desc' => esc_html__('NB: Remove svg width, height and should be set inline width,height css property svg line', 'kable'),
            'required' => array('enable_text_logo', '=', 'svg')
        ),
        array(
            'id' => 'logo_max_width',
            'type' => 'text',
            'title' => esc_html__('Logo Max Width', 'kable'),
            'default' => '120',
            'validate' => 'numeric',
            'required' => array('enable_text_logo', '=', 'img'),
            'desc' => esc_html__('Defined in pixels. Do not add the \'px\' unit.', 'kable'),
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Site Icon', 'kable'),
    'desc' => esc_html__('Bellow option iOS bookmark, Global site icon you can SET: Appearence -> Customize -> Site Identity.', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'custom_ios_title',
            'type' => 'text',
            'title' => esc_html__('Custom iOS Bookmark Title', 'kable'),
            'subtitle' => esc_html__('Enter a custom title for your site for when it is added as an iOS bookmark.', 'kable'),
            'default' => ''
        ),
        array(
            'id' => 'custom_ios_icon57',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Custom iOS 57x57', 'kable'),
            'subtitle' => esc_html__('Upload a 57px x 57px Png image that will be your website bookmark on non-retina iOS devices.', 'kable'),
        ),
        array(
            'id' => 'custom_ios_icon72',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Custom iOS 72x72', 'kable'),
            'subtitle' => esc_html__('Upload a 72px x 72px Png image that will be your website bookmark on non-retina iOS devices.', 'kable'),
        ),
        array(
            'id' => 'custom_ios_icon114',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Custom iOS 114x114', 'kable'),
            'subtitle' => esc_html__('Upload a 114px x 114px Png image that will be your website bookmark on retina iOS devices.', 'kable'),
        ),
        array(
            'id' => 'custom_ios_icon144',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Custom iOS 144x144', 'kable'),
            'subtitle' => esc_html__('Upload a 144px x 144px Png image that will be your website bookmark on retina iOS devices.', 'kable'),
        ),
    )
));

//header top menu
Redux::setSection($opt_name, array(
    'title' => esc_html__('Top Bar', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'enable_top_bar',
            'type' => 'switch',
            'title' => esc_html__('Enable Top Bar', 'kable'),
            'default' => '0',
        ),
        array(
            'id' => 'top_bar_cols',
            'type' => 'button_set',
            'title' => esc_html__('Top bar Column', 'kable'),
            'default' => '2',
            'options' => array(
                '2' => esc_html__('2 Cols', 'kable'),
                '3' => esc_html__('3 Cols', 'kable'),
            ),
            'required' => array('enable_top_bar', '=', array('1'))
        ),
        array(
            'title' => esc_html__('Top bar left text', 'kable'),
            'id' => 'top_bar_infotext',
            'required' => array('enable_top_bar', '=', array('1')),
            'type' => 'textarea',
            'default' => '<ul>
                        <li><i class="fa fa-clock-o"></i><span>MON - SAT: 08 am - 17 pm</span></li>
                        <li><i class="fa fa-envelope-o"></i><a href="mailto:support@example.com">Support@example.com</a></li>
                </ul>'
        ),
        array(
            'title' => esc_html__('Top bar center text', 'kable'),
            'id' => 'top_bar_infotext_center',
            'type' => 'textarea',
            'required' => array('top_bar_cols', '=', array('3')),
            'default' => 'Summer sale 15% off! <a href="#"> Shop Now</a>'
        ),
        array(
            'id' => 'top_bar_right_option',
            'type' => 'switch',
            'title' => esc_html__('Top bar right', 'kable'),
            'subtitle' => esc_html__('Top menu wp-admin-> appearance->menu->top menu', 'kable'),
            'default' => '0',
            'on' => esc_html__('Custom', 'kable'),
            'off' => esc_html__('Top menu', 'kable'),
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'id' => 'top_currency',
            'type' => 'switch',
            'title' => esc_html__('Currency Switcher', 'kable'),
            'subtitle' => esc_html__('Top bar right', 'kable'),
            'default' => false,
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'id' => 'top_wpml_lang',
            'type' => 'switch',
            'title' => esc_html__('WPML Multilanguage switcher', 'kable'),
            'subtitle' => esc_html__('Top bar right', 'kable'),
            'default' => false,
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'title' => esc_html__('Custom text right', 'kable'),
            'id' => 'top_bar_infotext_right',
            'type' => 'textarea',
            'required' => array('top_bar_right_option', '=', 1),
            'default' => 'Custom text/Shortcode'
        ),
        array(
            'id' => 'top_bar_social',
            'type' => 'button_set',
            'title' => esc_html__('Social icon position', 'kable'),
            'options' => array(
                'left' => 'Left',
                'center' => 'Center',
                'right' => 'Right',
                'none' => 'None'
            ),
            'default' => 'none',
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'id' => 'top_bar_use_social',
            'type' => 'checkbox',
            'title' => esc_html__('Select Social Media Icons to display', 'kable'),
            'subtitle' => esc_html__('The Social urls taken from Social Media settings tab please enter first the social Urls.', 'kable'),
            'required' => array('top_bar_social', '=', array('left', 'center', 'right'), ),
            'default' => array(
                'facebook' => '1',
                'twitter' => '1',
                'instagram' => '1',
                'flickr' => '1'
            ),
            'options' => array(
                'facebook' => 'Facebook',
                'twitter' => 'Twitter',
                'flickr' => 'Flickr',
                'instagram' => 'Instagram',
                'behance' => 'Behance',
                'dribbble' => 'Dribbble',
                'git' => 'Git',
                'linkedin' => 'Linkedin',
                'pinterest' => 'Pinterest',
                'yahoo' => 'Yahoo',
                'delicious' => 'Delicious',
                'dropbox' => 'Dropbox',
                'reddit' => 'Reddit',
                'soundcloud' => 'Soundcloud',
                'google' => 'Google',
                'google-plus' => 'Google Plus',
                'skype' => 'Skype',
                'youtube' => 'Youtube',
                'vimeo' => 'Vimeo',
                'tumblr' => 'Tumblr',
                'whatsapp' => 'Whatsapp',
            ),
        ),
        array(
            'id' => 'header_topbar_color_options',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Header Topbar color configure</h3>',
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'title' => esc_html__('Background Color', 'kable'),
            'id' => 'header_topbar_background_color',
            'type' => 'color_rgba',
            'default' => '',
            'transparent' => true,
            'output' => array('background-color' => '.header-top'),
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'title' => esc_html__('Text-color', 'kable'),
            'id' => 'header_topbar_text_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array('color' => '.header-top, .header-top a,.header-top ul ul a'),
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'title' => esc_html__('link hover color', 'kable'),
            'id' => 'header_topbar_link_hover_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array('color' => '.header-top a:hover'),
            'required' => array('enable_top_bar', '=', 1),
        ),
        array(
            'id' => 'topbar_inner',
            'type' => 'switch',
            'title' => esc_html__('Enable Top Bar Inner', 'kable'),
            'default' => '0',
        ),
        array(
            'id' => 'topbar_inner_show',
            'type' => 'switch',
            'title' => esc_html__('Inner content only show fontpage', 'kable'),
            'default' => '1',
            'required' => array('topbar_inner', '=', 1),
        ),
        array(
            'title' => esc_html__('Top Bar inner content', 'kable'),
            'id' => 'topbar_inner_content',
            'type' => 'editor',
            'required' => array('topbar_inner', '=', 1),
            'default' => 'Custom text and allow html'
        ),
    )
));
//header main menu
Redux::setSection($opt_name, array(
    'title' => esc_html__('Menu Layout', 'kable'),
    'desc' => esc_html__('Configure your Main Menu Bellow the Option Available', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'full_width_menu',
            'type' => 'button_set',
            'title' => esc_html__('Manu width', 'kable'),
            'options' => array(
                'container' => 'Container',
                'container-fluid' => 'Container Fluid',
            ),
            'default' => 'container-fluid'
        ),
        array(
            'id' => 'menu_style',
            'type' => 'image_select',
            'title' => esc_html__('Layout', 'kable'),
            'options' => array(
                '1' => array('alt' => 'style 1', 'img' => get_template_directory_uri() . '/assets/images/theme-options/header-1.jpg'),
                '2' => array('alt' => 'style 2', 'img' => get_template_directory_uri() . '/assets/images/theme-options/header-2.jpg'),
                '24' => array('alt' => 'style 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/header-51.jpg'),
                '6' => array('alt' => 'style 4', 'img' => get_template_directory_uri() . '/assets/images/theme-options/header-6.jpg'),
                '7' => array('alt' => 'style 5', 'img' => get_template_directory_uri() . '/assets/images/theme-options/header-7.jpg'),
                '8' => array('alt' => 'style 6', 'img' => get_template_directory_uri() . '/assets/images/theme-options/header-8.jpg'),
            ),
            'default' => '2'
        ),
        array(
            'id' => 'menu_login_form',
            'type' => 'button_set',
            'title' => esc_html__('Login Menu or From', 'kable'),
            'subtitle' => esc_html__('Login Menu mean? Primary Login Menu', 'kable'),
            'default' => '0',
            'options' => array(
                '0' => esc_html__('None', 'kable'),
                '1' => esc_html__('Login Menu', 'kable'),
                '2' => esc_html__('Login Form', 'kable'),
            ),
            'default' => '1'
        ),
        array(
            'id' => 'optn_terms_of_use_url',
            'title' => esc_html__('Terms & Condition page', 'kable'),
            'subtitle' => esc_html__('The terms of use link page show on register form', 'kable'),
            'type' => 'select',
            'data' => 'pages',
            'required' => array('menu_login_form', '=', '2'),
        ),
        array(
            'id' => 'enable_main_menu_category',
            'type' => 'switch',
            'title' => esc_html__('Enable Vertical Menu', 'kable'),
            'default' => '0',
            'required' => array('menu_style', '=', array('24')),
        ),
        array(
            'id' => 'main_menu_category_title',
            'type' => 'text',
            'title' => esc_html__('Secondary vertical menu title', 'kable'),
            'default' => esc_html__('Categories', 'kable'),
            'required' => array('enable_main_menu_category', '=', 1),
        ),
        array(
            'id' => 'main_menu_category_open',
            'type' => 'switch',
            'title' => esc_html__('Vertical Menu Open Fontpage', 'kable'),
            'subtitle' => esc_html__('Fontpage Always show other page show, when hover', 'kable'),
            'default' => '1',
            'required' => array('enable_main_menu_category', '=', 1),
        ),
        array(
            'id' => "vertical_menu_animation",
            'type' => 'select',
            'title' => esc_html__('Secondary Vertical Menu Effect', 'kable'),
            'options' => array(
                'effect-fadein-right' => esc_html__('Fade In Right', 'kable'),
                'effect-fadein-left' => esc_html__('Fade In Left', 'kable'),
                'effect-fadein' => esc_html__('Fade In', 'kable'),
                'effect-down' => esc_html__('Drop Down', 'kable'),
                'effect-fadein-up' => esc_html__('Fade In Up', 'kable'),
                'effect-fadein-down' => esc_html__('Fade In Down', 'kable'),
            ),
            'default' => 'effect-fadein-right',
            'required' => array('enable_main_menu_category', '=', 1),
        ),
        array(
            'id' => 'vertical_menu_sidebar',
            'type' => 'select',
            'title' => esc_html__('Vertical menu bottom Sidebar', 'kable'),
            'subtitle' => "Choose Your sidebar",
            'data' => 'sidebars',
            'default' => '',
            'required' => array('menu_style', '=', array('3')),
        ),
        array(
            'id' => 'menu_before_slider_enable',
            'type' => 'switch',
            'title' => esc_html__('Slider before menu', 'kable'),
            'subtitle' => esc_html__('Tab Transparency Should be disable', 'kable'),
            'default' => 0,
            'required' => array('menu_style', '=', array('2', '1'))
        ),
        array(
            "type" => "text",
            "title" => esc_html__('Put the slider shortcode', 'kable'),
            'subtitle' => esc_html__('Enter Slider Revolution shortcode', 'kable'),
            'desc' => esc_html__('Like as: [rev_slider alias="home1"]  Here any shortcode works', 'kable'),
            "id" => "menu_before_slider",
            'required' => array('menu_before_slider_enable', '=', 1)
        ),
        array(
            "type" => "switch",
            "title" => esc_html__('Enable Sticky menu', 'kable'),
            'subtitle' => esc_html__('Please read the text important', 'kable'),
            'desc' => esc_html__('!IMPORTANT: slide after menu sticky mode if enable sticky mode perfectly works. if need additional change: Tab Sticky Menu -> Sticky Header option enable then configure', 'kable'),
            "id" => "slide_after_menu_sticky",
            'default' => 0,
            'required' => array('menu_before_slider_enable', '=', 1)
        ),
        array(
            'id' => 'optn_verticle_menu_sidebar',
            'type' => 'select',
            'title' => esc_html__('Vertical menu bottom Sidebar', 'kable'),
            'subtitle' => "Choose Your sidebar",
            'data' => 'sidebars',
            'default' => '',
            'required' => array('menu_style', '=', array('3')),
        ),
        array(
            'id' => 'menu_custom_text',
            'type' => 'textarea',
            'title' => esc_html__('Custom Text', 'kable'),
            'subtitle' => esc_html__('NB: add Your custom text flowing html', 'kable'),
            'required' => array('menu_style', '=', array('5')),
            'default' => wp_kses(__('<ul>
                                <li>
                                   <i class="fa fa-truck"></i>
                                   <span>Free Delivery</span>
                                   <p>on all orders</p>
                                </li>
                                <li>
                                   <i class="fa fa-clock-o"></i>
                                   <span class="text-custom">08:00 - 17:00</span>
                                   <p>monday - saturday</p>
                                </li>
                                <li>
                                   <i class="fa fa-phone"></i>
                                   <span class="text-custom">0203-980-14-79</span>
                                   <p>call us now</p>
                                </li>
                            </ul>', 'kable'), array('div' => array('class' => array(), ), 'ul' => array('class' => array(), ), 'li' => array(), 'i' => array('class' => array()), 'span' => array(), 'p' => array(), 'a' => array('href' => array(), 'target' => array()))),
        ),
        array(
            'id' => 'main_menu_bg',
            'type' => 'background',
            'url' => true,
            'title' => esc_html__('Background Image', 'kable'),
            'compiler' => 'true',
            'preview' => 'true',
            'preview_media' => 'true',
            'background-size' => 'true',
            'background-attachment' => 'true',
            'output' => array('background-image' => '.site-header')
        ),
    )
));
//header main menu configure
Redux::setSection($opt_name, array(
    'title' => esc_html__('Configure', 'kable'),
    'desc' => esc_html__('Configure Main Menu Available Option', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => "main_menu_animation",
            'type' => 'select',
            'title' => esc_html__('Menu Dropdown Effect', 'kable'),
            'options' => array(
                'effect-down' => esc_html__('Drop Down', 'kable'),
                'effect-fadein-up' => esc_html__('Fade In Up', 'kable'),
                'effect-fadein-down' => esc_html__('Fade In Down', 'kable'),
                'effect-fadein' => esc_html__('Fade In', 'kable'),
            ),
            'default' => 'effect-down'
        ),
        array(
            'id' => "sub_menu_animation",
            'type' => 'select',
            'title' => esc_html__('Dropdown Sub menu Effect', 'kable'),
            'options' => array(
                'subeffect-down' => esc_html__('Drop Down', 'kable'),
                'subeffect-fadein-left' => esc_html__('Fade In Left', 'kable'),
                'subeffect-fadein-right' => esc_html__('Fade In Right', 'kable'),
                'subeffect-fadein-up' => esc_html__('Fade In Up', 'kable'),
                'subeffect-fadein-down' => esc_html__('Fade In Down', 'kable'),
                'subeffect-fadein' => esc_html__('Fade In', 'kable'),
            ),
            'default' => 'subeffect-fadein-left'
        ),
        array(
            'id' => 'menu_search',
            'type' => 'switch',
            'title' => sprintf(wp_kses(__('<i class="fa fa-search" ></i> Search icon menu bar', 'kable'), array('i' => array('class' => array(), )))),
            'default' => '1',
        ),
        array(
            'id' => 'search_category',
            'type' => 'switch',
            'title' => esc_html__('Search category dropdown show', 'kable'),
            'default' => false,
        ),
        array(
            'id' => 'search_ajax',
            'type' => 'switch',
            'title' => esc_html__('AJAX Search', 'kable'),
            'default' => false,
        ),
        array(
            'id' => 'search_ajax_post',
            'type' => 'switch',
            'title' => esc_html__('Search by posts', 'kable'),
            'default' => false,
        ),
        array(
            'id' => 'search_ajax_product',
            'type' => 'switch',
            'title' => esc_html__('Search by products', 'kable'),
            'default' => false,
        ),
        array(
            'id' => 'search_by_sku',
            'type' => 'switch',
            'title' => esc_html__('Search by sku', 'kable'),
            'default' => false,
        ),
        array(
            'id' => 'show_wishlist_iocn',
            'type' => 'switch',
            'title' => esc_html__('Wishlist icon menu bar', 'kable'),
            'default' => '0',
        ),
        array(
            'id' => 'show_cart_iocn',
            'type' => 'switch',
            'title' => sprintf(wp_kses(__('<i class="fa fa-shopping-cart" ></i> Cart icon menu bar', 'kable'), array('i' => array('class' => array(), )))),
            'default' => '1',
        ),
        array(
            'id' => 'header_bg_options',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Header Main color configure</h3>',
        ),
        array(
            'id' => 'header_background',
            'type' => 'color_rgba',
            'title' => 'Header Background Color',
            'default' => array(
                'color' => '',
                'alpha' => 1
            ),
            'output' => array(
                'background-color' => '.header-layout-1 .site-header .header-main .header-right,.header-layout-2 .site-header .header-main,.header-layout-4 .header-wrapper .mega-menu-sidebar,.header-layout-3 .header-wrapper.header-side-nav #header,.header-layout-5 .site-header .header-main .header-right,.header-layout-6 .site-header .header-main',
                'border-bottom-color' => '.header-layout-1 .site-header .header-main,.header-layout-6 .site-header .header-main,.header-layout-5 .site-header .header-main .header-left',
            ),
        ),
        array(
            'title' => esc_html__('Header Link Color', 'kable'),
            'id' => 'header_link_color',
            'type' => 'color',
            'default' => '',
            'transparent' => false,
            'output' => array('color' => '.mega-menu > li.menu-item > a,.mega-menu > li.menu-item > h5,.site-header .header-actions > ul > li > a,.site-header .header-actions .tools_button .cart-items, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item > a, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item > h5,.header-layout-5 .site-header .main-menu > .menu-item > a'),
        ),
        array(
            'title' => esc_html__('Header Link Background Color', 'kable'),
            'id' => 'header_link_background_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array('background-color' => '.mega-menu > li.menu-item > a,.mega-menu > li.menu-item > h5'),
        ),
        array(
            'title' => esc_html__('Header Link Hover Color', 'kable'),
            'id' => 'header_link_hover_color',
            'type' => 'color',
            'default' => '',
            'transparent' => false,
            'output' => array(
                'color' => '.header-layout-6.header-transparency .site-header:not(.active-sticky) .header-actions .tools_button:hover,.header-layout-6.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > a:hover,.header-layout-6.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > h5:hover,.header-layout-5.header-transparency .site-header:not(.active-sticky) .header-actions .tools_button:hover,.header-layout-5.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > a:hover,.header-layout-5.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > h5:hover,.header-layout-4.header-transparency .site-header:not(.active-sticky) .header-actions .tools_button:hover,.header-layout-4.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > a:hover,.header-layout-4.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > h5:hover,.header-layout-2.header-transparency .site-header:not(.active-sticky) .header-actions .tools_button:hover,.header-layout-2.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > a:hover,.header-layout-2.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > h5:hover,.header-layout-1.header-transparency .site-header:not(.active-sticky) .header-actions .tools_button:hover,.header-layout-1.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > a:hover,.header-layout-1.header-transparency .site-header:not(.active-sticky) .mega-menu > li.menu-item > h5:hover,.mega-menu > li.menu-item:hover > a,.mega-menu > li.menu-item.active > a,.mega-menu > li.menu-item.active > h5,.mega-menu-sidebar .main-menu.mega-menu > li.menu-item.active > a, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item.active > h5, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item:hover > a, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item:hover > h5,.header-layout-5 .mega-menu > li.menu-item:hover > a',
            ),
        ),
        array(
            'title' => esc_html__('Header Link Hover Background Color', 'kable'),
            'id' => 'header_link_hover_background_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array('background-color' => '.mega-menu > li:hover > a, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item.active > a, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item.active > h5, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item:hover > a, .mega-menu-sidebar .main-menu.mega-menu > li.menu-item:hover > h5'),
        ),
        array(
            'id' => 'header_dropdown_narrow_menu_options',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Dropdown menu Color configure</h3>',
        ),
        array(
            'title' => esc_html__('Dropdown Link Color', 'kable'),
            'id' => 'header_Dropdown_link_color',
            'type' => 'color',
            'default' => '',
            'transparent' => false,
            'output' => array('color' => '.mega-menu .narrow .popup li.menu-item > a, .mega-menu .narrow .popup li.menu-item > h5'),
        ),
        
        array(
            'title' => esc_html__('Dropdown menu Background Color', 'kable'),
            'id' => 'header_dropdown_menu_background_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array( 'background-color' => '.mega-menu .narrow .popup li.menu-item > a, .mega-menu .narrow .popup li.menu-item > h5'),
        ),
        array(
            'title' => esc_html__('Dropdown menu border Color', 'kable'),
            'id' => 'header_dropdown_menu_border_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array( 'border-bottom-color' => '.mega-menu .narrow .popup li.menu-item > a, .mega-menu .narrow .popup li.menu-item > h5'),
        ),
        array(
            'title' => esc_html__('Dropdown Link Hover Color', 'kable'),
            'id' => 'header_dropdown_link_hover_color',
            'type' => 'color',
            'default' => '',
            'transparent' => false,
            'output' => array('color' => '.mega-menu .narrow .popup li.menu-item > a:hover, .mega-menu .narrow .popup li.menu-item > h5:hover'),
        ),
        array(
            'title' => esc_html__('Dropdown menu hover Background Color', 'kable'),
            'id' => 'header_dropdown_menu_hover_background_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array( 
                'background-color' => '.mega-menu .narrow .popup li.menu-item > a:hover, .mega-menu .narrow .popup li.menu-item > h5:hover'
             ),
        ),
        array(
            'id' => 'header_mega_menu_options',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Mega menu Color configure</h3>',
        ),
        array(
            'title' => esc_html__('Header mega Link Color', 'kable'),
            'id' => 'header_mega_link_color',
            'type' => 'color',
            'default' => '',
            'transparent' => false,
            'output' => array('color' => '.mega-menu .wide .popup > .inner > ul.sub-menu > li.menu-item li.menu-item > a,.mega-menu .wide .popup > .inner > ul.sub-menu > li.menu-item > h5'),
        ),
        array(
            'title' => esc_html__('Header mega Link Hover Color', 'kable'),
            'id' => 'header_mega_link_hover_color',
            'type' => 'color',
            'default' => '',
            'transparent' => false,
            'output' => array('color' => '.mega-menu .wide .popup > .inner > ul.sub-menu > li.menu-item li.menu-item > a:hover, .mega-menu .wide .popup > .inner > ul.sub-menu > li.menu-item li.menu-item > a:focus, .mega-menu .wide .popup > .inner > ul.sub-menu > li.menu-item li.menu-item.current_page_item > a'),
        ),
        array(
            'title' => esc_html__('Header Mega menu Background Color', 'kable'),
            'id' => 'header_mega_menu_background_color',
            'type' => 'color',
            'default' => '',
            'transparent' => true,
            'output' => array(
                'background-color' => '.mega-menu .wide .popup > .inner',
                'border-color' => '.mega-menu .wide .popup > .inner',
            ),
        ),
    )
));
//header active sticky configure
Redux::setSection($opt_name, array(
    'title' => esc_html__('Sticky Mode', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('Sticky Header', 'kable'),
            'id' => 'sticky_header',
            'default' => 0,
            'id' => 'sticky_header',
            'type' => 'button_set',
            'options' => array(
                'none' => esc_html__('None', 'kable'),
                'classic' => esc_html__('Classic', 'kable'),
                'modern' => esc_html__('Modern', 'kable'),
            ),
            'default' => 'none'


        ),
        array(
            'title' => esc_html__('Logo In Header Sticky', 'kable'),
            'id' => 'sticky_header_hide_logo',
            'type' => 'switch',
            'default' => 0,
            'required' => array('menu_style', '=', '1', '6')
        ),
    )
));
//header transparency
Redux::setSection($opt_name, array(
    'title' => esc_html__('Transparency', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('Header transparency', 'kable'),
            'id' => 'header_transparency',
            'type' => 'switch',
            'default' => 0,
        ),
        array(
            'id' => 'header_transparency_option',
            'type' => 'button_set',
            'title' => esc_html__('Transparency Action', 'kable'),
            'options' => array(
                'fontpage' => esc_html__('Font Page', 'kable'),
                'allpage' => esc_html__('All Page', 'kable'),
            ),
            'default' => 'fontpage',
            'required' => array('header_transparency', '=', 1),
        ),
        array(
            'type' => 'color_rgba',
            'title' => esc_html__('Border bottom color', 'kable'),
            'id' => 'header_transparency_border',
            'output' => array('border-bottom-color' => '.site-header'),
            'default' => array(
                'color' => '',
                'alpha' => 1
            ),
            'required' => array('header_transparency', '=', '1')
        ),
    )
));

//Breadcrumb
Redux::setSection($opt_name, array(
    'title' => esc_html__('Breadcrumbs', 'kable'),
    'icon' => 'el el-credit-card',
    'fields' => array(
        array(
            'title' => esc_html__('Enable Breadcrumbs', 'kable'),
            'id' => 'breadcrumbs_disable',
            'type' => 'switch',
            'default' => 1,
        ),
        array(
            'id' => 'breadcrumbs_prefix',
            'type' => 'text',
            'title' => esc_html__('Breadcrumb prefix', 'kable'),
            'subtitle' => esc_html__('if empty nothing', 'kable'),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'optn_breadcrumb_name',
            'type' => 'text',
            'compiler' => true,
            'title' => esc_html__('Breadcrumb Home Link', 'kable'),
            'default' => 'Home',
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'optn_breadcrumb_delimiter',
            'type' => 'text',
            'compiler' => true,
            'title' => esc_html__('Breadcrumb delimiter', 'kable'),
            'desc' => sprintf(wp_kses(__('Just use class like as: fa fa-angle-right  <a href="%s" target="__blank">Click font awesome</a>', 'kable'), array('a' => array('href' => array(), 'target' => array()))), 'https://fontawesome.com/v4.7.0/icons/'),
            'default' => 'fa fa-angle-right',
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'optn_header_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Background image', 'kable'),
            'compiler' => 'true',
            'default' => array(
                'url' => get_template_directory_uri() . '/assets/images/page-title.gif'
            ),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'optn_header_img_repeat',
            'type' => 'button_set',
            'multi' => false,
            'title' => esc_html__('Background image repeat', 'kable'),
            'options' => array(
                'repeat' => esc_html__('Repeat', 'kable'),
                'no-repeat' => esc_html__('No repeat', 'kable'),
                'fixed' => esc_html__('Fixed', 'kable'),
            ),
            'default' => 'no-repeat',
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'header_breadcrumb_ifo',
            'icon' => true,
            'type' => 'info',
            'required' => array('breadcrumbs_disable', '=', 1),
            'raw' => '<h3>Breadcrumb Color configure</h3>',
        ),
        array(
            'id' => 'optn_header_img_bg_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Bankground Color', 'kable'),
            'output' => array('background-color' => '.page-header'),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'page_link_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Link Color', 'kable'),
            'required' => array('breadcrumbs_disable', '=', 1),
            'output' => array(
                'color' => '.breadcrumb a,.breadcrumb i, .page-header .cat-dsc'
            )
        ),
        array(
            'id' => 'page_link_hover_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Link hover Color', 'kable'),
            'required' => array('breadcrumbs_disable', '=', 1),
            'output' => array(
                'color' => '.breadcrumb a:hover'
            )
        ),
        array(
            'id' => 'page_link_active',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Active & Prefix Color', 'kable'),
            'required' => array('breadcrumbs_disable', '=', 1),
            'output' => array(
                'color' => '.breadcrumb > .current, .breadcrumb .prefix'
            )
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_header_blog_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Background image', 'kable'),
            'compiler' => 'true',
            'default' => array(
                'url' => get_template_directory_uri() . '/assets/images/blog-title.jpg'
            ),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'blog_page_title',
            'type' => 'text',
            'title' => esc_html__('Blog page title', 'kable'),
            'default' => esc_html__('Blog', 'kable'),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'blog_page_cat',
            'type' => 'select',
            'title' => esc_html__('Category list', 'kable'),
            'data' => 'terms',
            'args' => array(
                'taxonomies' => array('category'),
            ),
            'multi' => true,
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Page', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('Enable Breadcrumb', 'kable'),
            'id' => 'optn_breadcrubm_layout',
            'type' => 'switch',
            'default' => 0,
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'page_title_padding',
            'type' => 'spacing',
            'mode' => 'padding',
            'units' => 'px',
            'units_extended' => 'false',
            'title' => esc_html__('Breadcrumb padding', 'kable'),
            'subtitle' => esc_html__('This must be numeric (no px)', 'kable'),
            'left' => false,
            'right' => false,
            'output' => array('.page .page-header'),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'optn_header_title_text_align',
            'type' => 'button_set',
            'multi' => false,
            'title' => esc_html__('Breadcrubm Text Align', 'kable'),
            'options' => array(
                'l' => esc_html__('Left', 'kable'),
                'c' => esc_html__('Center', 'kable'),
                'r' => esc_html__('Right', 'kable'),
            ),
            'default' => 'c',
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'header_img_bg_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Bankground Color', 'kable'),
            'output' => array('background-color' => '.page .page-header'),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'page_title_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Title Color', 'kable'),
            'required' => array('breadcrumbs_disable', '=', 1),
            'output' => array(
                'color' => '.page .page-header h1'
            )
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Post', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_page_title_padding',
            'type' => 'spacing',
            'mode' => 'padding',
            'units' => 'px',
            'units_extended' => 'false',
            'title' => esc_html__('Breadcrumb padding', 'kable'),
            'subtitle' => esc_html__('This must be numeric (no px)', 'kable'),
            'left' => false,
            'right' => false,
            'output' => array('.page-header'),
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Shop', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('Shop page Breadcrumb', 'kable'),
            'id' => 'optn_breadcrubm_layout_shop',
            'type' => 'switch',
            'default' => 1,
            'required' => array('breadcrumbs_disable', '=', 1),
        ),
        array(
            'id' => 'optn_header_shop_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Background image', 'kable'),
            'compiler' => 'true',
            'default' => array(
                'url' => get_template_directory_uri() . '/assets/images/shop-title.jpg'
            ),
            'required' => array('optn_breadcrubm_layout_shop', '=', 1),
        ),
        array(
            'id' => 'shop_page_title',
            'type' => 'text',
            'title' => esc_html__('Shop page title', 'kable'),
            'default' => 'Shop',
            'required' => array('optn_breadcrubm_layout_shop', '=', 1),
        ),
        array(
            'id' => 'optn_header_product_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Product Page Background image', 'kable'),
            'compiler' => 'true',
            'default' => array(
                'url' => get_template_directory_uri() . '/assets/images/page-title.gif'
            ),
        ),
    )
));
if (kable_is_custom_post_activated()) {
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Portfolio', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'optn_header_portfolio_img',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Background image', 'kable'),
                'compiler' => 'true',
                'default' => array(
                    'url' => get_template_directory_uri() . '/assets/images/blog-title.jpg'
                ),
                'required' => array('breadcrumbs_disable', '=', 1),
            )
        )
    ));
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Team', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'optn_header_team_img',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Background image', 'kable'),
                'compiler' => 'true',
                'default' => array(
                    'url' => get_template_directory_uri() . '/assets/images/blog-title.jpg'
                ),
                'required' => array('breadcrumbs_disable', '=', 1),
            )
        )
    ));
}
//page setup
Redux::setSection($opt_name, array(
    'title' => esc_html__('Page Setting', 'kable'),
    'icon' => 'el el-list-alt',
    'fields' => array(
        array(
            'id' => 'optn_page_sidebar_pos',
            'type' => 'image_select',
            'title' => esc_html__('Page sidebar position', 'kable'),
            'options' => array(
                'fullwidth' => array(
                    'alt' => 'Full Width',
                    'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                ),
                'left' => array(
                    'alt' => 'Left sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                ),
                'right' => array(
                    'alt' => 'Right sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                ),
                'both' => array(
                    'alt' => 'Both sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/3cm.png'
                ),
            ),
            'default' => 'fullwidth'
        ),
        array(
            'id' => 'optn_page_sidebar',
            'type' => 'select',
            'title' => esc_html__('Widget area', 'kable'),
            'data' => 'sidebars',
            'default' => 'sidebar-2',
            'required' => array('optn_page_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
        array(
            'id' => 'optn_page_sidebar_left',
            'type' => 'select',
            'title' => esc_html__('widget area two', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_page_sidebar_pos', '=', 'both', ),
        ),
        array(
            'id' => 'optn_page_sidebar_width',
            'type' => 'button_set',
            'title' => esc_html__('Sidebar Width', 'kable'),
            'default' => 'small',
            'options' => array(
                'large' => esc_html__('Large(1/4)', 'kable'),
                'small' => esc_html__('Small(1/3)', 'kable'),
            ),
            'required' => array('optn_page_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
    )
));

//footer option
Redux::setSection($opt_name, array(
    'title' => esc_html__('Footer', 'kable'),
    'icon' => 'el el-photo',
    'fields' => array(
        array(
            'id' => 'footer_bottom_width',
            'type' => 'button_set',
            'title' => esc_html__('Footer bottom width', 'kable'),
            'options' => array(
                'container' => 'Container',
                'container-fluid' => 'Container Fluid',
            ),
            'default' => 'container',
        ),
        array(
            'id' => 'optn_footer_style',
            'type' => 'image_select',
            'title' => esc_html__('Footer bottom layout.', 'kable'),
            'default' => 'style1',
            'options' => array(
                'style1' => array(
                    'alt' => 'style 1',
                    'img' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-4.jpg'
                ),
                'style2' => array(
                    'alt' => 'style 2',
                    'img' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-5.jpg'
                ),
                'style3' => array(
                    'alt' => 'style 3',
                    'img' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-6.jpg'
                ),
            ),
        ),
        array(
            'id' => 'sub_footer_text',
            'type' => 'editor',
            'title' => esc_html__('Copyright text', 'kable'),
            'args' => array(
                'teeny' => true,
            ),
            'default' => wp_kses(__('&copy; All Right Reserved', 'kable'), array('a' => array('href' => array()))),
        ),
        array(
            'id' => 'optn_footer_left',
            'type' => 'select',
            'title' => esc_html__('Footer left Side Option', 'kable'),
            'default' => '3',
            'required' => array('optn_footer_style', '=', 'style3'),
            'options' => array(
                '1' => esc_html__('Social Icon', 'kable'),
                '2' => esc_html__('Payment Logo', 'kable'),
                '3' => esc_html__('Footer Menu', 'kable'),
                '4' => esc_html__('Social Icon  +  menu', 'kable'),
                '5' => esc_html__('Payment logo +  menu', 'kable'),
            ),
        ),
        array(
            'id' => 'optn_footer_right',
            'type' => 'select',
            'title' => esc_html__('Footer Right Side Option', 'kable'),
            'default' => '1',
            'required' => array('optn_footer_style', '=', array('style2', 'style3'), ),
            'options' => array(
                '1' => esc_html__('Social Icon', 'kable'),
                '2' => esc_html__('Payment Logo', 'kable'),
                '3' => esc_html__('Footer Menu', 'kable'),
                '4' => esc_html__('Social Icon  +  menu', 'kable'),
                '5' => esc_html__('Payment logo +  menu', 'kable'),
            ),
        ),
        array(
            'id' => 'optn_payment_logo_upload',
            'type' => 'gallery',
            'title' => esc_html__('Payment logo', 'kable'),
            'compiler' => true,
        ),
        array(
            'id' => 'footer_social',
            'type' => 'checkbox',
            'title' => esc_html__('Footer Social Media Icons to display', 'kable'),
            'subtitle' => esc_html__('The Social urls taken from Social Media settings', 'kable'),
            'default' => array(
                'facebook' => '1',
                'twitter' => '1',
                'instagram' => '1',
                'flickr' => '1'
            ),
            'options' => array(
                'facebook' => 'Facebook',
                'twitter' => 'Twitter',
                'flickr' => 'Flickr',
                'instagram' => 'Instagram',
                'behance' => 'Behance',
                'dribbble' => 'Dribbble',
                'git' => 'Git',
                'linkedin' => 'Linkedin',
                'pinterest' => 'Pinterest',
                'yahoo' => 'Yahoo',
                'delicious' => 'Delicious',
                'dropbox' => 'Dropbox',
                'reddit' => 'Reddit',
                'soundcloud' => 'Soundcloud',
                'google' => 'Google',
                'google-plus' => 'Google Plus',
                'skype' => 'Skype',
                'youtube' => 'Youtube',
                'vimeo' => 'Vimeo',
                'tumblr' => 'Tumblr',
                'whatsapp' => 'Whatsapp',
            ),
        ),
        array(
            'id' => 'footer_bottom_color',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Footer Bottom Color</h3>',
        ),
        array(
            'id' => 'footer_main_bg_color',
            'type' => 'color_rgba',
            'title' => esc_html__('Background color', 'kable'),
            'output' => array('background-color' => '.f-bottom', 'border-color' => '.site-footer .main-footer', ),
            'default' => array(
                'color' => '',
                'alpha' => 1
            ),
        ),
        array(
            'id' => 'footer_main_link_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Font color', 'kable'),
            'default' => '',
            'transparent' => false,
            'output' => array(
                'color' => '.f-bottom,.f-bottom a,.f-bottom p,.footer-links-menu li a'
            )
        ),
        array(
            'id' => 'footer_main_link_hover_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Link hover color', 'kable'),
            'default' => '',
            'transparent' => false,
            'output' => array(
                'color' => '.f-bottom a:hover,.footer-links-menu li a:hover'
            )
        ),
        array(
            'id' => 'footer_main_top_border_color',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Border color', 'kable'),
            'default' => '',
            'transparent' => false,
            'output' => array(
                'border-color' => '.site-footer.layout2 .footer-perallx-wrap .info-center-wrap, .site-footer.layout2 .footer-perallx-wrap .main-footer',
                'border-bottom-color' => '.site-footer .footer-layout3-wrap .sidebar-two,.site-footer .footer-layout3-wrap .sidebar-one',
                'border-top-color' => '.f-bottom'
            )
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Inner Layout', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'footer-inner-width',
            'type' => 'button_set',
            'title' => esc_html__('Footer inner width', 'kable'),
            'options' => array(
                'container' => 'Container',
                'container-fluid' => 'Container Fluid',
            ),
            'default' => 'container'
        ),
        array(
            'id' => 'footer_widgets',
            'type' => 'switch',
            'title' => esc_html__('Enable Footer Inner widgets', 'kable'),
            'default' => 0,
        ),
        array(
            'id' => 'footer_columns',
            'type' => 'image_select',
            'title' => esc_html__('Inner columns', 'kable'),
            'default' => '4',
            'required' => array('footer_widgets', '=', true, ),
            'options' => array(
                '1' => array('alt' => 'column 1', 'img' => get_template_directory_uri() . '/assets/images/theme-options/1columns.png'),
                '2' => array('alt' => 'column 2', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2columns.png'),
                '23' => array('alt' => 'column 2-3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2-3columns.png'),
                '3' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/3columns.png'),
                '4' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/4columns.png'),
                '5' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png'),
                '5' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png'),
            ),
        ),
        array(
            'id' => 'optn_footer_Widgets_one',
            'type' => 'select',
            'title' => esc_html__('Inner widget area', 'kable'),
            'data' => 'sidebars',
            'required' => array('footer_widgets', '=', true, ),
            'default' => 'sidebar-3',
        ),
        array(
            'id' => 'footer_layout',
            'type' => 'image_select',
            'title' => esc_html__('Footer Layout', 'kable'),
            'options' => array(
                'layout1' => array(
                    'alt' => 'Layout 1',
                    'img' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-1.jpg'
                ),
                'layout2' => array(
                    'alt' => 'Layout 2',
                    'img' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-2.jpg'
                )
            ),
            'default' => 'layout1'
        ),
        array(
            'id' => 'footer_parallax',
            'type' => 'switch',
            'title' => esc_html__('Enable Footer Parallax.', 'kable'),
            'default' => 0,
            'required' => array('footer_layout', '=', 'layout2'),
        ),
        array(
            'id' => 'footer_parallax_padding',
            'type' => 'spacing',
            'mode' => 'margin',
            'units' => 'px',
            'title' => esc_html__('Set footer height', 'kable'),
            'left' => false,
            'right' => false,
            'top' => false,
            'output' => array('.has-footer-parallax .site-inner'),
            'required' => array('footer_parallax', '=', 1),
            'default' => array(
                'margin-bottom' => '560px',
                'units' => 'px',
            )
        ),
        array(
            'id' => 'footer_background_image_type',
            'type' => 'button_set',
            'title' => esc_html__('Background Image Type', 'kable'),
            'options' => array(
                'footer_bg_default' => esc_html__('Default', 'kable'),
                'footer_bg_custom' => esc_html__('Custom', 'kable')
            ),
            'default' => 'footer_bg_default',
            'required' => array('footer_parallax', '=', 0),
        ),
        array(
            'id' => 'footer_background_image',
            'type' => 'image_select',
            'title' => esc_html__('Background Image', 'kable'),
            'tiles' => true,
            'options' => array(
                get_template_directory_uri() . '/assets/images/footer-bg3.jpg' => array(
                    'img' => get_template_directory_uri() . '/assets/images/footer-bg3.jpg'
                )
            ),
            'default' => get_template_directory_uri() . '/assets/images/footer-bg.jpg',
            'required' => array(
                array('footer_background_image_type', '=', 'footer_bg_default'),
            ),
            'output' => array(
                'background-image' => 'footer.site-footer.layout2'
            )
        ),
        array(
            'id' => 'footer_background_custom_image',
            'type' => 'background',
            'title' => esc_html__('Custom Background', 'kable'),
            'required' => array(
                array('footer_background_image_type', '=', 'footer_bg_custom'),
            ),
            'output' => array(
                'background-image' => 'footer.site-footer.layout2'
            )
        ),
        array(
            'id' => 'footer_opacity_bg_color',
            'type' => 'color_rgba',
            'title' => esc_html__('Background Color', 'kable'),
            'output' => array('background-color' => 'footer.site-footer.layout2:before'),
            'default' => array(
                'color' => '#fff',
                'alpha' => 1
            ),
            'required' => array('footer_background_image_type', '=', 'footer_bg_default'),
        ),
        array(
            'id' => 'footer_inner_color_con',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Footer Inner color</h3>',
        ),
        array(
            'id' => 'footer_opacity_bg_two_color',
            'type' => 'color_rgba',
            'title' => esc_html__('Background Color', 'kable'),
            'output' => array(
                'background-color' => '.site-footer .one'
            ),
            'default' => array(
                'color' => '',
                'alpha' => 1
            ),
        ),
        array(
            'id' => 'footer_sidebar_two_color',
            'type' => 'color',
            'transparent' => false,
            'title' => esc_html__('Fonts Color', 'kable'),
            'output' => array(
                'color' => '.site-footer .one .sub-footer .widget .comment-author-link a, .site-footer .one .widget h4.widget-title,.site-footer .one .piko-newsletter.layout-2 h5,.site-footer .one .piko-newsletter .search-form input[type="submit"],.sub-footer .one .widget .widget-title,.site-footer .one .widget p,.site-footer .one .widget, .site-footer .one .widget address, .site-footer .one .widget ul li a, .site-footer .one a, .site-footer .one .product_list_widget li a .product-title, .site-footer .one .product_list_widget span.amount,.site-footer .one .widget a'
            ),
            'default' => '',
        ),
        array(
            'id' => 'sub_footer_link_hover',
            'type' => 'color',
            'compiler' => true,
            'transparent' => false,
            'title' => esc_html__('Link Hover color', 'kable'),
            'output' => array(
                'color' => '.site-footer .one .sub-footer .widget a:hover, .site-footer .one .sub-footer .widget ul li a:hover,.site-footer .one .widget ul li a:hover, .site-footer .one a:hover, .site-footer .one .product_list_widget li a:hover .product-title,.site-footer .one .widget a:hover'
            )
        ),
    )
));
//footer inner color configure
Redux::setSection($opt_name, array(
    'title' => esc_html__('Inner Top Widget', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_footer_widgets_two',
            'type' => 'switch',
            'title' => esc_html__('Footer Inner top widgets', 'kable'),
            'default' => 1,
        ),
        array(
            'id' => 'optn_footer_columns_two',
            'type' => 'image_select',
            'title' => esc_html__('Inner top Columns', 'kable'),
            'default' => '4',
            'required' => array('optn_footer_widgets_two', '=', true, ),
            'options' => array(
                '1' => array('alt' => 'column 1', 'img' => get_template_directory_uri() . '/assets/images/theme-options/1columns.png'),
                '2' => array('alt' => 'column 2', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2columns.png'),
                '23' => array('alt' => 'column 2-3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2-3columns.png'),
                '3' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/3columns.png'),
                '4' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/4columns.png'),
                '5' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png'),
                '5' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png'),
            ),
        ),
        array(
            'id' => 'optn_footer_Widgets_two',
            'type' => 'select',
            'title' => esc_html__('Inner top widget area', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_footer_widgets_two', '=', true, ),
            'default' => 'sidebar-5',
        ),
        array(
            'id' => 'footer_inner_top_color_con',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Footer Inner color</h3>',
        ),
        array(
            'id' => 'footer_opacity_bg_innter_top_color',
            'type' => 'color_rgba',
            'title' => esc_html__('Background Color', 'kable'),
            'output' => array(
                'background-color' => '.site-footer .middle'
            ),
            'default' => array(
                'color' => '',
                'alpha' => 1
            ),
        ),
        array(
            'id' => 'footer_sidebar_inner_top_color',
            'type' => 'color',
            'transparent' => false,
            'title' => esc_html__('Fonts Color', 'kable'),
            'output' => array(
                'color' => '.site-footer .middle .sub-footer .widget .comment-author-link a,.site-footer .middle .widget h4.widget-title,.site-footer .middle .piko-newsletter.layout-2 h5,.site-footer .middle .piko-newsletter .search-form input[type="submit"],.site-footer .middle .widget .widget-title,.site-footer .middle .widget p,.site-footer .middle .widget, .site-footer .middle .widget address, .site-footer .middle .widget ul li a, .site-footer .middle a, .site-footer .middle .product_list_widget li a .product-title, .site-footer .middle .product_list_widget span.amount,.site-footer .middle .widget a'
            ),
            'default' => '',
        ),
        array(
            'id' => 'footer_sidebar_inner_top_color_hover',
            'type' => 'color',
            'compiler' => true,
            'transparent' => false,
            'title' => esc_html__('Link Hover color', 'kable'),
            'output' => array(
                'color' => '.site-footer .middle .sub-footer .widget a:hover, .site-footer .middle .sub-footer .widget ul li a:hover,.site-footer .middle .widget ul li a:hover, .site-footer .middle a:hover, .site-footer .middle .product_list_widget li a:hover .product-title,.site-footer .middle .widget a:hover'
            )
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Inner top 2 widget', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_footer_widgets_three',
            'type' => 'switch',
            'title' => esc_html__('EnableFooter Inner top 2 widgets', 'kable'),
            'default' => 0,
        ),
        array(
            'id' => 'footer_inner_top_width',
            'type' => 'button_set',
            'title' => esc_html__('Inner top 2 width', 'kable'),
            'options' => array(
                'container' => 'Container',
                'container-fluid' => 'Container Fluid',
            ),
            'default' => 'container-fluid',
            'required' => array('optn_footer_widgets_three', '=', true, ),
        ),
        array(
            'id' => 'optn_footer_columns_three',
            'type' => 'image_select',
            'title' => esc_html__('Inner top 2 Columns', 'kable'),
            'default' => '1',
            'required' => array('optn_footer_widgets_three', '=', true, ),
            'options' => array(
                '1' => array('alt' => 'column 1', 'img' => get_template_directory_uri() . '/assets/images/theme-options/1columns.png'),
                '2' => array('alt' => 'column 2', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2columns.png'),
                '23' => array('alt' => 'column 2-3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2-3columns.png'),
                '3' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/3columns.png'),
                '4' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/4columns.png'),
                '5' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png'),
                '5' => array('alt' => 'column 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png'),
            ),
        ),
        array(
            'id' => 'optn_footer_Widgets_three',
            'type' => 'select',
            'title' => esc_html__('Inner top 2 widget area', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_footer_widgets_three', '=', true, ),
            'default' => 'sidebar-6',
        ),
        array(
            'id' => 'footer_inner_top_color_con',
            'icon' => true,
            'type' => 'info',
            'raw' => '<h3>Footer Inner color</h3>',
        ),
        array(
            'id' => 'footer_opacity_bg_innter_top2_color',
            'type' => 'color_rgba',
            'title' => esc_html__('Background Color', 'kable'),
            'output' => array(
                'background-color' => '.site-footer .two'
            ),
            'default' => array(
                'color' => '',
                'alpha' => 1
            ),
        ),
        array(
            'id' => 'footer_sidebar_inner_top2_color',
            'type' => 'color',
            'transparent' => false,
            'title' => esc_html__('Fonts Color', 'kable'),
            'output' => array(
                'color' => '.site-footer .two .sub-footer .widget .comment-author-link a,.site-footer .two .widget h4.widget-title,.site-footer .two .piko-newsletter.layout-2 h5,.site-footer .two .piko-newsletter .search-form input[type="submit"],.site-footer .two .widget .widget-title,.site-footer .two .widget p,.site-footer .two .widget, .site-footer .two .widget address, .site-footer .two .widget ul li a, .site-footer .two a, .site-footer .two .product_list_widget li a .product-title, .site-footer .two .product_list_widget span.amount,.site-footer .two .widget a'
            ),
            'default' => '',
        ),
        array(
            'id' => 'footer_sidebar_inner_top2_color_hover',
            'type' => 'color',
            'compiler' => true,
            'transparent' => false,
            'title' => esc_html__('Link Hover color', 'kable'),
            'output' => array(
                'color' => '.site-footer .two .sub-footer .widget a:hover, .site-footer .two .sub-footer .widget ul li a:hover,.site-footer .two .widget ul li a:hover, .site-footer .two a:hover, .site-footer .two .product_list_widget li a:hover .product-title,.site-footer .two .widget a:hover'
            )
        ),
    )
));

//Blog setup
Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog Setting', 'kable'),
    'icon' => 'el el-pencil-alt',
    'fields' => array(
        array(
            'id' => 'optn_blog_sidebar_pos',
            'type' => 'image_select',
            'title' => esc_html__('Blog sidebar position', 'kable'),
            'options' => array(
                'fullwidth' => array(
                    'alt' => 'Full Width',
                    'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                ),
                'left' => array(
                    'alt' => 'Left sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                ),
                'right' => array(
                    'alt' => 'Right sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                ),
                'both' => array(
                    'alt' => 'Both sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/3cm.png'
                ),
            ),
            'default' => 'right'
        ),
        array(
            'id' => 'optn_blog_sidebar',
            'type' => 'select',
            'title' => esc_html__('Widget area', 'kable'),
            'data' => 'sidebars',
            'default' => 'sidebar-1',
            'required' => array('optn_blog_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
        array(
            'id' => 'optn_blog_sidebar_left',
            'type' => 'select',
            'title' => esc_html__('Widget area two', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_blog_sidebar_pos', '=', 'both', ),
        ),
        array(
            'id' => 'optn_blog_sidebar_width',
            'type' => 'button_set',
            'title' => esc_html__('Sidebar Width', 'kable'),
            'default' => 'small',
            'options' => array(
                'large' => esc_html__('Large(1/4)', 'kable'),
                'small' => esc_html__('Small(1/3)', 'kable'),
            ),
            'required' => array('optn_blog_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
        array(
            'id' => 'optn_archive_display_type',
            'type' => 'button_set',
            'title' => esc_html__('Blog layout Type', 'kable'),
            'default' => 'default',
            'options' => array(
                'default' => esc_html__('Default', 'kable'),
                'grid' => esc_html__('Grid', 'kable'),
                'list' => esc_html__('List', 'kable'),
                'masonry' => esc_html__('Masonry', 'kable'),
            ),
        ),
        array(
            'id' => 'optn_archive_display_columns',
            'type' => 'select',
            'title' => esc_html__('Blog Display Columns', 'kable'),
            'options' => array(
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
            ),
            'default' => '2',
            'required' => array('optn_archive_display_type', '=', array('grid'), ),
        ),
        array(
            'id' => 'opt_blog_continue_reading',
            'type' => 'text',
            'title' => esc_html__('Read More Button Text', 'kable'),
            'default' => 'Read More',
        ),
        array(
            'id' => 'optn_archive_except_word',
            'type' => 'text',
            'title' => esc_html__('Excerpt Word', 'kable'),
            'default' => '55',
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Single Page', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_blog_single_sidebar_pos',
            'type' => 'image_select',
            'title' => esc_html__('Blog single sidebar position', 'kable'),
            'options' => array(
                'fullwidth' => array(
                    'alt' => 'Full Width',
                    'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                ),
                'left' => array(
                    'alt' => 'Left sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                ),
                'right' => array(
                    'alt' => 'Right sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                ),
                'both' => array(
                    'alt' => 'Both sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/3cm.png'
                ),
            ),
            'default' => 'right'
        ),
        array(
            'id' => 'optn_blog_single_sidebar',
            'type' => 'select',
            'title' => esc_html__('Widget area', 'kable'),
            'data' => 'sidebars',
            'default' => 'sidebar-1',
            'required' => array('optn_blog_single_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
        array(
            'id' => 'optn_blog_single_sidebar_left',
            'type' => 'select',
            'title' => esc_html__('Widget area two', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_blog_single_sidebar_pos', '=', 'both', ),
        ),
        array(
            'id' => 'optn_blog_single_sidebar_width',
            'type' => 'button_set',
            'title' => esc_html__('Sidebar Width', 'kable'),
            'default' => 'small',
            'options' => array(
                'large' => esc_html__('Large(1/4)', 'kable'),
                'small' => esc_html__('Small(1/3)', 'kable'),
            ),
            'required' => array('optn_blog_single_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
        array(
            'id' => 'blog_single_social_share',
            'type' => 'switch',
            'title' => esc_html__('Social share links', 'kable'),
            'default' => 0,
        ),
        array(
            'id' => 'blog_single_social_share_page',
            'type' => 'select',
            'multi' => true,
            'title' => esc_html__('Choose social item', 'kable'),
            'required' => array('blog_single_social_share', '=', true, ),
            'options' => array(
                'facebook' => 'Facebook',
                'gplus' => 'Google Plus',
                'twitter' => 'Twitter',
                'pinterest' => 'Pinterest',
                'linkedin' => 'Linkedin',
                'tumbr' => 'Tumbr',
            ),
            'sortable' => true,
            'default' => array('facebook', 'gplus', 'twitter', 'pinterest', 'linkedin'),
        ),
        array(
            'id' => 'optn_blog_post_metatag_single',
            'type' => 'select',
            'multi' => true,
            'title' => esc_html__('Add Extra Meta option', 'kable'),
            'options' => array(
                'format' => esc_html__('Post Format', 'kable'),
                'view' => esc_html__('Post view', 'kable'),
                'love' => esc_html__('Post love', 'kable'),
            ),
        ),
        array(
            'id' => 'optn_blog_single_related_post',
            'type' => 'switch',
            'title' => esc_html__('Enable related post', 'kable'),
            'default' => 0,
        ),
        array(
            'id' => 'optn_blog_single_related_target',
            'type' => 'button_set',
            'title' => esc_html__('Related post target', 'kable'),
            'default' => 'cats',
            'options' => array(
                'cats' => esc_html__('Categories', 'kable'),
                'tags' => esc_html__('Tags', 'kable'),
            ),
            'required' => array('optn_blog_single_related_post', '=', 1),
        ),
        array(
            "type" => "text",
            "title" => esc_html__("Related post load", 'kable'),
            "id" => "optn_blog_single_related_post_per",
            "default" => "3",
            'validate' => 'numeric',
            'required' => array('optn_blog_single_related_post', '=', 1),
        ),
        array(
            "type" => "select",
            "title" => esc_html__("Related post Column", 'kable'),
            "id" => "optn_blog_single_related_post_col",
            "default" => "1",
            'options' => array(
                '1' => esc_html__('1 Column', 'kable'),
                '2' => esc_html__('2 Column', 'kable'),
            ),
            'required' => array('optn_blog_single_related_post', '=', 1),
        ),
    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Search Page', 'kable'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'optn_search_sidebar_pos',
            'type' => 'image_select',
            'title' => esc_html__('Search page sidebar positon', 'kable'),
            'subtitle' => esc_html__('Select Page layout No Sidebar, Left, Right and both', 'kable'),
            'options' => array(
                'fullwidth' => array(
                    'alt' => 'Full Width',
                    'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                ),
                'left' => array(
                    'alt' => 'Left sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                ),
                'right' => array(
                    'alt' => 'Right sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                ),
                'both' => array(
                    'alt' => 'Both sidebar',
                    'img' => ReduxFramework::$_url . 'assets/img/3cm.png'
                ),
            ),
            'default' => 'right'
        ),
        array(
            'id' => 'optn_search_sidebar',
            'type' => 'select',
            'title' => esc_html__('Widget area', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_search_sidebar_pos', '=', array('left', 'right', 'both'), ),
            'default' => 'sidebar-1',
        ),
        array(
            'id' => 'optn_search_sidebar_left',
            'type' => 'select',
            'title' => esc_html__('Widget area two', 'kable'),
            'data' => 'sidebars',
            'required' => array('optn_search_sidebar_pos', '=', 'both', ),
        ),
        array(
            'id' => 'optn_search_sidebar_width',
            'type' => 'button_set',
            'title' => esc_html__('Sidebar Width', 'kable'),
            'default' => 'small',
            'options' => array(
                'large' => esc_html__('Large(1/4)', 'kable'),
                'small' => esc_html__('Small(1/3)', 'kable'),
            ),
            'required' => array('optn_search_sidebar_pos', '=', array('left', 'right', 'both'), ),
        ),
        array(
            'id' => 'optn_search_except_word',
            'type' => 'text',
            'title' => esc_html__('Excerpt Word', 'kable'),
            'default' => '300',
        ),
    )
));
/**
 * Check if WooCommerce is active
 * */
if (class_exists('WooCommerce')) {
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Woocommerce', 'kable'),
        'icon' => 'el el-shopping-cart',
        'fields' => array(
            array(
                'id' => 'woo_archive_widget_enable',
                'type' => 'switch',
                'title' => esc_html__('Enable shop page top widget', 'kable'),
                'default' => 0,
            ),
            array(
                'id' => 'woo_archive_widget',
                'type' => 'select',
                'title' => esc_html__('Shop page widget area', 'kable'),
                'data' => 'sidebars',
                'default' => 'sidebar-8',
                'desc' => esc_html__('NB: widgets: wp-admin->appearance-> widgets->Shop Catalog Sidebar', 'kable'),
                'required' => array('woo_archive_widget_enable', '=', 1)
            ),
            array(
                'title' => esc_html__('Enable catalog mode', 'kable'),
                'desc' => esc_html__('When enabled, the product button disable shop page and product shotcode', 'kable'),
                'id' => 'catalog_mode',
                'type' => 'switch',
                'default' => false,
            ),
            array(
                'title' => esc_html__('Topbar per page on Grid Allowed Values', 'kable'),
                'desc' => esc_html__('Comma-separated.', 'kable'),
                'id' => 'products_per_page',
                'type' => 'text',
                'default' => '20,25,35'
            ),
            array(
                'title' => esc_html__('Topbar per page On Grid Default', 'kable'),
                'id' => 'products_per_page_default',
                'min' => '1',
                'step' => '1',
                'max' => '80',
                'type' => 'slider',
                'edit' => '1',
                'default' => '20',
            ),
            array(
                'title' => esc_html__('Topbar per page on List Allowed Values', 'kable'),
                'desc' => esc_html__('Comma-separated.', 'kable'),
                'id' => 'products_per_page_list',
                'type' => 'text',
                'default' => '20,25,35'
            ),
            array(
                'title' => esc_html__('Topbar per page on List Default', 'kable'),
                'id' => 'products_per_page_list_default',
                'min' => '1',
                'step' => '1',
                'max' => '80',
                'type' => 'slider',
                'edit' => '1',
                'default' => '20',
            ),
            array(
                'id' => 'loop_product_countdown',
                'type' => 'switch',
                'title' => esc_html__('Enable variation countdown', 'kable'),
                'subtitle' => esc_html__('Shop page and product Shortcode ', 'kable'),
                'default' => 1,
            ),
            array(
                "type" => "text",
                "title" => esc_html__('Porduct badge New, How many days show?', 'kable'),
                "id" => "optn_new_product_label",
                "default" => "30",
                'validate' => 'numeric',
            ),
            array(
                "type" => "text",
                "title" => esc_html__('Porduct badge New Label', 'kable'),
                "id" => "optn_new_product_label_text",
                "default" => "New",
                'required' => array('optn_show_new_product_label', '=', 1)
            ),
            array(
                "type" => "text",
                "title" => esc_html__('Out of stock label', 'kable'),
                'subtitle' => esc_html__('if empty dont show label', 'kable'),
                "id" => "optn_product_out_of_stock_label",
                "default" => "Out of stock",
            ),
            array(
                'title' => esc_html__('Product Notification', 'kable'),
                'subtitle' => esc_html__('Vertical right position in %', 'kable'),
                'id' => 'notify_postion',
                'min' => '10',
                'step' => '1',
                'max' => '95',
                'type' => 'slider',
                'edit' => '1',
            ),
        )
    ));

    Redux::setSection($opt_name, array(
        'title' => esc_html__('Shop Page', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'shop-width-content',
                'type' => 'button_set',
                'title' => esc_html__('Shop page content width', 'kable'),
                'options' => array(
                    'container' => 'Container',
                    'container-fluid' => 'Container Fluid',
                ),
                'default' => 'container'
            ),
            array(
                'id' => 'catalog_display_type_global',
                'type' => 'button_set',
                'title' => esc_html__('Catalog Display Type', 'kable'),
                'subtitle' => esc_html__('Not effective front end', 'kable'),
                'default' => 'grid',
                'options' => array(
                    'grid' => esc_html__('Grid', 'kable'),
                    'list' => esc_html__('List', 'kable'),
                )
            ),
            array(
                'id' => 'optn_woo_products_per_row',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Product Column', 'kable'),
                'options' => array(
                    '2' => array('alt' => '2 Column ', 'img' => get_template_directory_uri() . '/assets/images/theme-options/2columns.png'),
                    '3' => array('alt' => '3 Column ', 'img' => get_template_directory_uri() . '/assets/images/theme-options/3columns.png'),
                    '4' => array('alt' => '4 Column ', 'img' => get_template_directory_uri() . '/assets/images/theme-options/4columns.png'),
                    '5' => array('alt' => '5 Column ', 'img' => get_template_directory_uri() . '/assets/images/theme-options/5columns.png')
                ),
                'default' => '4',
                'required' => array('catalog_display_type_global', '=', 'grid', ),
            ),
            array(
                'id' => 'optn_woo_products_per_row_mobile',
                'type' => 'button_set',
                'title' => esc_html__('Product Column Mobile', 'kable'),
                'default' => '2',
                'options' => array(
                    '1' => '1',
                    '2' => '2',
                ),
            ),
            array(
                'id' => 'optn_product_sidebar_pos',
                'type' => 'image_select',
                'title' => esc_html__('Shop page sidebar position', 'kable'),
                'options' => array(
                    'fullwidth' => array(
                        'alt' => 'Full Width',
                        'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                    ),
                    'left' => array(
                        'alt' => 'Left sidebar',
                        'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                    ),
                    'right' => array(
                        'alt' => 'Right sidebar',
                        'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                    )
                ),
                'default' => 'fullwidth'
            ),
            array(
                'id' => 'optn_product_sidebar',
                'type' => 'select',
                'title' => esc_html__('Widget area', 'kable'),
                'data' => 'sidebars',
                'default' => 'sidebar-4',
                'desc' => esc_html__('NB: if this widget blank nothing show display widget area. follow: wp admin-> appearance -> widget ->add widgets', 'kable'),
                'required' => array('optn_product_sidebar_pos', '=', array('left', 'right'), ),
            ),
            array(
                'id' => 'optn_product_sidebar_width',
                'type' => 'button_set',
                'title' => esc_html__('Sidebar Width', 'kable'),
                'default' => 'small',
                'options' => array(
                    'large' => esc_html__('Large(1/4)', 'kable'),
                    'small' => esc_html__('Small(1/3)', 'kable'),
                ),
                'required' => array('optn_product_sidebar_pos', '=', array('left', 'right', 'both'), ),
            ),
            array(
                'id' => 'optn_woo_archive_products_layout',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Shop page product layout', 'kable'),
                'options' => array(
                    '1' => array('alt' => 'layout 1', 'img' => get_template_directory_uri() . '/assets/images/theme-options/product1.jpg'),
                    '2' => array('alt' => 'layout 2', 'img' => get_template_directory_uri() . '/assets/images/theme-options/product2.jpg')
                ),
                'default' => '1',
            ),
            array(
                'title' => esc_html__('Product filter', 'kable'),
                'id' => 'products_toggle',
                'type' => 'switch',
                'default' => false
            ),
            array(
                'title' => esc_html__('Product filter type', 'kable'),
                'id' => 'products_toggle_type',
                'type' => 'button_set',
                'options' => array(
                    'group' => esc_html__('Product Group', 'kable'),
                    'cats' => esc_html__('Product Cats', 'kable')
                ),
                'default' => 'group',
                'required' => array('products_toggle', '=', true),
            ),
            array(
                'id' => 'products_toggle_group',
                'type' => 'select',
                'multi' => true,
                'title' => esc_html__('Product Group', 'kable'),
                'options' => array(
                    'featured' => esc_html__('Featured', 'kable'),
                    'new' => esc_html__('New', 'kable'),
                    'sale' => esc_html__('Sales', 'kable')
                ),
                'required' => array('products_toggle_type', '=', 'group'),
                'default'  => array('featured','new','sale')
            ),
            array(
                'id' => 'products_toggle_cats',
                'type' => 'select',
                'multi' => true,
                'title' => esc_html__('Product Categories', 'kable'),
                'data' => 'terms',
                'args' => array(
                    'taxonomies' => array('product_cat'),
                    'hide_empty' => false,
                ),
                'required' => array('products_toggle_type', '=', 'cats')
            ),
            array(
                'title' => esc_html__('Product title Color', 'kable'),
                'id' => 'product_title_color',
                'type' => 'color',
                'transparent' => false,
                'output' => array('color' => '.product-title a'),
            ),
            array(
                'title' => esc_html__('Product title hover Color', 'kable'),
                'id' => 'product_title_color_hover',
                'type' => 'color',
                'transparent' => false,
                'output' => array('color' => '.product-title a:hover'),
            ),
            array(
                'id' => 'optn_product_image_type',
                'type' => 'button_set',
                'title' => esc_html__('Rollover image', 'kable'),
                'options' => array(
                    'none' => esc_html__('None', 'kable'),
                    'rollover' => esc_html__('Rollover', 'kable')
                ),
                'default' => 'none',
            ),
            array(
                'id' => 'product_layout_mode',
                'type' => 'button_set',
                'title' => esc_html__('Product layout mode', 'kable'),
                'options' => array(
                    'fitRows' => esc_html__('fitRows', 'kable'),
                    'masonry' => esc_html__('masonry', 'kable')
                ),
                'default' => 'fitRows',
            ),
            array(
                'id' => 'product_pagination',
                'type' => 'switch',
                'title' => esc_html__('Product Pagination', 'kable'),
                'on' => esc_html__('Ajax Action', 'kable'),
                'off' => esc_html__('Number', 'kable'),
                'default' => 0,
            ),
            array(
                'id' => 'product_pagination_ajax',
                'type' => 'switch',
                'title' => esc_html__('Pagination Layout Action', 'kable'),
                'on' => esc_html__('Infinite Scroll', 'kable'),
                'off' => esc_html__('Load More', 'kable'),
                'default' => false,
                'required' => array('product_pagination', '=', true),
            ),
            array(
                'id' => 'product_list_excerpt',
                'type' => 'text',
                'title' => esc_html__('When List view product description excerpt word', 'kable'),
                'validate' => 'numeric',
                'default' => 25,
            ),
        )
    ));
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Product Page', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'optn_product_single_sidebar_pos',
                'type' => 'image_select',
                'title' => esc_html__('Product page sidebar position', 'kable'),
                'options' => array(
                    'fullwidth' => array(
                        'alt' => 'Full Width',
                        'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                    ),
                    'left' => array(
                        'alt' => 'Left sidebar',
                        'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                    ),
                    'right' => array(
                        'alt' => 'Right sidebar',
                        'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                    )
                ),
                'default' => 'fullwidth'
            ),
            array(
                'id' => 'optn_product_single_sidebar',
                'type' => 'select',
                'title' => esc_html__('Product page widget area', 'kable'),
                'data' => 'sidebars',
                'default' => 'sidebar-4',
                'required' => array('optn_product_single_sidebar_pos', '=', array('left', 'right'), ),
            ),
            array(
                'id' => 'optn_product_single_sidebar_width',
                'type' => 'button_set',
                'title' => esc_html__('Sidebar Width', 'kable'),
                'default' => 'small',
                'options' => array(
                    'large' => esc_html__('Large(1/4)', 'kable'),
                    'small' => esc_html__('Small(1/3)', 'kable'),
                ),
                'required' => array('optn_product_single_sidebar_pos', '=', array('left', 'right', 'both'), ),
            ),
            array(
                'id' => 'optn_woo_single_products_thumbnail',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Product Thumbnai', 'kable'),
                'options' => array(
                    'bottom' => array('alt' => 'layout 1', 'img' => get_template_directory_uri() . '/assets/images/theme-options/single-thumb1.png'),
                    'left' => array('alt' => 'layout 2 ', 'img' => get_template_directory_uri() . '/assets/images/theme-options/single-thumb2.png'),
                    'right' => array('alt' => 'layout 3', 'img' => get_template_directory_uri() . '/assets/images/theme-options/single-thumb3.png'),
                    'sticky' => array('alt' => 'layout 4', 'img' => get_template_directory_uri() . '/assets/images/theme-options/single-thumb4.png'),
                    'carousel' => array('alt' => 'layout 5', 'img' => get_template_directory_uri() . '/assets/images/theme-options/single-thumb5.png'),
                ),
                'default' => 'bottom',
            ),
            array(
                'id' => 'enable_super_zoom',
                'type' => 'button_set',
                'title' => esc_html__('Enable Lightbox Image', 'kable'),
                'default' => 'piko-lightbox-img',
                'options' => array(
                    'piko-lightbox-img' => 'on',
                    ' ' => 'off',
                ),
            ),
            array(
                'id' => 'enable_miscellaneous',
                'type' => 'switch',
                'title' => esc_html__('Enable Miscellaneous', 'kable'),
                'default' => 0,
            ),
            array(
                'id' => 'size_guide_title',
                'type' => 'text',
                'title' => esc_html__('Size Guide Title', 'kable'),
                'default' => esc_html__('Size Guide', 'kable'),
                'required' => array('enable_miscellaneous', '=', array('1'))
            ),
            array(
                'id' => 'size_guide',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Size Guide Image', 'kable'),
                'compiler' => true,
                'default' => array(
                    'url' => ''
                ),
                'required' => array('enable_miscellaneous', '=', array('1'))
            ),
            array(
                'id' => 'return_policy_title',
                'type' => 'text',
                'title' => esc_html__('Shipping & Return Title', 'kable'),
                'default' => esc_html__('Delivery & Return', 'kable'),
                'required' => array('enable_miscellaneous', '=', array('1'))
            ),
            array(
                'id' => 'return_policy',
                'type' => 'editor',
                'title' => esc_html__('Shipping & Return Content', 'kable'),
                'args' => array(
                    'teeny' => true,
                    'textarea_rows' => 10
                ),
                'default' => '',
                'required' => array('enable_miscellaneous', '=', array('1'))
            ),
            array(
                'id' => 'enable_product_single_post_share',
                'type' => 'switch',
                'title' => esc_html__('Social share links', 'kable'),
                'default' => 0,
            ),
            array(
                'id' => 'single_product_share_socials',
                'type' => 'select',
                'multi' => true,
                'title' => esc_html__('Choose socials name', 'kable'),
                'required' => array('enable_product_single_post_share', '=', true, ),
                'options' => array(
                    'facebook' => 'Facebook',
                    'gplus' => 'Google Plus',
                    'twitter' => 'Twitter',
                    'pinterest' => 'Pinterest',
                    'linkedin' => 'Linkedin',
                    'email' => 'Email',
                ),
                'sortable' => true,
                'default' => array('facebook', 'gplus', 'twitter', 'pinterest', 'linkedin'),
            ),
            array(
                'title' => esc_html__('Related Products', 'kable'),
                'id' => 'related_products',
                'options' => array(
                    'outside' => esc_html__('Outside', 'kable'),
                    'inside' => esc_html__('Inside', 'kable'),
                    'none' => esc_html__('None', 'kable'),
                ),
                'type' => 'button_set',
                'default' => 'inside',
            ),
            array(
                'title' => esc_html__('Upsell Products', 'kable'),
                'id' => 'upsell_products',
                'type' => 'switch',
                'default' => 1,
            ),
            array(
                'id' => 'optn_woo_single_tab_layout',
                'type' => 'button_set',
                'title' => esc_html__('Single product tab style', 'kable'),
                'options' => array(
                    'tabs' => esc_html__('Tabs', 'kable'),
                    'accordion' => esc_html__('Vertical', 'kable'),
                ),
                'default' => 'tabs',
            ),
            array(
                'title' => esc_html__('Custom Tab', 'kable'),
                'id' => 'custom_tab',
                'type' => 'switch',
                'default' => 0,
            ),
            array(
                'id' => 'custom_tab_title',
                'type' => 'text',
                'title' => esc_html__('Custom Tab Title', 'kable'),
                'default' => 'Custom Tab',
                'required' => array('custom_tab', '=', '1')
            ),
            array(
                'id' => 'custom_tab_content',
                'type' => 'editor',
                'title' => esc_html__('Custom Tab Content', 'kable'),
                'args' => array(
                    'teeny' => true,
                    'textarea_rows' => 10
                ),
                'default' => 'Your custom tab text here dummy text of the printing and typesetting industry.',
                'required' => array('custom_tab', '=', '1')
            ),
            array(
                'id' => 'custom_tab_accessories',
                'type' => 'text',
                'title' => esc_html__('Accessories Tab Title', 'kable'),
                'default' => 'Accessories'
            )
        )
    ));
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Product Brand', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'show_brand',
                'type' => 'switch',
                'title' => esc_html__('Enable Product Brand.', 'kable'),
                'default' => 0,
            ),
            array(
                'id' => 'show_brand_name_achive',
                'type' => 'switch',
                'title' => esc_html__('Brand name shop page', 'kable'),
                'subtitle' => esc_html__('It\'s replace product category', 'kable'),
                'default' => true,
                'required' => array(
                    array('show_brand', 'equals', true),
                )
            ),
            array(
                'id' => 'header_dropdown_menu_options',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3>Single Product Page</h3>',
            ),
            array(
                'id' => 'show_brand_image',
                'type' => 'switch',
                'title' => esc_html__('Brand Image', 'kable'),
                'subtitle' => esc_html__('It\'s show price inside', 'kable'),
                'default' => false,
                'required' => array(
                    array('show_brand', 'equals', true),
                )
            ),
            array(
                'id' => 'show_brand_image_single',
                'type' => 'switch',
                'title' => esc_html__('Enable Brand widget', 'kable'),
                'subtitle' => esc_html__('It\'s show sidebar top area', 'kable'),
                'default' => false,
                'required' => array(
                    array('show_brand', 'equals', true),
                )
            ),
            array(
                'id' => 'show_brand_title',
                'type' => 'switch',
                'title' => esc_html__('Brand Name', 'kable'),
                'default' => false,
                'required' => array(
                    array('show_brand_image_single', 'equals', true),
                )
            ),
            array(
                'id' => 'show_brand_desc',
                'type' => 'switch',
                'title' => esc_html__('Brand description', 'kable'),
                'default' => false,
                'required' => array(
                    array('show_brand_image_single', 'equals', true),
                )
            ),
        )
    ));
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Product Compare', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'compare_page_id',
                'title' => esc_html__('Product Comparison Page', 'kable'),
                'subtitle' => esc_html__('Choose a page that will be the product compare.', 'kable'),
                'type' => 'select',
                'data' => 'pages',
                'default' => 'compare',
            ),
        )
    ));
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Category Header', 'kable'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'wc_cat_header',
                'type' => 'button_set',
                'title' => esc_html__('Category Header position', 'kable'),
                'options' => array(
                    'default' => esc_html__('Default', 'kable'),
                    'full' => esc_html__('Full width', 'kable'),
                ),
                'default' => 'default'
            ),
            array(
                'id' => 'wc_cat_header_padding',
                'type' => 'spacing',
                'mode' => 'padding',
                'units' => 'px',
                'units_extended' => 'false',
                'title' => esc_html__('Content spacing', 'kable'),
                'left' => false,
                'right' => false,
                'output' => array('.header-wrapper + .pikowc_header_image'),
                'required' => array('wc_cat_header', '=', 'full'),
            ),
        )
    ));

    if (class_exists('WeDevs_Dokan')) {
        Redux::setSection($opt_name, array(
            'title' => esc_html__('Multi vendor', 'kable'),
            'subsection' => true,
            'fields' => array(
                array(
                    'id' => 'vendor_profile_cover',
                    'type' => 'button_set',
                    'title' => esc_html__('Vendor Profile', 'kable'),
                    'options' => array(
                        'default' => esc_html__('Default', 'kable'),
                        'full' => esc_html__('Full width', 'kable'),
                    ),
                    'default' => 'full'
                ),
                array(
                    'id' => 'vendor_seller_name',
                    'type' => 'button_set',
                    'title' => esc_html__('Vendor Name', 'kable'),
                    'options' => array(
                        'shop' => esc_html__('Only Shop page', 'kable'),
                        'all' => esc_html__('All page', 'kable'),
                        'none' => esc_html__('None', 'kable'),
                    ),
                    'default' => 'shop'
                )
            )
        ));
    }
}  //end of woocommece
if (kable_is_custom_post_activated()) {
    //portfolio style    
    Redux::setSection($opt_name, array(
        'title'   => esc_html__('Portfolio', 'kable'),
        'icon'    => 'el el-th-large',
        'fields'  => array(
            array(
                'id' => 'portfolio_archive_layout_type',
                'type' => 'select',
                'title' => esc_html__('Design layout', 'kable'),
                'options' => array(
                    'grid' => esc_html__('Grid', 'kable'),
                    'masonry' => esc_html__('Masonry', 'kable'),
                    'masonry-two' => esc_html__('Masonry two', 'kable'),
                    'masonry-style02' => esc_html__('Masonry three', 'kable'),
                    'masonry-classic' => esc_html__('Masonry Classic', 'kable'),
                ),
                'default' => 'grid'
            ),
            array(
                'id' => 'portfolio_archive_tab_panel',
                'type' => 'button_set',
                'title' => esc_html__('Tab Panel Alignment', 'kable'),
                'options' => array(
                    'none' => esc_html__('None', 'kable'),
                    'start' => esc_html__('Left', 'kable'),
                    'center' => esc_html__('Center', 'kable'),
                    'end' => esc_html__('Right', 'kable'),
                ),
                'default' => 'start'
            ),
            array(
                'id' => 'portfolio_archive_category',
                'type' => 'select',
                'multi' => true,
                'title' => esc_html__('Target Source', 'kable'),
                'data' => 'terms',
                'args' => array(
                    'taxonomies' => array($portfolio_cat),
                ),
            ),
            array(
                'id' => 'portfolio_archive_load_post',
                'type' => 'text',
                'title' => esc_html__('How many post load each tabs', 'kable'),
                'desc' => esc_html__('If the set -1 all portfolio post load else you can use like: 12, 16, 20', 'kable'),
                'default' => '12',
            ),
            array(
                'id' => 'portfolio_archive_column',
                'type' => 'select',
                'title' => esc_html__('Portfolio item Column', 'kable'),
                'options' => array(
                    '6' => esc_html__('6 Column', 'kable'),
                    '5' => esc_html__('5 Column', 'kable'),
                    '4' => esc_html__('4 Column', 'kable'),
                    '3' => esc_html__('3 Column', 'kable'),
                    '2' => esc_html__('2 Column', 'kable'),
                ),
                'default' => '4'
            ),
            array(
                'id' => 'portfolio_archive_item_gap',
                'type' => 'select',
                'title' => esc_html__('Portfolio item Column', 'kable'),
                'options' => array(
                    'default' => esc_html__('30px', 'kable'),
                    'no-gutters' => esc_html__('0px', 'kable'),
                    'gutters7' => esc_html__('15px', 'kable'),
                    'gutters8' => esc_html__('50px ', 'kable'),
                    'gutters56' => esc_html__('56px ', 'kable'),
                    'gutters130' => esc_html__('130px ', 'kable')
                ),
                'default' => 'default'
            ),
            array(
                'id' => 'portfolio_archive_img_size',
                'type' => 'select',
                'title' => esc_html__('Portfolio Image size', 'kable'),
                'options' => array(
                    '360x275' => '360x275', '436x260' => '436x260', '585x585' => '585x585', '590x393' => '590x393', '590x450' => '590x450', '897x536' => '897x536'
                ),
                'default' => '360x275',
                'required' => array('portfolio_archive_layout_type', '=', 'grid')
            ),
            array(
                'id' => 'portfolio_archive_orderby',
                'type' => 'select',
                'title' => esc_html__('Portfolio Order by', 'kable'),
                'options' => array(
                    'DESC' => esc_html__('Descending ', 'kable'),
                    'ASC' => esc_html__('Ascending ', 'kable')
                ),
                'default' => 'DESC'
            ),

        )
    ));


    Redux::setSection($opt_name, array(
        'title'   => esc_html__('Portfolio Single', 'kable'),
        'subsection' => true,
        'fields'  => array(
            array(
                'id'       => 'portfolio_single_sidebar_pos',
                'type'     => 'image_select',
                'title'    => esc_html__('Portfolio Single  Sideber Position', 'kable'),
                'options'  => array(
                    'fullwidth'      => array(
                        'alt'   => 'Full Width',
                        'img'   => ReduxFramework::$_url . 'assets/img/1col.png'
                    ),
                    'left'      => array(
                        'alt'   => 'Left sidebar',
                        'img'   => ReduxFramework::$_url . 'assets/img/2cl.png'
                    ),
                    'right'      => array(
                        'alt'   => 'Right sidebar',
                        'img'  => ReduxFramework::$_url . 'assets/img/2cr.png'
                    ),
                ),
                'default' => 'right',
            ),
            array(
                'id' => 'portfolio_single_sidebar',
                'type' => 'select',
                'title' => esc_html__('Widget area', 'kable'),
                'data' => 'sidebars',
                'default' => 'sidebar-9',
                'required' => array('portfolio_single_sidebar_pos', '=', array('left', 'right')),
            ),
            array(
                'id' => 'portfolio_single_sidebar_width',
                'type' => 'button_set',
                'title' => esc_html__('Sidebar Width', 'kable'),
                'default' => 'small',
                'options' => array(
                    'large' => esc_html__('Large(1/4)', 'kable'),
                    'small' => esc_html__('Small(1/3)', 'kable'),
                ),
                'required' => array('portfolio_single_sidebar_pos', '=', array('left', 'right')),
            ),



            array(
                'id' => 'portfolio-single-style',
                'type' => 'button_set',
                'title' => esc_html__('Single Portfolio Layout', 'kable'),
                'options' => array(
                    'detail-01' => esc_html__('style 01', 'kable'),
                    'detail-02' => esc_html__('style 02', 'kable')
                ),
                'default' => 'detail-01'
            ),
            array(
                'id'      => 'optn_portfolio_social_shear',
                'type'    => 'switch',
                'title'   => esc_html__('Portfolio Social Shear', 'kable'),
                'default' => 1
            ),
            array(
                'id' => 'portfolio_related_option',
                'icon' => true,
                'type' => 'info',
                'required'  => array('show_portfolio_related', '=', array('1')),
                'raw' => '<h3 style="margin: 0;">' . esc_html__('Related Portfolio Configuration', 'kable') . '</h3>',
            ),
            array(
                'id'       => 'show_portfolio_related',
                'type'     => 'switch',
                'title'    => esc_html__('Related Portfolio', 'kable'),
                'default' => 1,

            ),
            array(

                'type'     => 'select',
                "id"  => "p_related_items_large_device",
                'title'    => esc_html__('Large Device Item', 'kable'),
                "desc"     => esc_html__("The items on large Device (Screen resolution of device >= 1200px )", 'kable'),
                'default'  => 'small',
                'options'  => array('2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6'),
                "default"       => "4",
                'required'  => array('show_portfolio_related', '=', array('1'))
            ),
            array(

                'type'     => 'select',
                "id"  => "p_related_items_desktop",
                'title'    => esc_html__('Medium Device Item', 'kable'),
                "desc"     =>  esc_html__("The items on desktop (Screen resolution of device >= 992px < 1199px )", 'kable'),
                'default'  => 'small',
                'options'  => array('2' => '2', '3' => '3', '4' => '4', '5' => '5'),
                "default"       => "4",
                'required'  => array('show_portfolio_related', '=', array('1'))
            ),
            array(

                'type'     => 'select',
                "id"  => "p_related_items_tablet",
                'title'    => esc_html__('Tabs Item', 'kable'),
                "desc"     => esc_html__("The items on tablet (Screen resolution of device >=768px and < 992px )", 'kable'),
                'default'  => 'small',
                'options'  => array('2' => '2', '3' => '3', '4' => '4'),
                "default"       => "3",
                'required'  => array('show_portfolio_related', '=', array('1'))
            ),
            array(

                'type'     => 'select',
                "id"  => "p_related_items_mobile",
                'title'    => esc_html__('Mobile Item', 'kable'),
                "desc"     => esc_html__("The items on mobile (Screen resolution of device < 768px)", 'kable'),
                'default'  => 'small',
                'options'  => array('1' => '1', '2' => '2'),
                "default"       => "2",
                'required'  => array('show_portfolio_related', '=', array('1'))
            ),
        )
    ));

    //our team style    
    Redux::setSection($opt_name, array(
        'title'   => esc_html__('Team', 'kable'),
        'icon'    => 'el el-group-alt',
        'fields'  => array(
            array(
                'id' => 'team_archive_layout_type',
                'type' => 'select',
                'title' => esc_html__('Design layout', 'kable'),
                'options' => array(
                    'grid' => esc_html__('Grid', 'kable'),
                    'parallax' => esc_html__('Parallax', 'kable')
                ),
                'default' => 'grid'
            ),
            array(
                'id' => 'team_archive_load_post',
                'type' => 'text',
                'title' => esc_html__('How many team load', 'kable'),
                'desc' => esc_html__('If the set -1 all Team load else you can use like: 12, 16, 20', 'kable'),
                'default' => '12',
            ),
            array(
                'id' => 'team_archive_column',
                'type' => 'select',
                'title' => esc_html__('item Column', 'kable'),
                'options' => array(
                    '6' => esc_html__('6 Column', 'kable'),
                    '5' => esc_html__('5 Column', 'kable'),
                    '4' => esc_html__('4 Column', 'kable'),
                    '3' => esc_html__('3 Column', 'kable'),
                    '2' => esc_html__('2 Column', 'kable'),
                ),
                'default' => '4'
            ),
            array(
                'id' => 'team_archive_item_gap',
                'type' => 'select',
                'title' => esc_html__('item Gap', 'kable'),
                'options' => array(
                    'default' => esc_html__('30px', 'kable'),
                    'no-gutters' => esc_html__('0px', 'kable'),
                    'gutters7' => esc_html__('15px', 'kable'),
                    'gutters8' => esc_html__('50px ', 'kable'),
                    'gutters56' => esc_html__('56px ', 'kable'),
                    'gutters130' => esc_html__('130px ', 'kable')
                ),
                'default' => 'default'
            ),
            array(
                'id' => 'team_archive_orderby',
                'type' => 'select',
                'title' => esc_html__('Order', 'kable'),
                'options' => array(
                    'DESC' => esc_html__('Descending ', 'kable'),
                    'ASC' => esc_html__('Ascending ', 'kable')
                ),
                'default' => 'DESC'
            ),

        )
    ));


    Redux::setSection($opt_name, array(
        'title'   => esc_html__('Team Single', 'kable'),
        'subsection' => true,
        'fields'  => array(
            array(
                'id'       => 'team_single_sidebar_pos',
                'type'     => 'image_select',
                'title'    => esc_html__('Portfolio Single  Sideber Position', 'kable'),
                'options'  => array(
                    'fullwidth'      => array(
                        'alt'   => 'Full Width',
                        'img'   => ReduxFramework::$_url . 'assets/img/1col.png'
                    ),
                    'left'      => array(
                        'alt'   => 'Left sidebar',
                        'img'   => ReduxFramework::$_url . 'assets/img/2cl.png'
                    ),
                    'right'      => array(
                        'alt'   => 'Right sidebar',
                        'img'  => ReduxFramework::$_url . 'assets/img/2cr.png'
                    ),
                ),
                'default' => 'right',
            ),
            array(
                'id' => 'team_single_sidebar',
                'type' => 'select',
                'title' => esc_html__('Widget area', 'kable'),
                'data' => 'sidebars',
                'default' => 'sidebar-9',
                'required' => array('team_single_sidebar_pos', '=', array('left', 'right')),
            ),
            array(
                'id' => 'team_single_sidebar_width',
                'type' => 'button_set',
                'title' => esc_html__('Sidebar Width', 'kable'),
                'default' => 'small',
                'options' => array(
                    'large' => esc_html__('Large(1/4)', 'kable'),
                    'small' => esc_html__('Small(1/3)', 'kable'),
                ),
                'required' => array('team_single_sidebar_pos', '=', array('left', 'right')),
            ),



            array(
                'id' => 'team_single_style',
                'type' => 'button_set',
                'title' => esc_html__('Single Team Layout', 'kable'),
                'options' => array(
                    '1' => esc_html__('style 01', 'kable'),
                    '2' => esc_html__('style 02', 'kable')
                ),
                'default' => 'detail-01'
            ),
            array(
                'id'      => 'team_social_shear',
                'type'    => 'switch',
                'title'   => esc_html__('Team Social Shear', 'kable'),
                'default' => 1
            )
        )
    ));
} //end custom post
//popup Settings
Redux::setSection($opt_name, array(
    'title' => esc_html__('Popup Settings', 'kable'),
    'id' => 'popup_settings',
    'customizer_width' => '400px',
    'icon' => 'el el-website-alt',
    'fields' => array(
        array(
            'id' => 'popup_enable',
            'type' => 'switch',
            'title' => esc_html__('Enable Popup Newsletter', 'kable'),
            'default' => false,
        ),
        array(
            'id' => 'popup_page_enable',
            'type' => 'button_set',
            'title' => esc_html__('Popup show', 'kable'),
            'options' => array(
                'front' => esc_html__('Front Page', 'kable'),
                'all' => esc_html__('All Pages', 'kable'),
            ),
            'default' => 'all',
            'required' => array('popup_enable', '=', true),
        ),
        array(
            'id' => 'popup_time',
            'type' => 'text',
            'title' => esc_html__('Popup set Interval time', 'kable'),
            'subtitle' => '1000 value mean 1sec. 300000 value mean 5min ',
            'required' => array('popup_enable', '=', true),
            'default' => '300000',
            'validate' => 'numeric',
        ),
        array(
            'id' => 'page-popup_title_font_size',
            'type' => 'typography',
            'title' => esc_html__('Title font size', 'kable'),
            'compiler' => true,
            'google' => true,
            'font-backup' => false,
            'all_styles' => true,
            'font-weight' => true,
            'font-family' => true,
            'text-align' => true,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => true,
            'preview' => true,
            'output' => array('.pop-content h2,.pop-content h3'),
            'units' => 'px',
            'required' => array('popup_enable', '=', true),
        ),
        array(
            'id' => 'popup_title_bg_img',
            'type' => 'background',
            'url' => true,
            'title' => esc_html__('Title Background Image', 'kable'),
            'compiler' => 'true',
            'preview' => 'true',
            'preview_media' => 'true',
            'background-size' => 'false',
            'background-attachment' => 'false',
            'output' => array('background-image' => '.popup-news'),
            'required' => array('popup_enable', '=', true),
        ),
        array(
            'id' => 'popup_content',
            'type' => 'editor',
            'title' => esc_html__('Main content', 'kable'),
            'subtitle' => esc_html__('Added form shortcode description after', 'kable'),
            'required' => array('popup_enable', '=', true),
            'desc' => 'Mailchimp Shortcode like as: [mc4wp_form id="4271"] if collect email address use contact form7 shortcode: [contact-form-7 id="3272" title="Newsletter"]',
            'default' => '<h3>Sign up our newsletter and save 25% off for the next purchase!</h3> Subscribe to the <strong>Our store</strong> mailing list to receive updates on new arrivals...'
        ),
        array(
            'id' => 'popup_nomore_text',
            'type' => 'text',
            'title' => esc_html__('Don\'t show checkbox text', 'kable'),
            'required' => array('popup_enable', '=', true),
            'default' => 'Don\'t show it again'
        )
    )
));
//typography
Redux::setSection($opt_name, array(
    'title' => esc_html__('Typography', 'kable'),
    'icon' => 'el-icon-font',
    'submenu' => true,
    'fields' => array(
        array(
            'id' => 'body_fontfamily',
            'type' => 'typography',
            'title' => esc_html__('Body Font', 'kable'),
            'compiler' => true,
            'google' => true,
            'font-backup' => false,
            'font-weight' => false,
            'all_styles' => true,
            'font-style' => true,
            'text-align' => false,
            'subsets' => true,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => true,
            'preview' => true,
            'output' => array('body'),
            'units' => 'px',
            'default' => array(
                'color' => "#888888",
                'font-weight' => "400",
            )
        ),
        array(
            'id' => 'font_heading',
            'type' => 'typography',
            'title' => esc_html__('Heading', 'kable'),
            'compiler' => true,
            'google' => true,
            'font-backup' => false,
            'font-family' => true,
            'all_styles' => true,
            'font-weight' => true,
            'font-style' => true,
            'subsets' => true,
            'text-align' => false,
            'font-size' => false,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => true,
            'color' => true,
            'preview' => true,
            'units' => 'px',
            'output' => array('h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6'),
        ),
        array(
            'id' => 'h1_params',
            'type' => 'typography',
            'title' => 'H1',
            'subtitle' => 'Default 36px',
            'compiler' => false,
            'google' => false,
            'font-backup' => false,
            'all_styles' => false,
            'font-weight' => false,
            'font-family' => false,
            'text-align' => false,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => false,
            'preview' => false,
            'output' => array('h1,.h1'),
            'units' => 'px',
        ),
        array(
            'id' => 'h2_params',
            'type' => 'typography',
            'title' => 'H2',
            'subtitle' => 'Default 32px',
            'compiler' => false,
            'google' => false,
            'font-backup' => false,
            'all_styles' => false,
            'font-weight' => false,
            'font-family' => false,
            'text-align' => false,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => false,
            'preview' => true,
            'output' => array('h2,.h2'),
            'units' => 'px',
        ),
        array(
            'id' => 'h3_params',
            'type' => 'typography',
            'title' => 'H3',
            'subtitle' => 'Default 27px',
            'compiler' => false,
            'google' => false,
            'font-backup' => false,
            'all_styles' => false,
            'font-weight' => false,
            'font-family' => false,
            'text-align' => false,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => false,
            'preview' => true,
            'output' => array('h3,.h3'),
            'units' => 'px'
        ),
        array(
            'id' => 'h4_params',
            'type' => 'typography',
            'title' => 'H4',
            'subtitle' => 'Default 22px',
            'compiler' => false,
            'google' => false,
            'font-backup' => false,
            'all_styles' => false,
            'font-weight' => false,
            'font-family' => false,
            'text-align' => false,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => false,
            'preview' => false,
            'output' => array('h4,.h4'),
            'units' => 'px',
        ),
        array(
            'id' => 'h5_params',
            'type' => 'typography',
            'title' => 'H5',
            'subtitle' => 'Default 18px',
            'compiler' => false,
            'google' => false,
            'font-backup' => false,
            'all_styles' => false,
            'font-weight' => false,
            'font-family' => false,
            'text-align' => false,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => false,
            'preview' => false,
            'output' => array('h5,.h5'),
            'units' => 'px',
        ),
        array(
            'id' => 'h6_params',
            'type' => 'typography',
            'title' => 'H6',
            'subtitle' => 'Default 16px',
            'compiler' => false,
            'google' => false,
            'font-backup' => false,
            'all_styles' => false,
            'font-weight' => false,
            'font-family' => false,
            'text-align' => false,
            'font-style' => false,
            'subsets' => false,
            'font-size' => true,
            'line-height' => false,
            'word-spacing' => false,
            'letter-spacing' => false,
            'color' => false,
            'preview' => false,
            'output' => array('h6,.h6'),
            'units' => 'px'
        ),
    )
));
//color skin
Redux::setSection($opt_name, array(
    'title' => esc_html__('Color Skin', 'kable'),
    'icon' => 'el el-brush',
    'fields' => array(
        array(
            'id' => 'color_skin',
            'type' => 'button_set',
            'title' => esc_html__('Color Skin', 'kable'),
            'default' => 'default',
            'options' => array(
                'default' => esc_html__('Default', 'kable'),
                'red' => esc_html__('Red', 'kable'),
                'skin_custom' => esc_html__('Custom color', 'kable')
            ),
        ),
        array(
            'id' => 'main_color_scheme',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Main Color Scheme', 'kable'),
            'default' => '',
            'required' => array('color_skin', '=', 'skin_custom'),
        ),
        array(
            'id' => 'main_color_scheme_bg_font',
            'type' => 'color',
            'compiler' => true,
            'title' => esc_html__('Main Color background when font color', 'kable'),
            'default' => '#fff',
            'required' => array('color_skin', '=', 'skin_custom'),
        ),
    )
));
//    social media
Redux::setSection($opt_name, array(
    'title' => esc_html__('Social Media link', 'kable'),
    'icon' => 'el el-network',
    'desc' => esc_html__('Enter social media Page urls here as you want. then enable them for header. Please put the full URLs like this "https://facebook.com/yourpage".', 'kable'),
    'submenu' => true,
    'fields' => array(
        array(
            'id' => 'facebook',
            'type' => 'text',
            'title' => esc_html__('Facebook', 'kable'),
            'default' => 'https://www.facebook.com/',
            'desc' => esc_html__('Enter your Facebook URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'twitter',
            'type' => 'text',
            'title' => esc_html__('Twitter', 'kable'),
            'default' => 'https://www.twitter.com/',
            'desc' => esc_html__('Enter your Twitter URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'flickr',
            'type' => 'text',
            'title' => esc_html__('Flickr', 'kable'),
            'desc' => esc_html__('Enter your Flickr URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'instagram',
            'type' => 'text',
            'title' => esc_html__('Instagram', 'kable'),
            'default' => 'https://www.instagram.com/',
            'desc' => esc_html__('Enter your Instagram URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'behance',
            'type' => 'text',
            'title' => esc_html__('Behance', 'kable'),
            'desc' => esc_html__('Enter your Behance URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'dribbble',
            'type' => 'text',
            'title' => esc_html__('Dribbble', 'kable'),
            'desc' => esc_html__('Enter your Dribbble URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'git',
            'type' => 'text',
            'title' => esc_html__('Git', 'kable'),
            'desc' => esc_html__('Enter your Git URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'linkedin',
            'type' => 'text',
            'title' => esc_html__('Linkedin', 'kable'),
            'desc' => esc_html__('Enter your Linkedin URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'pinterest',
            'type' => 'text',
            'title' => esc_html__('Pinterest', 'kable'),
            'desc' => esc_html__('Enter your Pinterest URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'yahoo',
            'type' => 'text',
            'title' => esc_html__('Yahoo', 'kable'),
            'desc' => esc_html__('Enter your Yahoo URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'delicious',
            'type' => 'text',
            'title' => esc_html__('Delicious', 'kable'),
            'desc' => esc_html__('Enter your Delicious URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'dropbox',
            'type' => 'text',
            'title' => esc_html__('Dropbox', 'kable'),
            'desc' => esc_html__('Enter your Dropbox URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'reddit',
            'type' => 'text',
            'title' => esc_html__('Reddit', 'kable'),
            'desc' => esc_html__('Enter your Reddit URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'soundcloud',
            'type' => 'text',
            'title' => esc_html__('Soundcloud', 'kable'),
            'desc' => esc_html__('Enter your Soundcloud URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'google',
            'type' => 'text',
            'title' => esc_html__('Google', 'kable'),
            'desc' => esc_html__('Enter your Google URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'googleplus',
            'type' => 'text',
            'title' => esc_html__('Google+', 'kable'),
            'desc' => esc_html__('Enter your Google Plus URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'skype',
            'type' => 'text',
            'title' => esc_html__('Skype', 'kable'),
            'desc' => esc_html__('Enter your Skype URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'youtube',
            'type' => 'text',
            'title' => esc_html__('Youtube', 'kable'),
            'desc' => esc_html__('Enter your Youtube URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'vimeo',
            'type' => 'text',
            'title' => esc_html__('Vimeo', 'kable'),
            'desc' => esc_html__('Enter your vimeo URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'tumblr',
            'type' => 'text',
            'title' => esc_html__('Tumblr', 'kable'),
            'desc' => esc_html__('Enter your Tumblr URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'whatsapp',
            'type' => 'text',
            'title' => esc_html__('Whatsapp', 'kable'),
            'desc' => esc_html__('Enter your Whatsapp URL.', 'kable'),
            'validate' => 'url'
        ),
        array(
            'id' => 'whatsapp',
            'type' => 'text',
            'title' => esc_html__('Whatsapp', 'kable'),
            'desc' => esc_html__('Enter your Whatsapp URL.', 'kable'),
            'validate' => 'url'
        ),
    )
));


//    custom css
Redux::setSection($opt_name, array(
    'title' => esc_html__('Custom Code', 'kable'),
    'icon' => 'el el-icon-css',
    'fields' => array(
        array(
            'id'       => 'custom_css',
            'type'     => 'ace_editor',
            'title'    => esc_html__( 'CSS Code', 'kable' ),
            'subtitle' => esc_html__( 'Wirte or Paste your custom CSS code here.', 'kable' ),
            'mode'     => 'css',
            'default'  => " "
        ),
        array(
            'id' => 'custom_js',
            'type' => 'ace_editor',
            'title' => esc_html__('Javascript custom code', 'kable'),
            'mode' => 'javascript',
        )
    )
));
// import export
Redux::setSection($opt_name, array(
    'title' => esc_html__('theme Options', 'kable'),
    'icon' => 'el el-refresh',
    'fields' => array(
        array(
            'id' => 'piko-import-export',
            'type' => 'import_export',
            'full_width' => true,
        ),
    ),
));


/*
 * <--- END SECTIONS
 */

function compiler_action($options)
{ }

function kable_redux_update_options_user_can_register($options)
{
    global $kable;
    $users_can_register = isset($kable['opt-users-can-register']) ? $kable['opt-users-can-register'] : 0;
    update_option('users_can_register', $users_can_register);
}

function kable_redux_update_options_post_type_portfolio($options)
{
    global $kable;
    $post_type_portfolio = isset($kable['optn_enable_portfolio']) ? $kable['optn_enable_portfolio'] : 0;
    update_option('optn_enable_portfolio', $post_type_portfolio);
}

if (!function_exists('kable')) {

    function kable($id, $fallback = false, $key = false)
    {
        global $kable;
        if ($fallback == false) {
            $fallback = '';
        }
        $output = (isset($kable[$id]) && $kable[$id] !== '') ? $kable[$id] : $fallback;
        if (!empty($kable[$id]) && $key) {
            $output = $kable[$id][$key];
        }

        return $output;
    }
}
