<?php
/*
 * @author themepiko
 * header | footer content function | body class | slider top
 */

//menu style
if (!function_exists('kable_headers_style')) {

    function kable_headers_style() {
        $prefix = 'kable_';
        global $kable;

        $menu_style = get_post_meta(get_the_ID(), $prefix . 'menu_style', true);
        if (!isset($menu_style) || $menu_style == '-1' || $menu_style == '') {
            $menu_style = isset($kable['menu_style']) ? $kable['menu_style'] : '2';
        }
        switch ($menu_style) {
            case '8': {
                    kable_get_template('headers/header', '8');
                    break;
                }
            case '7': {
                    kable_get_template('headers/header', '7');
                    break;
                }
            case '6': {
                    kable_get_template('headers/header', '6');
                    break;
                }
            case '24': {
                    kable_get_template('headers/header', '24');
                    break;
                }
            case '2': {
                    kable_get_template('headers/header', '2');
                    break;
                }
            default: {
                    kable_get_template('headers/header', '1');
                }
        }
        kable_breadcrumbs(); //breadcrumbs
    }

}

if (!function_exists('kable_get_top_bar_menu')) {

    function kable_get_top_bar_menu() {
        $arg_default = array(
            'fallback_cb' => false,
            'container' => false,
        );
        $args = array_merge($arg_default, apply_filters('kable_get_top_bar_menu_location', array(
            'theme_location' => 'top_menu',
        )));

        wp_nav_menu($args);
    }

}


if (!function_exists('kable_main_menu_fallback')) {

    function kable_main_menu_fallback() {
        $output = '<ul class="main-menu mega-menu show-arrow effect-fadein-up subeffect-fadein-left">';
        $menu_fallback = wp_list_pages('number=5&depth=2&echo=0&title_li=');
        $menu_fallback = str_replace('page_item', 'page_item menu-item', $menu_fallback);
        $menu_fallback = str_replace("<ul class='children'>", "<ul class='sub-menu'>", $menu_fallback);
        $output .= $menu_fallback;
        $output .= '</ul>';
        echo wp_kses_post($output);
    }

}

if (!function_exists('kable_main_mobile_menu_fallback')) {

    function kable_main_mobile_menu_fallback() {
        $output = '<ul class="mobile-main-menu accordion-menu">';
        $menu_fallback = wp_list_pages('echo=0&title_li=');
        $menu_fallback = str_replace('page_item', 'page_item menu-item', $menu_fallback);
        $menu_fallback = str_replace("<ul class='children'>", "<span class='arrow'></span><ul class='sub-menu'>", $menu_fallback);
        $output .= $menu_fallback;
        $output .= '</ul>';
        echo wp_kses_post($output);
    }

}

if (!function_exists('kable_get_main_menu')) {

    function kable_get_main_menu() {
        $menu_anm = kable_get_option_data('main_menu_animation', 'effect-down');
        $submenu_anm = kable_get_option_data('sub_menu_animation', 'subeffect-down');
        if (class_exists('Kable_Walker_Top_Nav_Menu')) {
            $arg_default = array(
                'container' => false,
                'menu_class' => 'main-menu mega-menu ' . esc_attr($menu_anm . ' ' . $submenu_anm),
                'fallback_cb' => 'kable_main_menu_fallback',
                'walker' => new Kable_Walker_Top_Nav_Menu
            );
            $args = array_merge($arg_default, apply_filters('kable_filter_main_menu_location', array(
                'theme_location' => 'primary',
            )));
            wp_nav_menu($args);
        }
    }

}
if (!function_exists('kable_get_secondary_menu')) {

    function kable_get_secondary_menu() {
        $menu_anm = kable_get_option_data('main_menu_animation', 'effect-down');
        $submenu_anm = kable_get_option_data('sub_menu_animation', 'subeffect-down');
        if (class_exists('Kable_Walker_Top_Nav_Menu')) {
            $arg_default = array(
                'container' => false,
                'menu_class' => 'main-menu mega-menu ' . esc_attr($menu_anm . ' ' . $submenu_anm) . ' show-arrow',
                'fallback_cb' => 'kable_main_menu_fallback',
                'walker' => new Kable_Walker_Top_Nav_Menu
            );
            $args = array_merge($arg_default, apply_filters('kable_filter_main_menu_location', array(
                'theme_location' => 'secondary',
            )));
            wp_nav_menu($args);
        }
    }

}

if (!function_exists('kable_get_mobile_main_menu')) {

    function kable_get_mobile_main_menu() {

        $prefix = 'kable_';
        global $kable;

        $menu_style = get_post_meta(get_the_ID(), $prefix . 'menu_style', true);
        if (!isset($menu_style) || $menu_style == '-1' || $menu_style == '') {
            $menu_style = isset($kable['menu_style']) ? $kable['menu_style'] : '2';
        }

        if (class_exists('Kable_Walker_Accordion_Nav_Menu') && $menu_style != '24') {
            $arg_default = array(
                'container' => false,
                'menu_class' => 'mobile-main-menu accordion-menu',
                'fallback_cb' => 'kable_main_mobile_menu_fallback',
                'walker' => new Kable_Walker_Accordion_Nav_Menu
            );
            $args = array_merge($arg_default, apply_filters('kable_filter_main_menu_location', array(
                'theme_location' => 'primary',
            )));
            wp_nav_menu($args);
        }



        if (class_exists('Kable_Walker_Accordion_Nav_Menu') && $menu_style == '6') {
            $arg_default_secondary = array(
                'container' => false,
                'menu_class' => 'mobile-main-menu accordion-menu',
                'fallback_cb' => 'kable_main_mobile_menu_fallback',
                'walker' => new Kable_Walker_Accordion_Nav_Menu
            );
            $args_secondary = array_merge($arg_default_secondary, apply_filters('kable_filter_main_menu_location', array(
                'theme_location' => 'secondary',
            )));
            wp_nav_menu($args_secondary);
        }
        $vertical_menu = kable_get_option_data('enable_main_menu_category', 0);
        if (class_exists('Kable_Walker_Accordion_Nav_Menu') && $vertical_menu == 1 && ($menu_style != '2' || $menu_style != '6')) {
            $arg_default_vertical = array(
                'container' => false,
                'menu_class' => 'mobile-main-menu accordion-menu',
                'fallback_cb' => 'kable_main_mobile_menu_fallback',
                'walker' => new Kable_Walker_Accordion_Nav_Menu
            );
            $args_vertical = array_merge($arg_default_vertical, apply_filters('kable_filter_main_menu_location', array(
                'theme_location' => 'category',
            )));
            wp_nav_menu($args_vertical);
        }
    }

}

if (!function_exists('kable_get_topbar_right')) {

    function kable_get_topbar_right() {
        global $kable;
        $top_bar_right_wpml = isset($kable['top_bar_right_wpml']) ? $kable['top_bar_right_wpml'] : 0;
        $top_bar_right_option = kable_get_option_data('top_bar_right_option', 0);
        $top_bar_infotext_right = kable_get_option_data('top_bar_infotext_right', '');
        ?>
        <div id="site-navigation-top-bar" class="top-bar-navigation">
            <?php
            if ($top_bar_right_option == 0) {
                kable_get_top_bar_menu();
            } else {
                echo do_shortcode($top_bar_infotext_right);
            }
            if ($top_bar_right_wpml == 1) {
                echo '<ul class="menu">';
                kable_lang_switcher();
                echo '</ul>';
            }
            ?>

        </div>
        <?php
    }

}

if (!function_exists('kable_get_topbar')) {

    function kable_get_topbar() {
        $prefix = 'kable_';
        $menu_width = get_post_meta(get_the_ID(), $prefix . 'manu_width', true);
        if (!isset($menu_width) || $menu_width == '-1' || $menu_width == '') {
            $menu_width = isset($GLOBALS['kable']['full_width_menu']) ? $GLOBALS['kable']['full_width_menu'] : 'container';
        }


        $column = kable_get_option_data('top_bar_cols', '2');
        $social = kable_get_option_data('top_bar_social', 'none');
        $center_text = kable_get_option_data('top_bar_infotext_center', '');
        $left_text = kable_get_option_data('top_bar_infotext', '');
        $cols = '6';
        $cols_r = '5';
        if ($column == 3) {
            $cols = '4';
            $cols_r = '11';
        }
        $social_html = '';
        if ($GLOBALS['kable']['top_bar_use_social']) {
            $social_html .= '<ul>';
            foreach ($GLOBALS['kable']['top_bar_use_social'] as $key => $val) {
                if (!empty($GLOBALS['kable'][$key]) && $val == 1) {
                    $social_html .= "<li><a target='_blank' href='" . esc_url($GLOBALS['kable'][$key]) . "' data-placement='bottom' data-toggle='tooltip' data-original-title='" . esc_attr($key) . "'><i class='fa fa-" . esc_attr($key) . "'  aria-hidden='true'></i></a></li>";
                }
            }
            $social_html .= '</ul>';
        }
        ?>
        <div id="topbar" class="header-top">
            <div class="<?php echo esc_attr($menu_width); ?>">
                <div class="row align-items-center">
                    <?php
                    if (function_exists('wp_is_mobile') &&  wp_is_mobile()) {
                        echo '<a class="col-1 topbar-tools" href="javascript:void(0)">
                                    <span class="la la-bars" ></span>
                            </a>';
                    }

                    echo '<div class="col-12 col-md-7 col-lg-' . esc_attr($cols) . ' align-items-lg-start">';
                    echo do_shortcode($left_text);
                    if ($social == 'left')
                        echo wp_kses_post($social_html);
                    echo '</div>';

                    if ($column == 3) {
                        echo '<div class="col-12 col-md-5 col-lg-4 align-items-lg-center t_c">';
                        echo do_shortcode($center_text);
                        if ($social == 'center')
                            echo wp_kses_post($social_html);
                        echo '</div>';
                    }
                    echo '<div class="col-11 col-md-' . esc_attr($cols_r) . ' col-lg-' . esc_attr($cols) . ' align-items-lg-end t_r_lg">';
                    kable_get_topbar_right();
                    if ($social == 'right')
                        echo wp_kses_post($social_html);
                    if (kable_is_wc_activated()) {
                        echo kable_wmpl_switcher_top(); //wmpl/ theme currency
                    }
                    echo '</div>';
                    ?>
                </div>
            </div>
        </div>
        <?php
    }

}
if (!function_exists('kable_get_topbar_inner')) {

    function kable_get_topbar_inner() {
        $inner = kable_get_option_data('topbar_inner', false);
        $show = kable_get_option_data('topbar_inner_show', false);
        $content = kable_get_option_data('topbar_inner_content', '');
        if ($show == true && !is_front_page()) {
            return;
        };

        if ($inner == true && !empty($content)) {
            echo '<div class="top-bar-inner">' . do_shortcode($content) . '</div>';
        }
    }

}
add_action('kable_before_menu_content', 'kable_get_topbar_inner', 1);

if (!function_exists('kable_get_brand_logo')) {

    function kable_get_brand_logo() {
        $prefix = 'kable_';
        $default_logo_id = get_post_meta(get_the_ID(), $prefix . 'logo_upload', true);
        $logo_default_white['url'] = wp_get_attachment_image_url($default_logo_id, '') ? wp_get_attachment_image_url($default_logo_id, '') : '';
        $logo_default = isset($GLOBALS['kable']['logo_upload']) ? $GLOBALS['kable']['logo_upload'] : array('url' => get_template_directory_uri() . '/assets/images/logo/logo.png');
       

        $site_name = get_bloginfo('name');
        $logo_type = kable_get_option_data('enable_text_logo', 'img');
        $svg = kable_get_option_data('logo_upload_svg', '');
        $logo_width = kable_get_option_data('logo_max_width', '120');
        if ($logo_width != '') {
            $logo_width = 'width="' . esc_attr($logo_width) . '"';
        }
        $description = get_bloginfo('description', 'display');
        ?>
        <?php echo (is_front_page() && is_home()) ? '<h1 class="site-logo">' : '<div class="site-logo">'; ?>
        <a class="dib" href="<?php echo esc_url(home_url("/")) ?>">
            <?php if ($logo_type == 'text'): ?>
                <?php echo '<span>' . esc_attr($site_name) . '</span>'; ?>
            <?php elseif ($logo_type == 'svg'): echo do_shortcode($svg); ?>
            <?php else: 
                if (isset($logo_default_white['url']) && $logo_default_white['url'] != '') :
                ?>
                <img src="<?php echo esc_url($logo_default_white['url']); ?>" alt="<?php echo esc_attr($site_name); ?>" class="site-logo-image white-logo" <?php echo wp_kses_post($logo_width); ?>/>
                <?php endif; ?>
                <img src="<?php echo esc_url($logo_default['url']); ?>" alt="<?php echo esc_attr($site_name); ?>" class="site-logo-image" <?php echo wp_kses_post($logo_width); ?>/>
            <?php endif; ?>
            <?php if ($description && $logo_type == 'text' || is_customize_preview() && $logo_type == 'text') : ?>
                <div class="site-branding-text"><p class="site-description"><?php echo esc_attr($description); ?></p></div>
            <?php endif; ?>
        </a>
        <?php echo (is_front_page() && is_home()) ? '</h1>' : '</div>'; ?>

        <?php
    }

}
if (!function_exists('kable_get_header_action')) {

    function kable_get_header_action() {
        global $woocommerce, $kable;
        $show_search = isset($kable['menu_search']) ? $kable['menu_search'] == 1 : 1;
        $show_cart = isset($kable['show_cart_iocn']) ? $kable['show_cart_iocn'] == 1 : 1;
        $off_canvas = kable_get_option_data('mini_cart_layout', 'normal');
        $menu_style = isset($kable['menu_style']) ? $kable['menu_style'] : '2';
        $loginform = kable_get_option_data('menu_login_form', '0');
        ?>
        <ul class="ul-no d_flex flex-row-reverse">
            <li class="toggle-menu-mobile dn_lg dn_xl">
                <a href="#" class="toggle-menu-mobile-button">
                    <span class="tools_button_icon"><span class="la la-bars" ></span></span>
                </a>
            </li>
            <?php
            if (function_exists('wp_is_mobile') && wp_is_mobile()) {
                echo '<li class="mobile-panel"><a href="javascript:void(0)">
                                    <span class="la la-cog" ></span>
                                </a></li>';
            }
            if($loginform == '2'){
              kable_header_login_form();  
            }            
            ?>

            <?php if (function_exists('WC') && $show_cart == 1): ?>
                <li class="cart-button">
                    <a href="javascript:void(0)">
                        <span class="tools_button_icon pr"><span class="la la-shopping-cart" ></span><span class="cart-items">0</span></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php
            if (function_exists('kable_wishlist_widget') && $menu_style != '6') {
                kable_wishlist_widget();
            }
            ?>
            <?php if ($show_search && ($menu_style == '1' || $menu_style == '2' || $menu_style == '7' || $menu_style == '8') || $show_search && ( function_exists('wp_is_mobile') && wp_is_mobile() || function_exists('kable_is_tablet') && kable_is_tablet() ) && $menu_style != '6'): ?>
                <li class="search-button">
                    <a href="javascript:void(0)">
                        <span class="tools_button_icon"><span class="la la-search" ></span></span>
                    </a>
                </li>
            <?php endif; ?>
        </ul>
        <?php
    }

}

if (!function_exists('kable_get_header_action_two')) {

    function kable_get_header_action_two() {
        global $woocommerce, $kable;
        $show_search = isset($kable['menu_search']) ? $kable['menu_search'] == 1 : 1;
        $show_cart = isset($kable['show_cart_iocn']) ? $kable['show_cart_iocn'] == 1 : 1;
        $off_canvas = kable_get_option_data('mini_cart_layout', 'off_canvas');
        ?>
        <ul class="ul-no d_flex flex-row-reverse layout-two">
            <?php if (function_exists('WC') && $show_cart == 1): ?>
                <li class="cart-button">
                    <a href="javascript:void(0)">
                        <span class="tools_button_icon pr"><span class="la la-shopping-cart" ></span><span class="cart-items">0</span></span>
                    </a>
                    <?php if ($off_canvas == 'normal' || function_exists('wp_is_mobile') && wp_is_mobile() || function_exists('kable_is_tablet') && kable_is_tablet()) : ?>
                        <div class="piko-dropdown">
                            <div class="widget_shopping_cart">
                                <div class="widget_shopping_cart_content">
                                    <div class="cart-loading"></div>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </li>
            <?php endif; ?>
            <?php
            kable_header_login_form_two();
            ?>
        </ul>
        <?php
    }

}
if (!function_exists('kable_get_header_action_there')) {

    function kable_get_header_action_there() {
        global $woocommerce, $kable;
        $show_search = isset($kable['menu_search']) ? $kable['menu_search'] == 1 : 1;
        $show_cart = isset($kable['show_cart_iocn']) ? $kable['show_cart_iocn'] == 1 : 1;
        $off_canvas = kable_get_option_data('mini_cart_layout', 'normal');
        $menu_style = isset($kable['menu_style']) ? $kable['menu_style'] : '2';
        ?>
        <ul class="ul-no d_flex">
            <?php if ($show_search && $menu_style == '6'): ?>
                <li class="search-button">
                    <a href="javascript:void(0)">
                        <span class="tools_button_icon"><span class="la la-search" ></span></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php
            if ($menu_style == '7') {
                echo '<li class="toggle-menu-mobile">
                <a href="#" class="toggle-menu-mobile-button">
                    <span class="tools_button_icon"><span class="la la-bars" ></span></span>
                </a>
            </li>';
            }

            if (function_exists('kable_wishlist_widget') && $menu_style == '6') {
                kable_wishlist_widget();
            }
            ?>            
        </ul>
        <?php
    }

}
if (!function_exists('kable_get_primary_login_menu')) {

    function kable_get_primary_login_menu() {
        $arg_default = array(
            'fallback_cb' => false,
            'container' => false,
            'menu_class' => 'piko-dropdown user-menu',
        );
        $args = array_merge($arg_default, apply_filters('kable_get_primary_login_menu_location', array(
            'theme_location' => 'primary_login',
        )));

        wp_nav_menu($args);
    }

}
if (!function_exists('kable_header_login_form')) {

    function kable_header_login_form() {
        $loginform = kable_get_option_data('menu_login_form', '1');
        ?>
        <li class="login-button<?php if ($loginform == '2') echo ' user-account' ?>">
            <a href="javascript:void(0)" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <?php if (is_user_logged_in()): ?>
                    <span title=" <?php echo esc_attr($GLOBALS['current_user']->display_name) ?>"><i class="la la-user" ></i></span>
                <?php else: ?>
                    <span><i class="la la-user" ></i></span>
                <?php endif; ?>
            </a>
            <?php
            if ($loginform == '1'):
                kable_get_primary_login_menu();
            endif;
            ?>
        </li>
        <?php
    }

}
if (!function_exists('kable_header_login_form_two')) {

    function kable_header_login_form_two() {
        $loginform = kable_get_option_data('menu_login_form', '1');
        if ($loginform == '1'):
            kable_get_primary_login_menu();
            ?>
        <?php elseif ($loginform == '2'): ?>
            <li class="login-button">
                <a href="javascript:void(0)" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="t_cate db f_s13">
                        <?php
                        if (is_user_logged_in()):
                            echo esc_attr($GLOBALS['current_user']->display_name);
                        else:
                            esc_attr_e('User', 'kable');
                        endif;
                        ?>
                    </span>
                    <span class="f_w6 db"><?php esc_attr_e('Account', 'kable'); ?></span>
                </a>
                <?php get_template_part('template-parts/headers/login'); ?>
            </li>
            <?php
        endif;
    }

}

if (!function_exists('kable_get_header_modal')) {

    function kable_get_header_modal() {
        global $kable;
        $prefix = 'kable_';
        $menu_style = get_post_meta(get_the_ID(), $prefix . 'menu_style', true);
        if (!isset($menu_style) || $menu_style == '-1' || $menu_style == '' || class_exists('WooCommerce') && is_woocommerce()) {
            $menu_style = isset($kable['menu_style']) ? $kable['menu_style'] : '2';
        }
        $show_search = kable_get_option_data('menu_search', 1);
        ?>
        <div class="piko_modal user-modal" style="display: none;">
            <div class="container-fluid d_flex justify-content-between mt35 mt15">
                <h3><?php esc_html_e('My Account', 'kable') ?></h3>
                <div class="mfp-close-btn-in pr"><button class="mfp-close"></button></div>
            </div>
            <div class="container mt100 mt70-md mt30-sm">
                <div class="row justify-content-center">
                    <div class="col-12 col-md-10 col-lg-9 col-xl-6">
        <?php get_template_part('template-parts/headers/login'); ?>
                    </div>
                </div>                
            </div>
        </div><!-- End user-modal -->
        <div class="piko_modal cart-modal" style="display: none;">
            <div class="container-fluid d_flex justify-content-between mt35 mt15">
                <h3><?php esc_html_e('Cart', 'kable') ?></h3>
                <div class="mfp-close-btn-in pr"><button class="mfp-close"></button></div>
            </div>
            <div class="container mt100 mt70-md mt30-sm">
                <div class="row justify-content-center">
                    <div class="col-12 col-xl-8">
        <?php kable_get_header_cart_canvas(); ?>
                    </div>
                </div>                
            </div>
        </div><!-- End cart-modal -->
        <?php if ($show_search && $menu_style != '24' || $show_search && function_exists('wp_is_mobile') && wp_is_mobile()): ?>
            <div class="piko_modal search-modal" style="display: none;">
                <div class="container-fluid d_flex justify-content-between mt35 mt15">
                    <h3><?php esc_html_e('Search', 'kable') ?></h3>
                    <div class="mfp-close-btn-in pr"><button class="mfp-close"></button></div>
                </div>
                <div class="container mt100 mt70-md mt30-sm">
                    <div class="row search-form">
                        <div class="col-12">
            <?php get_template_part('template-parts/search-form/search-form'); ?>
                        </div>
                    </div>                
                </div>
            </div><!-- End search-modal -->
        <?php endif; ?>
        <?php
    }

}
if (!function_exists('kable_get_header_search_modal')) {

    function kable_get_header_search_modal() {
        global $kable;
        $prefix = 'kable_';
        $menu_style = get_post_meta(get_the_ID(), $prefix . 'menu_style', true);
        if (!isset($menu_style) || $menu_style == '-1' || $menu_style == '' || class_exists('WooCommerce') && is_woocommerce()) {
            $menu_style = isset($kable['menu_style']) ? $kable['menu_style'] : '2';
        }

        $ajax_search = kable_get_option_data('search_ajax');

        if ($menu_style == '4') {
            return;
        }
        ?>
        <div class="piko_modal" style="display: none;">
            <div class="container-fluid d_flex justify-content-between mt35 mt15">
                <h3><?php esc_html_e('Search', 'kable') ?></h3>
                <div class="mfp-close-btn-in pr"><button class="mfp-close"></button></div>
            </div>
            <div class="container mt100 mt70-md mt30-sm">
        <?php
        get_template_part('template-parts/search-form/search', 'form');
        ?>
            </div>
        </div><!-- End .header-search-container -->
        <?php
    }

}


//CATEGORY MENU

if (!function_exists('kable_get_menu_category')) {

    function kable_get_menu_category() {
        $menu_anm = kable_get_option_data('vertical_menu_animation', 'effect-fadein-right');
        $submenu_anm = kable_get_option_data('sub_menu_animation', 'subeffect-down');
        if (class_exists('Kable_Walker_Top_Nav_Menu')) {
            $arg_default = array(
                'container' => false,
                'menu_class' => 'menu-category-menu main-menu mega-menu  ' . esc_attr($menu_anm . ' ' . $submenu_anm) . ' show-arrow',
                'fallback_cb' => 'kable_main_menu_fallback',
                'walker' => new Kable_Walker_Top_Nav_Menu
            );
            $args = array_merge($arg_default, apply_filters('kable_filter_main_menu_location', array(
                'theme_location' => 'category',
            )));
            wp_nav_menu($args);
        }
    }

}
if (!function_exists('kable_get_menu_category_wrap')) {

    function kable_get_menu_category_wrap() {
        $menu_category = kable_get_option_data('enable_main_menu_category', 1);
        $category_title = kable_get_option_data('main_menu_category_title', esc_html__('ALL CATEGORIES', 'kable'));
        if ($menu_category == 1):
            ?>
            <div class="secondary-menu-wrapper">
                <div class="secondary-title"><?php echo esc_attr($category_title); ?></div>
                <div class="secondary-menu">
            <?php kable_get_menu_category(); ?>
                </div>
            </div>
            <?php
        endif;
    }

}

if (!function_exists('kable_get_header_cart_canvas')) {

    function kable_get_header_cart_canvas() {
        $show_cart = kable_get_option_data('show_cart_iocn', 1);
        $off_canvas = kable_get_option_data('mini_cart_layout', 'off_canvas');
        if (function_exists('WC') && $show_cart == 1 && $off_canvas == 'off_canvas' ):
            ?>
            <div  class="off-canvas-cart">
                <div class="cart-button">
                    <div class="widget_shopping_cart">
                        <div class="widget_shopping_cart_content">
                            <div class="cart-loading"></div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
        endif;
    }

}


/*
 * ------------------------------------
 *          configure footer
 * -----------------------------------
 */
if (!function_exists('kable_footer_style')) {

    function kable_footer_style() {
        $prefix = 'kable_';
        global $kable;

        $footer_layout = get_post_meta(get_the_ID(), $prefix . 'footer_layout', true);
        if (!isset($footer_layout) || $footer_layout == '-1' || $footer_layout == '') {
            $footer_layout = isset($kable['footer_layout']) ? $kable['footer_layout'] : 'layout1';
        }
        $footer_parallax = get_post_meta(get_the_ID(), $prefix . 'footer_parallax', true);
        if ($footer_parallax == '1') {
            $footer_layout = 'layout2';
        }


        switch ($footer_layout) {
            case 'layout2': {
                    get_template_part('template-parts/footer/footer-layout', 'two');
                    break;
                }
            default: {
                    get_template_part('template-parts/footer/footer-layout', 'one');
                }
        }
    }

}


if (!function_exists('kable_footer_sidebar_one')) {

    function kable_footer_sidebar_one() {
        $prefix = 'kable_';
        global $kable;

        $footer_width = get_post_meta(get_the_ID(), $prefix . 'footer_inner_width', true);
        if (!isset($footer_width) || $footer_width == '-1' || $footer_width == '') {
            $footer_width = isset($GLOBALS['kable']['footer-inner-width']) ? $GLOBALS['kable']['footer-inner-width'] : 'container';
        }

        $footer_widgets = get_post_meta(get_the_ID(), $prefix . 'widgets_area', true);
        if (!isset($footer_widgets) || $footer_widgets == '0' || $footer_widgets == '') {
            $footer_widgets = isset($kable['footer_widgets']) ? $kable['footer_widgets'] : true;
        }
        $footer_columns = get_post_meta(get_the_ID(), $prefix . 'footer_cloumn', true);
        if (!isset($footer_columns) || $footer_columns == '-1' || $footer_columns == '') {
            $footer_columns = isset($kable['footer_columns']) ? $kable['footer_columns'] : 4;
        }
        $footer_sidebar_one = get_post_meta(get_the_ID(), $prefix . 'footer_sidebar_one', true);
        if (!isset($footer_sidebar_one) || $footer_sidebar_one == '-1' || $footer_sidebar_one == '') {
            $footer_sidebar_one = isset($kable['optn_footer_Widgets_one']) ? $kable['optn_footer_Widgets_one'] : 'sidebar-3';
        }

        if (is_active_sidebar($footer_sidebar_one) && $footer_widgets == true) {
            $widget_areas = $footer_columns;
            if (!$widget_areas) {
                $widget_areas = 4;
            }
            ?>
            <div class="f-sidebar one">
                <div class="<?php echo esc_attr($footer_width); ?> ">
                    <div class="row sub-footer <?php echo 'cols_' . esc_attr($widget_areas); ?>">
            <?php dynamic_sidebar($footer_sidebar_one); ?>
                    </div>
                </div>
            </div>
            <?php
        }
    }

}
if (!function_exists('kable_footer_sidebar_two')) {

    function kable_footer_sidebar_two() {
        $prefix = 'kable_';
        global $kable;

        $footer_width = get_post_meta(get_the_ID(), $prefix . 'footer_inner_width', true);
        if (!isset($footer_width) || $footer_width == '-1' || $footer_width == '') {
            $footer_width = isset($GLOBALS['kable']['footer-inner-width']) ? $GLOBALS['kable']['footer-inner-width'] : 'container';
        }
        $footer_widgets_two = get_post_meta(get_the_ID(), $prefix . 'widgets_area_two', true);
        if (!isset($footer_widgets_two) || $footer_widgets_two == '0' || $footer_widgets_two == '') {
            $footer_widgets_two = isset($kable['optn_footer_widgets_two']) ? $kable['optn_footer_widgets_two'] : true;
        }

        $footer_columns_two = get_post_meta(get_the_ID(), $prefix . 'footer_cloumn_two', true);
        if (!isset($footer_columns_two) || $footer_columns_two == '-1' || $footer_columns_two == '') {
            $footer_columns_two = isset($kable['optn_footer_columns_two']) ? $kable['optn_footer_columns_two'] : 4;
        }

        $footer_sidebar_two = get_post_meta(get_the_ID(), $prefix . 'footer_sidebar_two', true);
        if (!isset($footer_sidebar_two) || $footer_sidebar_two == '-1' || $footer_sidebar_two == '') {
            $footer_sidebar_two = isset($kable['optn_footer_Widgets_two']) ? $kable['optn_footer_Widgets_two'] : 'sidebar-5';
        }


        if (is_active_sidebar($footer_sidebar_two) && $footer_widgets_two == true) {
            $widget_areas_two = $footer_columns_two;
            if (!$widget_areas_two) {
                $widget_areas_two = 4;
            }
            ?>
            <div class="f-sidebar middle">
                <div class="<?php echo esc_attr($footer_width); ?> ">
                    <div class="row sub-footer <?php echo 'cols_' . esc_attr($widget_areas_two); ?>">
            <?php dynamic_sidebar($footer_sidebar_two); ?>
                    </div>
                </div>
            </div>
            <?php
        }
    }

}
if (!function_exists('kable_footer_sidebar_three')) {

    //newsletter widgets
    function kable_footer_sidebar_three() {
        $prefix = 'kable_';
        global $kable;

        $footer_widgets_two = get_post_meta(get_the_ID(), $prefix . 'widgets_area_three', true);
        if (!isset($footer_widgets_two) || $footer_widgets_two == '0' || $footer_widgets_two == '') {
            $footer_widgets_two = isset($kable['optn_footer_widgets_three']) ? $kable['optn_footer_widgets_three'] : true;
        }

        $footer_inner_width = get_post_meta(get_the_ID(), $prefix . 'footer_inner_top_width', true);
        if (!isset($footer_inner_width) || $footer_inner_width == '-1' || $footer_inner_width == '') {
            $footer_inner_width = isset($kable['footer_inner_top_width']) ? $kable['footer_inner_top_width'] : 'container';
        }

        $footer_columns_two = get_post_meta(get_the_ID(), $prefix . 'footer_cloumn_three', true);
        if (!isset($footer_columns_two) || $footer_columns_two == '-1' || $footer_columns_two == '') {
            $footer_columns_two = isset($kable['optn_footer_columns_three']) ? $kable['optn_footer_columns_three'] : 1;
        }

        $footer_sidebar_two = get_post_meta(get_the_ID(), $prefix . 'footer_inner_top_bg_color', true);
        $footer_sidebar_two = get_post_meta(get_the_ID(), $prefix . 'footer_sidebar_three', true);
        if (!isset($footer_sidebar_two) || $footer_sidebar_two == '-1' || $footer_sidebar_two == '') {
            $footer_sidebar_two = isset($kable['optn_footer_Widgets_three']) ? $kable['optn_footer_Widgets_three'] : 'sidebar-6';
        }
        if ($footer_widgets_two == '2') {
            $footer_sidebar_two = '';
        }
        $footer_bg_color = kable_get_option_data('footer_inner_top_two_bg_color', '');
        $bg_color = 'two';
        if ($footer_bg_color != '') {
            $bg_color = 'has-bg-color';
        }

        if (is_active_sidebar($footer_sidebar_two) && $footer_widgets_two == true) {
            $widget_areas_two = $footer_columns_two;
            if (!$widget_areas_two) {
                $widget_areas_two = 1;
            }
            ?>
            <div class="f-sidebar <?php echo esc_attr($bg_color); ?>">
                <div class="<?php echo esc_attr($footer_inner_width); ?>">
                    <div class="row sub-footer <?php echo 'cols_' . esc_attr($widget_areas_two); ?>">
            <?php dynamic_sidebar($footer_sidebar_two); ?>
                    </div>
                </div>
            </div>
            <?php
        }
    }

}