<?php
/**
 * Enqueues scripts and styles.
 *
 */

/**
 * Enqueue css, js files
 */

if ( !function_exists( 'kable_add_action_wp_enqueue_scripts' ) ){
	add_action( 'wp_enqueue_scripts', 'kable_add_action_wp_enqueue_scripts', 9999 );
        function kable_add_action_wp_enqueue_scripts(){
            global $kable;
            $min_suffix = (isset($kable['enable_minifile']) && $kable['enable_minifile'] == 1) ? '.min' : '';            
            $enable_min = isset( $kable['enable_minifile'] ) ? $kable['enable_minifile'] : false;
            $custom_add_css = kable_get_option_data('custom_css', '');
            $sticky = kable_get_option_data('sticky_header', 'none');
           
            $handles_style_remove = array(
                'yith-woocompare-widget',
                'jquery-colorbox',
                'woocommerce_prettyPhoto_css',
                'yith-wcwl-font-awesome',
                'yith-wcwl-main',
                'yith-wcan-frontend',
                'woocomposer-front-slick',
                'jquery-colorbox',
                'font-awesome',                
                'magnific-popup',                
                'openswatch',
                'wpa-wcpb-frontend', //bundle
                'fontawsome-css', //social login
                'apsl-frontend-css', //social login
                'dokan-fontawesome', //dokan icon
                'wcml-dropdown-0', //wmpl currency
                'contact-form-7',
                'contact-form-7-rtl',
                'cookie-notice-front',
            );
            $handles_script_remove = array(
                'jquery-colorbox',
                'woocomposer-slick',
                'prettyPhoto',
                'prettyPhoto-init',
                'openswatch',
                'openswatch_custom'
            );
            foreach ($handles_style_remove as $style) {
                if ( wp_style_is( $style, $list = 'registered' ) ) {
                        wp_deregister_style( $style );
                }
            }
            foreach ($handles_script_remove as $script) {
                if ( wp_script_is( $script, $list = 'enqueued' ) ) {
                        wp_dequeue_script( $script );
                }
            }            
            /*
             * Stylesheet
             */
            if(wp_style_is('js_composer_front','registered')){
                wp_enqueue_style('js_composer_front');
            }
            /*
             * Scripts
             */           
            wp_enqueue_style( 'kable-style', get_stylesheet_uri(), KABLE_THEME_VERSION, true); // Theme stylesheet. 
            wp_style_add_data( 'kable-style', 'rtl', 'replace' );
            
            $css_dynamics = $css_dokan = $css_wmp = $css_wcv = $css_buddypress = $rtl_add_js = $compare_url =  $default_font = '';
            if ( kable_is_wc_vendors_activated() ) { $css_wcv = kable_wc_vendor_styles($css_wcv); } //wc wc vendor
            if ( kable_is_wc_marketplace_activated() ) { $css_wmp = kable_wc_marketplace_styles($css_wmp); } //wc wmp vendor
            if ( kable_is_dokan_activated() ) { $css_dokan = kable_dokan_vendor_styles($css_dokan); } //wc dokan vendor
            if ( kable_is_buddypress()) { $css_buddypress = kable_buddypress_styles($css_buddypress); } //wc dokan vendor
            if ( kable_dynamics_style()) { $css_dynamics = kable_dynamics_style($css_dynamics); } //theme dynamics style  
            
            
            //default font
            if(!function_exists('pikoworks_core_admin_css') || empty($body_font['font-family'])){
                $default_font = kable_dynamics_default_fonts($default_font);                
            }

            $combine_css = $default_font . $css_dokan . $css_wmp . $css_wcv . $custom_add_css . $css_buddypress . $css_dynamics;             
             wp_add_inline_style( 'kable-style', $combine_css );
             
            
            $enable_preloader = kable_get_option_data('optn_enable_loader', true);
            $home_preloader = kable_get_option_data('home_preloader', 'various-4');
            if($enable_preloader && $home_preloader == 'slide'){
                wp_enqueue_script('nprogress', KABLE_JS.'/plugins/nprogress.js', array('jquery'), KABLE_THEME_VERSION, false); 
            }
            if($sticky == 'modern'){
                wp_enqueue_script('headroom', KABLE_JS.'/plugins/headroom.min.js', array('jquery'), KABLE_THEME_VERSION, false); 
            }

           wp_enqueue_script('jqplugin', KABLE_JS.'/plugins/jqplugin.min.js', array('jquery'), KABLE_THEME_VERSION, true);
           wp_enqueue_script('background-check', KABLE_JS.'/plugins/background-check.min.js', array('jquery'), KABLE_THEME_VERSION, true); 
           wp_enqueue_script('imagesloaded');
           wp_enqueue_script('isotope', KABLE_JS.'/plugins/isotope.pkgd.min.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('countdown', KABLE_JS.'/plugins/jquery.countdown.min.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('waypoint', KABLE_JS.'/plugins/waypoint.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('debouncedresize', KABLE_JS.'/plugins/jquery.debouncedresize.js', array('jquery'), KABLE_THEME_VERSION, true); 
           wp_enqueue_script('hoverIntent');
           wp_enqueue_script('slick', KABLE_JS.'/plugins/slick.min.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('zoom', KABLE_JS.'/plugins/jquery.zoom.min.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('magnific-popup', KABLE_JS.'/plugins/jquery.magnific-popup.min.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('sticky-kit', KABLE_JS.'/plugins/sticky-kit.min.js', array('jquery'), KABLE_THEME_VERSION, true);  
           wp_enqueue_script('chookie', KABLE_JS.'/plugins/jquery.chookie.min.js', array('jquery'), KABLE_THEME_VERSION, true);  

            wp_enqueue_script('kable-main', KABLE_JS.'/main'.$min_suffix.'.js', array('jquery'), KABLE_THEME_VERSION, true); 
            wp_localize_script( 'kable-main', 'pikoAjax', array(
                    'ajaxurl' => admin_url( 'admin-ajax.php' ),
                    'nonce' => wp_create_nonce( 'ajax-nonce' ),
            )); 
            /*
             * inline custome Scripts
             */
             if ( is_rtl() && kable_rtl_add_js()) { $rtl_add_js = kable_rtl_add_js($rtl_add_js); } //when theme rtl language mode   
            $custom_add_script = kable_get_option_data('custom_js', '');
            wp_add_inline_script( 'kable-main', $custom_add_script.$rtl_add_js);
            
            if( kable_is_compare_activated() ) {
                $compare_url = kable_get_compare_page_url();
            }
            wp_localize_script( 'kable-main', 'kable_global_message', apply_filters( 'kable_filter_global_message_js', array(			
			'addcart' => array(
				'success' => esc_attr__('has been added to cart','kable'),
			),
			'global' => array(
				'error' => esc_attr__('An error occurred ,Please try again !','kable'),
				'comment_author'    => esc_attr__('Please enter Name !','kable'),
				'comment_email'     => esc_attr__('Please enter valid Email Address !','kable'),
				'comment_rating'    => esc_attr__('Please select a rating !','kable'),
				'comment_content'   => esc_attr__('Please enter Comment !','kable'),
                                'days'   => esc_attr__('Days','kable'),
				'hours'   => esc_attr__('Hours','kable'),
				'minutes'   => esc_attr__('Mins','kable'),
				'seconds'   => esc_attr__('Secs','kable'),
				'loadmore'   => esc_attr__('Load More','kable'),
				'shownall'   => esc_attr__('All Item Shown','kable'),				
				'more'   => esc_attr__('+ More item','kable'),
				'less'   => esc_attr__('- Less item','kable')
			),
			'sticky_header' => kable_get_option_data('sticky_header',false),
			'preloader' => kable_get_option_data('optn_enable_loader',false),
			'preloader_slide' => kable_get_option_data('home_preloader', 'slide'),
			'popup' => kable_get_option_data('popup_enable',false),
			'teamCol' => kable_get_option_data('team_archive_column',4),
			'setTime' => kable_get_option_data('popup_time',false),
			'permalink' => ( get_option( 'permalink_structure' ) == '' ) ? 'plain' : '',
                        'compare_url'   => $compare_url
		) ) );
            
            if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
                wp_enqueue_script( 'comment-reply' );
            }
        }
}


if ( !function_exists( 'kable_add_action_wp_enqueue_scripts_inline_head' ) ){
	add_action( 'wp_enqueue_scripts', 'kable_add_action_wp_enqueue_scripts_inline_head', 9999 );
        function kable_add_action_wp_enqueue_scripts_inline_head(){
            $nprogress_add_js  = '';
            
            $enable_preloader = kable_get_option_data('optn_enable_loader', true);
            $home_preloader = kable_get_option_data('home_preloader', 'various-4');
            
           if ( $enable_preloader && $home_preloader == 'slide' && kable_nprogress_js()) { $nprogress_add_js = kable_nprogress_js($nprogress_add_js); } //when preloader slide
             
            $custom_add_script = kable_get_option_data('custom_js', '');
            wp_add_inline_script( 'nprogress', $nprogress_add_js);

        }

}


