<?php

if(!function_exists('kable_widgets_init')){
    

/**
 * Registers a widget area.
 *
 * @link https://developer.wordpress.org/reference/functions/register_sidebar/
 *
 */
    function kable_widgets_init() {
            register_sidebar( array(
                    'name'          => esc_html__( 'Sidebar', 'kable' ),
                    'id'            => 'sidebar-1',
                    'description'   => esc_html__( 'Add widgets here to appear in your sidebar.', 'kable' ),
                    'before_widget' => '<section id="%1$s" class="widget %2$s">',
                    'after_widget'  => '</section>',
                    'before_title'  => '<h4 class="widget-title">',
                    'after_title'   => '</h4>',
            ) );
            register_sidebar( array(
                    'name'          => esc_html__( 'Page Sidebar', 'kable' ),
                    'id'            => 'sidebar-2',
                    'description'   => esc_html__( 'Add widgets here to appear in your page sidebar.', 'kable' ),
                    'before_widget' => '<section id="%1$s" class="widget %2$s">',
                    'after_widget'  => '</section>',
                    'before_title'  => '<h4 class="widget-title">',
                    'after_title'   => '</h4>',
            ) );
            register_sidebar( array(
                    'name'          => esc_html__( 'Footer Inner', 'kable' ),
                    'id'            => 'sidebar-3',
                    'description'   => esc_html__( 'Add widgets here to appear in your footer inner.', 'kable' ),
                    'before_widget' => '<section id="%1$s" class="widget %2$s">',
                    'after_widget'  => '</section>',
                    'before_title'  => '<h4 class="widget-title">',
                    'after_title'   => '</h4>',
            ) );
            register_sidebar( array(
                    'name'          => esc_html__( 'Footer Inner top', 'kable' ),
                    'id'            => 'sidebar-5',
                    'description'   => esc_html__( 'Add widgets here to appear in your footer inner top.', 'kable' ),
                    'before_widget' => '<section id="%1$s" class="widget %2$s">',
                    'after_widget'  => '</section>',
                    'before_title'  => '<h4 class="widget-title">',
                    'after_title'   => '</h4>',
            ) );            
            register_sidebar( array(
                    'name'          => esc_html__( 'Footer Inner top 2', 'kable' ),
                    'id'            => 'sidebar-6',
                    'description'   => esc_html__( 'Add widgets here to appear in your footer inner top2.', 'kable' ),
                    'before_widget' => '<section id="%1$s" class="widget %2$s">',
                    'after_widget'  => '</section>',
                    'before_title'  => '<h4 class="widget-title">',
                    'after_title'   => '</h4>',
            ) );            
            if ( class_exists( 'WooCommerce' ) ):
                register_sidebar( array(
                        'name'          => esc_html__( 'Shop Sidebar', 'kable' ),
                        'id'            => 'sidebar-4',
                        'description'   => esc_html__( 'Add widgets here to appear in your shop page sidebar.', 'kable' ),
                        'before_widget' => '<section id="%1$s" class="widget %2$s">',
                        'after_widget'  => '</section>',
                        'before_title'  => '<h4 class="widget-title">',
                        'after_title'   => '</h4>',
                ) );
                register_sidebar( array(
                        'name'          => esc_html__( 'Shop Filter Sidebar', 'kable' ),
                        'id'            => 'sidebar-7',
                        'description'   => esc_html__( 'Add widgets here to appear in your shop page Canvas sidebar.', 'kable' ),
                        'before_widget' => '<section id="%1$s" class="widget %2$s">',
                        'after_widget'  => '</section>',
                        'before_title'  => '<h4 class="widget-title">',
                        'after_title'   => '</h4>',
                ) );
                register_sidebar( array(
                        'name'          => esc_html__( 'Shop Catalog Sidebar', 'kable' ),
                        'id'            => 'sidebar-8',
                        'description'   => esc_html__( 'Add widgets here to appear in your After menu shop catalog page.', 'kable' ),
                        'before_widget' => '<section id="%1$s" class="widget %2$s">',
                        'after_widget'  => '</section>',
                        'before_title'  => '<h4 class="widget-title">',
                        'after_title'   => '</h4>',
                ) );
            endif;

    }
    add_action( 'widgets_init', 'kable_widgets_init' );
}

if(!function_exists('kable_get_page_id')) {
	function kable_get_page_id() {
		global $post;

		$page = array(
			'id' => 0,
			'type' => 'page'
		);

		if(isset($post->ID) && is_singular('page')) { 
			$page = array(
				'id' => $post->ID,
				'type' => 'page'
			);
		} else if( is_home() || is_archive('post') || is_search() ) {
			$page = array(
				'id' => $id = get_option( 'page_for_posts' ),
				'type' => 'blog'
			);
		} else if( get_post_type() == 'etheme_portfolio' || is_singular( 'etheme_portfolio' ) ) {
			$page = array(
				'id' => etheme_tpl2id( 'portfolio.php' ),
				'type' => 'portfolio'
			);
		}

		if(class_exists('WooCommerce') && (is_shop() || is_product_category() || is_product_tag() || is_singular( "product" ))) {
			$page = array(
				'id' => get_option('woocommerce_shop_page_id'),
				'type' => 'shop'
			);
		}

		return $page;
	}
}
/**
*   Adding custom sidebar ajax
*/

if(!function_exists('kable_add_sidebar_action')) {
	function kable_add_sidebar_action(){
	    if (!wp_verify_nonce($_GET['_wpnonce_piko_widgets'],'piko-add-sidebar-widgets') ) die( 'Security check' );
	    if($_GET['piko_sidebar_name'] == '') die('Empty Name');
	    $option_name = 'kable_custom_sidebars';
	    if(!get_option($option_name) || get_option($option_name) == '') delete_option($option_name); 
	    
	    $new_sidebar = $_GET['piko_sidebar_name'];

		$result = kable_add_sidebar($new_sidebar);

	    if($result) die($result);
	    else die('error');
	}
}

if( ! function_exists('kable_add_sidebar') ) {
	function kable_add_sidebar($name) {
		$option_name = 'kable_custom_sidebars';
		if(get_option($option_name)) {
			$custom_sidebars = kable_get_stored_sidebar();
			$custom_sidebars[] = trim($name);
			$result = update_option($option_name, $custom_sidebars);
		}else{
			$custom_sidebars[] = $name;
			$result2 = add_option($option_name, $custom_sidebars);
		}
		if($result) return 'Updated';
		elseif($result2) return 'added';
		else die('error');
	}
}


/**
*   deleting custom sidebar in ajax 
*/

if(!function_exists('kable_delete_sidebar')) {
	function kable_delete_sidebar(){
	    $option_name = 'kable_custom_sidebars';
	    $del_sidebar = trim($_GET['piko_sidebar_name']);
	        
	    if(get_option($option_name)) {
	        $custom_sidebars = kable_get_stored_sidebar();
	        
	        foreach($custom_sidebars as $key => $value){
	            if($value == $del_sidebar)
	                unset($custom_sidebars[$key]);
	        }
	        
	        
	        $result = update_option($option_name, $custom_sidebars);
	    }
	    
	    if($result) die('Deleted');
	    else die('error');
	}
}


/**
*   detault registering sidebars similar custom sidebar
*/

if(!function_exists('kable_register_stored_sidebar')) {
	function kable_register_stored_sidebar(){
	    $custom_sidebars = kable_get_stored_sidebar();
	    if(is_array($custom_sidebars)) {
	        foreach($custom_sidebars as $name){
	            register_sidebar( array(
	                'name' => ''.$name.'',
	                'id' => str_replace(' ','',strtolower ($name)),
	                'class' => 'piko_custom_sidebar',
	                'before_widget' => '<section id="%1$s" class="widget %2$s">',
	                'after_widget' => '</section>',
	                'before_title' => '<h4 class="widget-title">',
	                'after_title' => '</h4>',
	            ) );
	        }
	    }
	}
}

/**
*   Stored all sidebar in array
*/

if(!function_exists('kable_get_stored_sidebar')) {
	function kable_get_stored_sidebar(){
	    $option_name = 'kable_custom_sidebars';
	    return get_option($option_name);
	}
}

/**
*   Add form custom widgets
*/

if(!function_exists('kable_sidebar_form')) {
    function kable_sidebar_form(){
        ?>	    
        <form action="<?php echo admin_url( 'widgets.php' ); ?>" method="post" id="piko_add_sidebar_form">
            <h4><?php esc_html_e('Custom Sidebar', 'kable'); ?></h4>
            <?php wp_nonce_field( 'piko-add-sidebar-widgets', '_wpnonce_piko_widgets', false ); ?>
            <input type="text" name="piko_sidebar_name" id="piko_sidebar_name" />
            <button type="submit" class="button-primary" value="add-sidebar"><?php esc_html_e('Add Sidebar', 'kable'); ?></button>
        </form>	   
        <?php
    }
}
add_action( 'sidebar_admin_page', 'kable_sidebar_form', 30 );
add_action('wp_ajax_kable_add_sidebar', 'kable_add_sidebar_action');
add_action('wp_ajax_kable_delete_sidebar', 'kable_delete_sidebar');
add_action( 'widgets_init', 'kable_register_stored_sidebar' );