<?php
/**
 * theme functions
 * */
if (!function_exists('kable_get_template')) {
    /*
     * get template parts
     */

    function kable_get_template($template, $name = null) {
        get_template_part('template-parts/' . $template, $name);
    }

}

if (!function_exists('kable_meta_tags')) {

    /**
     * favicon
     * */
    function kable_meta_tags() {
        // add favicon
        global $kable;

        if (isset($kable['custom_ios_title']) && !empty($kable['custom_ios_title'])) {
            echo '<meta name="apple-mobile-web-app-title" content="' . esc_attr($kable['custom_ios_title']) . '">';
        }
        //retina favicon
        if (isset($kable['custom_ios_icon144']['url']) && !empty($kable['custom_ios_icon144']['url'])) {
            echo '<link rel="apple-touch-icon" sizes="144x144" href=" ' . esc_url($kable['custom_ios_icon144']['url']) . '">';
        }
        if (isset($kable['custom_ios_icon114']['url']) && !empty($kable['custom_ios_icon114']['url'])) {
            echo '<link rel="apple-touch-icon" sizes="114x114" href="' . esc_url($kable['custom_ios_icon114']['url']) . '">';
        }
        if (isset($kable['custom_ios_icon72']['url']) && !empty($kable['custom_ios_icon72']['url'])) {
            echo '<link rel="apple-touch-icon" sizes="72x72" href="' . esc_url($kable['custom_ios_icon72']['url']) . '">';
        }
        if (isset($kable['custom_ios_icon57']['url']) && !empty($kable['custom_ios_icon57']['url'])) {
            echo '<link rel="apple-touch-icon" sizes="57x57" href="' . esc_url($kable['custom_ios_icon57']['url']) . '">';
        }
    }

    add_action('wp_head', 'kable_meta_tags');
}


if (!function_exists('kable_get')) {

    function kable_get($var) {
        return isset($_GET[$var]) ? $_GET[$var] : (isset($_REQUEST[$var]) ? $_REQUEST[$var] : '');
    }

}
if (!function_exists('kable_get_option_data')) {

    function kable_get_option_data($id, $fallback = false, $param = false) {
        global $kable;
        $kable = apply_filters('kable_filter_option_data', $kable);
        if ($fallback == false) {
            $fallback = '';
        }
        if (isset($kable[$id]) && $kable[$id] !== '') {
            $output = $kable[$id];
        } else {
            $output = $fallback;
        }
        if (!empty($kable[$id]) && $param) {
            if (isset($kable[$id][$param])) {
                $output = $kable[$id][$param];
            } else {
                $output = $fallback;
            }
        }
        return $output;
    }

}

if (!function_exists('kable_add_formatting')) {

    function kable_add_formatting($content) {
        $content = do_shortcode($content);
        return $content;
    }

}

if (!function_exists('kable_newsletter_popup')) {

    function kable_newsletter_popup() {
        $enable = kable_get_option_data('popup_enable', false);
        $front_page = kable_get_option_data('popup_page_enable', 'front');

        global $kable;
        if ($enable == false) {
            return;
        }
        if ($front_page == 'front' && !is_front_page()) {
            return;
        }
        ?>            
        <div class="popup-news piko-newsletter pr o_h dn"  id="newsletterModal">
            <div class="pop-content d_flex t_c o_h align-items-center">                
                <div class="col-12 offset-sm-4 col-sm-8 offset-md-5 col-md-7">
                    <?php echo do_shortcode($kable['popup_content']); ?>
                </div>
            </div>
            <div class="pop-tools p_r">
                <div class="pop-line"></div>
                    <span class="fix-checkbox">
                        <input type="checkbox" id="showagain" value="do-not-show">
                        <label for="showagain" class="checkbox"></label><span><?php echo esc_html($kable['popup_nomore_text']); ?></span>
                    </span>
                <a href="javascript:void(0)" class="f_s25 dib pop-close"><span class="la la-close"></span></a>
            </div>
        </div>		
        <?php
    }

}