<?php

/**
 * Custom heading for visual composer.
 */
function kable_vc_add_params_to_custom_heading() {
    vc_add_params(
            'vc_custom_heading', array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Shortcode Type', 'kable'),
            'param_name' => 'type',
            'value' => array(
                esc_html__('Custom Heading', 'kable') => 'custom_heading',
                esc_html__('Advance Banner', 'kable') => 'custom_banner',
            ),
            'std' => 'custom_heading',
            'description' => esc_html__('Two type shortcode custom Heading & Advance Banner ', 'kable'),
            'admin_label' => true,
            'weight' => 1,
        ),
        array(
            'heading' => esc_html__('Enable divider?', 'kable'),
            'description' => esc_html__('Divider to left and right and divider after to bottom add a thin line of heading.', 'kable'),
            'type' => 'dropdown',
            'param_name' => 'divider',
            'weight' => 1,
            'value' => array(
                esc_html__('None', 'kable') => '',
                esc_html__('Divider', 'kable') => 'hline',
                esc_html__('Divider Inside', 'kable') => 'hline_inside',
                esc_html__('Divider after', 'kable') => 'hline_after',
                esc_html__('After full', 'kable') => 'hline_full',
            ),
            'dependency' => array('element' => 'type', 'value' => array('custom_heading')),
        ),
        array(
            'heading' => esc_html__('Border size', 'kable'),
            'type' => 'dropdown',
            'param_name' => 'divider_height',
            'weight' => 1,
            'value' => array(
                esc_html__('1px', 'kable') => 'onepx',
                esc_html__('2px', 'kable') => 'twopx',
                esc_html__('4px', 'kable') => 'fourpx',
                esc_html__('6px', 'kable') => 'sixpx',
            ),
            'std' => 'twopx',
            'dependency' => array('element' => 'divider', 'value' => array('hline_inside')),
        ),
        array(
            'type' => 'attach_image',
            'param_name' => 'image',
            'heading' => esc_html__('Banner Image', 'kable'),
            'weight' => 1,
            'description' => esc_html__('The Image size as you want if use grid column use same size', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Banner Ttile Position', 'kable'),
            'param_name' => 'title_position',
            'admin_label' => true,
            'weight' => 1,
            'value' => array(
                esc_html__('Center Center', 'kable') => 'center',
                esc_html__('Center Top', 'kable') => 'center-top',
                esc_html__('Center Bottom', 'kable') => 'center-bottom',
                esc_html__('Right Center', 'kable') => 'right-center',
                esc_html__('Right Top', 'kable') => 'right-top',
                esc_html__('Right Bottom', 'kable') => 'right-bottom',
                esc_html__('Left Center', 'kable') => 'left-center',
                esc_html__('Left top', 'kable') => 'left-top',
                esc_html__('Left bottom', 'kable') => 'left-bottom',
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'std' => 'center',
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Banner Hover Effect', 'kable'),
            'param_name' => 'hover_effect',
            'admin_label' => true,
            'weight' => 1,
            'value' => array(
                esc_html__('None', 'kable') => '',
                esc_html__('Zoom image', 'kable') => 'h_e1',
                esc_html__('Button Show', 'kable') => 'h_e3',
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'heading' => '',
            'type' => 'checkbox',
            'param_name' => 'hover_shine',
            'weight' => 1,
            'value' => array(
                esc_html__('Yes', 'kable') => 'h_e2'
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
            'description' => esc_html__('Plus hover shine effect ', 'kable'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Main Title Font size', 'kable'),
            'param_name' => 'title_font_size',
            'admin_label' => true,
            'weight' => 1,
            'value' => array(
                'default' => '',
                'Size: 70px' => 'fs70',
                'Size: 60px' => 'fs60',
                'Size: 48px' => 'fs48',
                'Size: 36px' => 'fs36',
                'Size: 30px' => 'fs30',
                'Size: 25px' => 'fs25',
                'Size: 20px' => 'fs20',
                'Size: 18px' => 'f_s18',
                'Size: 16px' => 'f_s16',
            ),
            'description' => esc_html__('NB: Dont set general -> Font size. Set fixed font size here font Responsive issue ', 'kable'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Sub Title Font size', 'kable'),
            'param_name' => 'sub_title_font_size',
            'admin_label' => true,
            'weight' => 1,
            'value' => array(
                'Size: 14px' => 'f_s14',
                'Size: 16px' => 'f_s16',
                'Size: 18px' => 'f_s18',
                'Size: 20px' => 'fs20',
                'Size: 25px' => 'fs25',
                'Size: 30px' => 'fs30',
                'Size: 36px' => 'fs36',
                'Size: 48px' => 'fs48',
                'Size: 60px' => 'fs60',
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'std' => 'f_s14',
            'description' => esc_html__('NB: Responsive issue ', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'heading' => esc_html__('Below Title enable', 'kable'),
            'type' => 'checkbox',
            'param_name' => 'below_title',
            'weight' => 1,
            'value' => array(
                esc_html__('Yes', 'kable') => 'yes'
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'heading' => esc_html__('Below Title', 'kable'),
            'type' => 'textarea',
            'param_name' => 'below_title_text',
            'weight' => 1,
            'value' => '50% Off',
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'below_title', 'value' => array('yes')),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Below Title font Size', 'kable'),
            'param_name' => 'bellow_title_font_size',
            'weight' => 1,
            'value' => array(
                'Size: 25px' => 'fs25',
                'Size: 30px' => 'fs30',
                'Size: 36px' => 'fs36',
                'Size: 48px' => 'fs48',
                'Size: 60px' => 'fs60',
                'Size: 70px' => 'fs70',
                'Size: 100px' => 'fs100',
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'std' => 'fs25',
            'dependency' => array('element' => 'below_title', 'value' => array('yes')),
        ),
        array(
            'param_name' => 'sub_title',
            'heading' => esc_html__('Sub Title', 'kable'),
            'description' => esc_html__('It shows after the heading', 'kable'),
            'type' => 'textarea',
            'weight' => 1,
        ),
        array(
            'heading' => esc_html__('Secondary Button link', 'kable'),
            'description' => esc_html__('It shows right side heading', 'kable'),
            'type' => 'dropdown',
            'param_name' => 'secondary_btn',
            'weight' => 1,
            'value' => array(
                'None' => '',
                'Bottom' => '3',
                'Right' => '1',
                'Right with slide arrow' => '2',
            ),
            'dependency' => array('element' => 'type', 'value' => array('custom_heading')),
        ),
        array(
            'heading' => esc_html__('Sub title shows after Main title', 'kable'),
            'type' => 'checkbox',
            'param_name' => 'sub_title_before',
            'weight' => 1,
            'value' => array(
                esc_html__('Yes', 'kable') => 'yes'
            ),
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'heading' => esc_html__('Sub Title font color', 'kable'),
            'type' => 'colorpicker',
            'param_name' => 'sub_font_color',
            'weight' => 1,
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'param_name' => 'sub_font_weight',
            'heading' => esc_html__('Sub Title font Weight', 'kable'),
            'type' => 'pikoworks_number',
            'weight' => 1,
            'description' => esc_html__('like as: 600, 900 etc', 'kable'),
            'group' => esc_html__('Advance Banner', 'kable'),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
        array(
            'heading' => esc_html__('Link Button Style', 'kable'),
            'type' => 'dropdown',
            'param_name' => 'banner_btn',
            'weight' => 1,
            'value' => array(
                'None' => 'none',
                'Button' => 'button',
                'Line Button' => 'line_button',
            ),
            'dependency' => array('element' => 'type', 'value' => array('custom_banner')),
        ),
            )
    );
}

add_action('vc_after_init', 'kable_vc_add_params_to_custom_heading');
