<?php
if ( ! defined( 'ABSPATH' ) ) { exit;} // Exit if accessed directly

/* 
 * yith @wishlist intrigation;
 * 
 */


function kable_yith_withlist_single_page_btn() {
	return;
}
add_filter( 'yith_wcwl_positions', 'kable_yith_withlist_single_page_btn' );

/*
* Wishlist notification remove
*/

function kable_yith_wcwl_added_to_cart_message( $message ){ 
   return false;
}
add_action( 'yith_wcwl_added_to_cart_message', 'kable_yith_wcwl_added_to_cart_message' );


/**
* Remove font wishlist font awesome
**/
function kable_yith_font_awesome_css() {
    wp_dequeue_style('yith-wcwl-font-awesome');
    wp_deregister_style('yith-wcwl-font-awesome');
}
add_action('wp_enqueue_scripts','kable_yith_font_awesome_css', 100);


if(!function_exists('kable_wishlist_number')) {
	function kable_wishlist_number() {
		if( class_exists( 'YITH_WCWL' ) ):
			$args  = array();
			if ( defined( 'YITH_WCWL_PREMIUM' ) && is_user_logged_in() ) {
				$args['wishlist_id'] = 'all';
			} else {
				$args['is_default'] = true;
			}
			$products = YITH_WCWL()->get_products( $args );

			if ( ! defined( 'YITH_WCWL_PREMIUM' ) ) {
				$products = array_reverse($products);
			}
			$count = count( $products );
                        echo '<a href="'. esc_url(YITH_WCWL()->get_wishlist_url()).'" class="wishlist-link">'. esc_attr__('Wishlist', 'kable') .' <span>('. esc_attr($count). ')</sapn></a>';                        
		endif;
	}
}


if(!function_exists('kable_wishlist_widget')) {
	function kable_wishlist_widget() {
                $enable = kable_get_option_data('show_wishlist_iocn',  false); 
		if( class_exists( 'YITH_WCWL' ) && $enable == true ):
			$args  = array();
			if ( defined( 'YITH_WCWL_PREMIUM' ) && is_user_logged_in() ) {
				$args['wishlist_id'] = 'all';
			} else {
				$args['is_default'] = true;
			}
			$products = YITH_WCWL()->get_products( $args );

			if ( ! defined( 'YITH_WCWL_PREMIUM' ) ) {
				$products = array_reverse($products);
			}
                        $count = count( $products );
			?>
			 <li class="cart-button piko_widget_wishlist">                               
                                <a href="<?php  echo esc_url(YITH_WCWL()->get_wishlist_url()); ?>">
                                    <span class="tools_button_icon pr"><span class="la la-heart-o"></span><span class="badges"><?php echo esc_attr($count) ?></span></span>                                    
                                </a>
			</li>
			<?php
		endif;
	}
}
if(!function_exists('kable_wishlist_multilingual_ajax')) {
	add_filter('wcml_multi_currency_is_ajax', 'kable_wishlistt_multilingual_ajax');
	function kable_wishlist_multilingual_ajax($functions) {
		$functions[] = 'kable_wishlist_fragments';
		return $functions;
	}
}
if( ! function_exists('kable_wishlist_fragments') ) {
	add_action( 'wp_ajax_kable_wishlist_fragments', 'kable_wishlist_fragments');
	add_action( 'wp_ajax_nopriv_kable_wishlist_fragments', 'kable_wishlist_fragments');

	function kable_wishlist_fragments() {
		if(! function_exists('wc_setcookie') || ! function_exists('YITH_WCWL') ) return;
		$products = YITH_WCWL()->get_products( array(
			#'wishlist_id' => 'all',
			'is_default' => true
		) );
		// wishlist mini cart
		ob_start();
		kable_wishlist_widget();              
		$wishlist = ob_get_clean();
		// Fragments and wishlist mini cart are returned
		$data = array(
			'wishlist' => $wishlist,
			'wishlist_hash' =>  md5( json_encode( $products ) )
		);
		wp_send_json( $data );
	}
}

if( ! function_exists('kable_wishlist_maybe_set_cookies') ) {
	add_action( 'wp', 'kable_wishlist_maybe_set_cookies', 99 );
	function kable_wishlist_maybe_set_cookies() {
		if(! function_exists('wc_setcookie') || ! function_exists('YITH_WCWL') ) return;
		$products = YITH_WCWL()->get_products( array(
			#'wishlist_id' => 'all',
			'is_default' => true
		) );

		if ( ! headers_sent() && did_action( 'wp_loaded' ) ) {
			if ( ! empty( $products ) ) {
				kable_wishlist_set_cookies( true );
			} elseif ( isset( $_COOKIE['piko_items_in_wishlist'] ) ) {
				kable_wishlist_set_cookies( false );
			}
		}
	}
}

if( ! function_exists('kable_wishlist_set_cookies') ) {
	function kable_wishlist_set_cookies($set = true ) {
		if(! function_exists('wc_setcookie') || ! function_exists('YITH_WCWL') ) return;
		$products = YITH_WCWL()->get_products( array(
			#'wishlist_id' => 'all',
			'is_default' => true
		) );
		if ( $set ) {
			wc_setcookie( 'piko_items_in_wishlist', 1 );
			wc_setcookie( 'piko_wishlist_hash', md5( json_encode( $products ) ) );
		} elseif ( isset( $_COOKIE['piko_items_in_wishlist'] ) ) {
			wc_setcookie( 'piko_items_in_wishlist', 0, time() - HOUR_IN_SECONDS );
			wc_setcookie( 'piko_wishlist_hash', '', time() - HOUR_IN_SECONDS );
		}
		do_action( 'kable_wishlist_set_cookies', $set );
	}
}