<?php
/**
 * The template part for displaying content
 */
$archive_display_columns = kable_get_option_data('optn_archive_display_columns', '1');
$archive_layout_style = kable_get_option_data('optn_archive_layout_style', ''); 
$charlength = kable_get_option_data('optn_archive_except_word', '55'); 
?>

<div id="masonry-grid" class="row max-col-<?php echo esc_attr($archive_display_columns) ?>">
<?php

$post_count = 0;
while ( have_posts() ) : the_post(); 


$post_count++;
if ($post_count % 2 == 0) {
    $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry2';
}elseif ($post_count % 3 == 0) {
    $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry3';
}elseif($post_count % 4 == 0){
     $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry4';
}elseif($post_count % 5 == 0){
     $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry5';
}elseif($post_count % 6 == 0){
     $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry1';
}elseif($post_count % 7 == 0){
     $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry3';
}else{
    $GLOBALS['kable_archive_loop']['image-size'] = 'kable-masonry1';
} 

$size = 'full';
if (isset($GLOBALS['kable_archive_loop']['image-size'])) {
    $size = $GLOBALS['kable_archive_loop']['image-size'];    
}
?>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <?php
        $thumbnail = kable_post_format($size);
        if (!empty($thumbnail)) : ?>
            <figure class="entry-media">
             <?php echo wp_kses_post($thumbnail); ?>
            </figure>
        <?php endif; ?>       
        <?php kable_entry_header();?>
        <div class="entry-content mb35">                
            <?php
                /* translators: %s: Name of current post */                  

                echo '<p>'. kable_trim_word($charlength). '</p>';

                wp_link_pages( array(
                        'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'kable' ) . '</span>',
                        'after'       => '</div>',
                        'link_before' => '<span>',
                        'link_after'  => '</span>',
                        'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'kable' ) . ' </span>%',
                        'separator'   => '<span class="screen-reader-text">, </span>',
                ) );
            ?>                
        </div> 
    </article>
    <?php 
        endwhile;
        kable_archive_loop_reset(); 
    ?>
</div>        
      