<?php
/**
 * Template part for displaying header layout.
 * 
 * @author themepiko
 */
$prefix = 'kable_';
$menu_width = get_post_meta(get_the_ID(), $prefix . 'manu_width', true);
if (!isset($menu_width) || $menu_width == '-1' || $menu_width == '') {
    $menu_width = isset($GLOBALS['kable']['full_width_menu']) ? $GLOBALS['kable']['full_width_menu'] : 'container-fluid';
}
$topbar = get_post_meta(get_the_ID(), $prefix . 'enable_top_bar', true);
if (!isset($topbar) || $topbar == '-1' || $topbar == 0) {
    $topbar = kable_get_option_data('enable_top_bar', false);
}
?>
<header id="header" class="site-header">
    <?php if ($topbar) {
        kable_get_topbar();
    } ?>
    <div class="header-main">
        <div class="<?php echo esc_attr($menu_width); ?>">	
            <div class="row no-gutters align-items-center justify-content-between columns">
                <div class="col-3 col-lg-1 col-xl-1 header-actions">
                    <?php kable_get_header_action_there(); ?>
                </div>
                <div class="col-6 col-lg-10 col-xl-10 row no-gutters align-items-center justify-content-center">
                    <div class="col-lg-5">
                        <?php  kable_get_main_menu(); ?>
                    </div>
                    <div class="col-lg-2">
                        <?php  kable_get_brand_logo(); ?>
                    </div>
                    <div class="col-lg-5">
                        <?php  kable_get_secondary_menu(); ?>
                    </div>                   
                </div>
                <div class="col-3 col-lg-1 col-xl-1 header-actions">
                    <?php kable_get_header_action(); ?>
                </div>
            </div>
        </div>
    </div>
</header>
