<?php
/**
 * @accordion
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
add_action('vc_before_init', 'pikoworks_accordion');

function pikoworks_accordion() {

    vc_map(array(
        "name" => esc_html__("Accordion", 'pikoworks-core'),
        "base" => "pikoworks_accordion",
        "category" => esc_html__('Pikoworks', 'pikoworks-core'),
        "icon" => get_template_directory_uri() . "/assets/images/logo/favicon.png",
        "description" => esc_html__("Accordion Collapse", 'pikoworks-core'),
        "as_parent" => array('only' => 'accordion_section'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
        "show_settings_on_create" => true,
        "params" => array(            
            array(
                "heading" => esc_html__("Extra class name", 'pikoworks_core'),
                "type" => "textfield",
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "pikoworks_core"),
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'pikoworks-core'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'pikoworks-core'),
                'admin_label' => false,
            ),
        ),
        "js_view" => 'VcColumnView'
    ));
    vc_map(array(
        "name" => esc_html__("Accordion Section", 'pikoworks-core'),
        "base" => "accordion_section",
        "content_element" => true,
        "as_child" => array('only' => 'accordion_section'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
            // add params same as with any other content element
            array(
                'heading' => esc_html__('Title', 'pikoworks_core'),
                'type' => 'textfield',
                'param_name' => 'title',
                'value' => 'Title Here',
                'admin_label' => true,
            ),
            array(
                "heading" => esc_html__("Description", 'pikoworks_core'),
                "type" => "textarea",
                "param_name" => "description",
                'value' => 'Here Description',
            ),
        )
    ));
}

class WPBakeryShortCode_pikoworks_accordion extends WPBakeryShortCodesContainer {

    protected function content($atts, $content = null) {
        $atts = function_exists('vc_map_get_attributes') ? vc_map_get_attributes('pikoworks_accordion', $atts) : $atts;
        extract(shortcode_atts(array(
            'layout' => '',
            'el_class' => '',
            'css' => '',
                        ), $atts));

        $css_class = 'piko_accordions ' . $el_class;
        if (function_exists('vc_shortcode_custom_css_class')):
            $css_class .= ' ' . apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
        endif;

        $tabs = pikoworks_core_get_all_attributes('accordion_section', $content); 
        
        if (count($tabs) > 0):
            ob_start();
            ?> 
            <div class="<?php echo esc_attr($css_class); ?>">
                <?php pikoworks_accordion_generate($tabs); ?>
            </div>
            <?php
            return ob_get_clean();

        endif;
    }

}

function pikoworks_accordion_generate($tabs = array()) {
    foreach ($tabs as $i => $tab): $class = "tab-nav";        
        extract(shortcode_atts(array(
            'title' => 'Title here',
            'description' => 'description here',
        ), $tab));
        ?>
        <div class="piko_accordion" >
            <div class="accordion pr">
                <h4 class="a_panel"><?php echo esc_attr($title); ?></h4>
                <button class="mfp-close"></button>
            </div>
            <div class="content"><?php echo esc_attr($description); ?></div>               
        </div>      
        <?php
    endforeach;
}
