<?php
/**
 * @ brand logo
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
add_action( 'init', 'pikoworks_contact_address' );
function pikoworks_contact_address(){
// Setting shortcode lastest
$params = array(
    "name"        => esc_html__( "Contact", 'pikoworks_core'),
    "base"        => "contact_address",
    "category"    => esc_html__('Pikoworks', 'pikoworks_core' ),
    "icon" => get_template_directory_uri() . "/assets/images/logo/favicon.png",
    "description" => esc_html__( "Contact Address", 'pikoworks_core'),
     'params'      => array_merge(array(        
        array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Location Name', 'pikoworks_core' ),
                'param_name' => 'location',
                'value' => 'New York',
                'admin_label' => true,
        ),
        array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Adresss', 'pikoworks_core' ),
                'param_name' => 'address',
                'value' => '5078 Jensen Key, Port Kaya, WV 73505',
                'admin_label' => true,
        ),
        array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Mobile No', 'pikoworks_core' ),
                'param_name' => 'mobile',
                'value' => '+1 234-567-8902',
        ),
        array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Email', 'pikoworks_core' ),
                'param_name' => 'email'
        ),
        array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Fax', 'pikoworks_core' ),
                'param_name' => 'fax'
        ),     
        array(
            "type"        => "textfield",
            "heading"     => esc_html__( "Extra class name", 'pikoworks_core' ),
            "param_name"  => "el_class",
            "description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "pikoworks_core" ),
        ),
         array(
            'type'           => 'css_editor',
            'heading'        => esc_html__( 'Css', 'pikoworks_core' ),
            'param_name'     => 'css',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'pikoworks_core' ),
            'group'          => esc_html__( 'Design options', 'pikoworks_core' )
	)
    ))
);
vc_map($params);
}
class WPBakeryShortCode_contact_address extends WPBakeryShortCode { 
    
    protected function content($atts, $content = null) {
        $atts = function_exists( 'vc_map_get_attributes' ) ? vc_map_get_attributes( 'contact_address', $atts ) : $atts;
        $atts = shortcode_atts( array( 
            'location'   => '',      
            'address'   => '',
            'mobile'   => '',
            'email'   => '',
            'fax' => '',            
            'el_class' => '',
            'css' => '',
            
            
        ), $atts );
        extract($atts);
        
        
        $css_class = 'contact-address ' . $el_class;
        if ( function_exists( 'vc_shortcode_custom_css_class' ) ):
            $css_class .= ' ' . apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), '', $atts );
        endif;
        
        ob_start();
           
            ?>
            <div class="<?php echo esc_attr( $css_class ) ?>" >
                <h4><?php echo esc_attr($location) ?></h4>
                <div class="address">
                    <?php
                    if($address != ''){
                        echo '<div><span class="fa fa-home"></span><span class="text">'. esc_attr($address).'</span></div>';
                    }
                    if($mobile != ''){
                        echo '<div><span class="fa fa-phone"></span><span class="text">'. esc_attr($mobile).'</span></div>';
                    }
                    if($email != ''){
                        echo '<div><span class="fa fa-envelope"></span><a class="text" href="mailto:'. esc_attr($email) . '">'. esc_attr($email) . '</a></div>';
                    }
                    if($fax != ''){
                        echo '<div><span class="fa fa-fax"></span><span class="text">'. esc_attr($fax).'</span></div>';
                    }                    
                    ?>
                </div>                
            </div>
            <?php       
        $result = ob_get_contents();
        ob_clean();
        return $result;
    }    
    
}