<?php
/**
 * @author  themepiko
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
add_action('init', 'pikoworks_product_deal');

function pikoworks_product_deal()
{
    // Setting shortcode lastest

    $params = array(
        "name" => esc_html__("Product Deal", 'pikoworks-core'),
        "base" => "pikoworks_product_deal",
        "category" => esc_html__('Pikoworks', 'pikoworks-core'),
        "icon" => get_template_directory_uri() . "/assets/images/logo/favicon.png",
        "description" => esc_html__("Hot deal product", 'pikoworks-core'), 'params' => array_merge(array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Product Ids", 'pikoworks-core'),
                "param_name" => "ids",
                'value' => '355,457,50,778',
                "description" => esc_html__("NB: WP-Admin -> Products-> Mouse hover any product item you see the Product id like: 3555. write use by comma like: 3555,457", "pikoworks-core"),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Title", 'pikoworks-core'),
                "param_name" => "title",
                'value' => 'Hot Deal',
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Product layout', 'pikoworks-core'),
                'param_name' => 'type',
                'value' => array(
                    esc_html__('layout 1', 'pikoworks-core') => '1',
                    esc_html__('layout 2', 'pikoworks-core') => '2',
                ),
                'std' => 'image',
                'admin_label' => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Product Image effect', 'pikoworks_core'),
                'param_name' => 'product_img',
                'value' => array(
                    esc_html__('None', 'pikoworks_core') => 'none',
                    esc_html__('Rollover', 'pikoworks_core') => 'rollover',
                ),
                'std' => 'none',
                "admin_label" => true,
                'dependency' => array('element' => 'tabs_type', 'value' => array('1', '2')),
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__('Distance between 2 item', 'pikoworks_core'),
                "param_name" => "no_gutters",
                'value' => array(
                    esc_html__('Default', 'pikoworks_core') => '',
                    esc_html__('0px', 'pikoworks_core') => 'no-gutters',
                    esc_html__('5px', 'pikoworks_core') => 'gutters5',
                    esc_html__('7px', 'pikoworks_core') => 'gutters7',
                ),
                'std' => 'gutters5',
                'dependency' => array('element' => 'tabs_type', 'value' => array('1', '2')),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'pikoworks-core'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "pikoworks-core"),
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'pikoworks-core'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'pikoworks-core')
            )
        ), pikoworks_get_slider_params_enable())
    );
    vc_map($params);
}

class WPBakeryShortCode_pikoworks_product_deal extends WPBakeryShortCode
{

    protected function content($atts, $content = null)
    {
        $atts = function_exists('vc_map_get_attributes') ? vc_map_get_attributes('pikoworks_product_deal', $atts) : $atts;
        $atts = shortcode_atts(array(
            'type' => '',
            'title' => '',
            'ids' => '',
            'product_img' => '',
            'no_gutters' => '',
            //Carousel
            'use_responsive' => '1',
            'is_slider' => '',
            'slides_scroll' => "",
            'autoplay' => "false",
            'loop' => "false",
            'navigation' => "true",
            'navigation_btn' => '',
            'btn_hover_show' => '',
            'btn_light' => '',
            'dots' => "false",
            'margin' => '',
            'items_very_large_device' => 6,
            'items_large_device' => 4,
            'items_mobile_device' => 2,
            'el_class' => '',
            'css' => ''
        ), $atts);
        extract($atts);

        $css_class = 'sc-deal hsc sip ' . $el_class;
        if (function_exists('vc_shortcode_custom_css_class')) :
            $css_class .= ' ' . apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
        endif;



        ob_start();

        if (class_exists('WooCommerce')) :

            $col_md = round(12 / $items_large_device);
            if ($items_large_device == '4') {
                $col_sm = ($col_md + 1);
            } elseif ($items_large_device == '3') {
                $col_sm = ($col_md + 2);
            } elseif ($items_large_device == '6') {
                $col_sm = ($col_md + 1);
            } else {
                $col_sm = $col_md;
            }

            if (!pikoworks_is_mobile()) {
                $col_class[] = 'col-lg-' . round(12 / $items_very_large_device);
                $col_class[] = 'col-md-' . $col_md;
                $col_class[] = 'col-sm-' . $col_sm;
                $col_class = esc_attr(implode(' ', $col_class));
            }
            if ($is_slider == 'yes' && $use_responsive == '0' || pikoworks_is_mobile()) {
                $col_class = 'col-xs-12';
            }
            $mobile_item = '2';
            if (pikoworks_is_mobile()) {
                $navigation = 'false';
                $dots = 'true';
            }


            $slide_class = 'row';
            $data_slick = '';
            if ($is_slider == 'yes' || pikoworks_is_mobile()) {
                $slide_class = 'piko-carousel' . ' ' . $navigation_btn . ' ' . $btn_light . ' ' . $btn_hover_show . ' ' . $margin;

                $res_large = $use_responsive ? '"slidesToShow":' . esc_attr($items_very_large_device) . ', "slidesToScroll": 1,' : '';
                $res_media = $use_responsive ? ',"responsive":[{"breakpoint": 1200,"settings":{"slidesToShow":' . esc_attr($items_large_device) . '}},{"breakpoint": 1024,"settings":{"slidesToShow": 3}},{"breakpoint": 768,"settings":{"slidesToShow": 2}},{"breakpoint": 480,"settings":{"slidesToShow": ' . esc_attr($mobile_item) . '}}]' : '';

                $data_slick = '{' . $res_large . '"arrows":' . esc_attr($navigation) . ',"dots":' . esc_attr($dots) . ',"infinite":' . esc_attr($loop) . ',"autoplay":' . esc_attr($autoplay) . '' . $res_media . '}';
            }

            if ($product_img == 'rollover') {
                remove_action('woocommerce_before_shop_loop_item_title', 'kable_wc_template_loop_product_thumbnail', 10);
                add_action('woocommerce_before_shop_loop_item_title', 'kable_wc_template_loop_product_thumbnail_rollover', 10);
            }

            $args = array(
                'post_type' => 'product',
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'post__in' => explode(',', $ids),
                'orderby' => 'ID',
            );

            $products = new WP_Query($args);
            ?>
        <div class="<?php echo esc_attr($css_class); ?>">
            <h5><?php echo esc_attr($title) ?></h5>
            <div class="<?php echo esc_attr($slide_class); ?>" data-slick='<?php echo $data_slick; ?>'>
                <?php
                if ($products->have_posts()) :
                    while ($products->have_posts()) : $products->the_post();
                        ?>
                        <div <?php post_class($col_class); ?>>
                            <div class="product-wrap pl-<?php echo esc_attr($type); ?>">
                                <?php wc_get_template_part('vc-tabs', 'product'); ?>
                            </div>
                        </div>
                    <?php
                endwhile;
            else :
                esc_attr_e('Go to WP-Admin -> Products-> Mouse hover any product item you see the Product id like: 3555. write use by comma like: 3555,457', 'pikoworks_core');
            endif;
            wp_reset_query();
            wp_reset_postdata();
            ?>
            </div>
        </div>
    <?php
endif;

$result = ob_get_contents();
ob_clean();
return $result;
}
}

function kable_wc_template_loop_product_coundown2()
{
    $id = get_the_ID();
    $time = kable_get_max_date_sale($id);
    $y = date('Y', $time);
    $m = date('m', $time);
    $d = date('d', $time);

    $sale_price_dates_from = ($date = get_post_meta($id, '_sale_price_dates_from', true)) ? date_i18n('Y-m-d', $date) : '';

    if ($sale_price_dates_from !== '') {
        ?>
        <div><?php echo $sale_price_dates_from; ?>forhad</div>
    <?php
}
}
