<?php
/**
 * @product slide
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
add_action('init', 'pikoworks_product_slide');
function pikoworks_product_slide()
{
    // Setting shortcode lastest
    $params = array(
        "name"        => esc_html__("Product slide", 'pikoworks_core'),
        "base"        => "pikoworks_product_slide",
        "category"    => esc_html__('Pikoworks', 'pikoworks_core'),
        "icon" => get_template_directory_uri() . "/assets/images/logo/favicon.png",
        "description" => esc_html__("Show Product posts", 'pikoworks_core'),
        'params'      => array_merge(array(
            array(
                "type"       => "dropdown",
                "heading"    => esc_html__("Design Layout", 'pikoworks_core'),
                "param_name" => "style",
                "value"      => array(
                    esc_html__('Default', 'pikoworks_core')     => '1',
                    esc_html__('style 2', 'pikoworks_core')       => '2',
                    esc_html__('style 3', 'pikoworks_core')       => '3'
                ),
                'admin_label' => true
            ),
            array(
                "type" => "pikoworks_taxonomy",
                "taxonomy" => "product_cat",
                "heading" => esc_html__("Display product certain category", 'pikoworks_core'),
                "param_name" => "section_cate",
                "value" => '',
                'parent' => '',
                'multiple' => true,
                'hide_empty' => false,
                'placeholder' => esc_html__('Choose categoy', 'pikoworks_core'),
            ),
            array(
                "type"        => "pikoworks_number",
                "heading"     => esc_html__("Number Post load", 'pikoworks_core'),
                "param_name"  => "number",
                "value"       => 3,
                'admin_label' => true,
                "description" => esc_html__('Enter number of Product if you use "-1" load all product load. or Enter specific as you want like as 7, 8,10...', 'pikoworks_core')
            ),
            array(
                "type"       => "dropdown",
                "heading"    => esc_html__("Order by", 'pikoworks_core'),
                "param_name" => "orderby",
                "value"      => array(
                    esc_html__('None', 'pikoworks_core')     => 'none',
                    esc_html__('ID', 'pikoworks_core')       => 'ID',
                    esc_html__('Author', 'pikoworks_core')   => 'author',
                    esc_html__('Name', 'pikoworks_core')     => 'name',
                    esc_html__('Date', 'pikoworks_core')     => 'date',
                    esc_html__('Modified', 'pikoworks_core') => 'modified',
                    esc_html__('Rand', 'pikoworks_core')     => 'rand',
                ),
                'std'         => 'date',
                'admin_label' => true,
                "description" => esc_html__("Select how to sort retrieved posts.", 'pikoworks_core')
            ),
            array(
                "type"       => "dropdown",
                "heading"    => esc_html__("Order", 'pikoworks_core'),
                "param_name" => "order",
                "value"      => array(
                    esc_html__('Descending', 'pikoworks_core') => 'DESC',
                    esc_html__('Ascending', 'pikoworks_core')  => 'ASC'
                ),
                'std'         => 'DESC',
                'admin_label' => true,
                "description" => esc_html__("Designates the ascending or descending order.", 'pikoworks_core')
            ),
            array(
                "type"        => "textfield",
                "heading"     => esc_html__("Extra class name", 'pikoworks_core'),
                "param_name"  => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer"),
            ),
            array(
                'type'           => 'css_editor',
                'heading'        => esc_html__('Css', 'pikoworks_core'),
                'param_name'     => 'css',
                'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer'),
                'group'          => esc_html__('Design options', 'pikoworks_core')
            )
        ), pikoworks_get_slider_params_enable())
    );
    vc_map($params);
}
class WPBakeryShortCode_pikoworks_product_slide extends WPBakeryShortCode
{

    protected function content($atts, $content = null)
    {
        $atts = function_exists('vc_map_get_attributes') ? vc_map_get_attributes('pikoworks_product_slide', $atts) : $atts;
        $atts = shortcode_atts(array(
            'style' => 1,
            'number' => 7,
            'section_cate' => '',
            'order' => 'DESC',
            'orderby' => 'date',

            //Carousel 
            'use_responsive' => '1',
            'is_slider' => '',
            'autoplay'      => "false",
            'loop'          => "false",
            'navigation'    => "true",
            'navigation_btn' => '',
            'btn_hover_show'    => '',
            'btn_light'    => '',
            'dots'         => "false",
            'margin'       => '',
            //Default
            'items_very_large_device'   => 4,
            'items_large_device'   => 4,
            'items_mobile_device'   => 2,
            'slides_scroll'   => 1,

            'el_class' => '',
            'css'           => '',


        ), $atts);
        extract($atts);
        $css_class = 'product-slide hsc sip sc_ps_' . $style . ' ' . $el_class;
        if (function_exists('vc_shortcode_custom_css_class')) :
            $css_class .= ' ' . apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
        endif;


        $args = array(
            'post_type' => 'product',
            'post_status' => 'publish',
            'orderby' => esc_attr($orderby),
            'order'   => esc_attr($order),
            'posts_per_page' => esc_attr($number),

        );
        if (isset($section_cate)) {
            $args['tax_query'] = array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'slug',
                    'terms' => explode(",", $section_cate)
                ),
            );
        }

        $query = new WP_Query($args);


        ob_start();
        if ($query->have_posts()) :

            $col_md = round(12 / $items_large_device);
            if ($items_large_device == '4') {
                $col_sm = ($col_md + 1);
            } elseif ($items_large_device == '3') {
                $col_sm = ($col_md + 2);
            } elseif ($items_large_device == '6') {
                $col_sm = ($col_md + 1);
            } else {
                $col_sm =  $col_md;
            }
            $image_size = 'woocommerce_thumbnail';
            if (!pikoworks_is_mobile()) {
                $col_class[] = 'col-lg-' . round(12 / $items_very_large_device);
                $col_class[] = 'col-md-' . $col_md;
                $col_class[] = 'col-sm-' . $col_sm;
                $col_class = esc_attr(implode(' ', $col_class));

                if ($items_very_large_device == 2) {
                    $image_size = 'woocommerce_single';
                }
            }
            if ($is_slider == 'yes' && $use_responsive == '0' || pikoworks_is_mobile()) {
                $col_class = 'col-xs-12';
            }


            if (pikoworks_is_mobile()) {
                $navigation = 'false';
                $dots = 'true';
            }


            $slide_class = 'piko-carousel-grid row products';
            $data_slick = '';
            if ($is_slider == 'yes' || pikoworks_is_mobile()) {
                $slide_class = 'piko-carousel products' . ' ' . $navigation_btn . ' ' . $btn_light . ' ' . $btn_hover_show . ' ' . $margin;

                $res_large = $use_responsive ? '"slidesToShow":' . esc_attr($items_very_large_device) . ', "slidesToScroll": ' . esc_attr($slides_scroll) . ',' : '';
                $res_media = $use_responsive ? ',"responsive":[{"breakpoint": 1200,"settings":{"slidesToShow":' . esc_attr($items_large_device) . '}},{"breakpoint": 1024,"settings":{"slidesToShow": 3}},{"breakpoint": 768,"settings":{"slidesToShow": 2}},{"breakpoint": 480,"settings":{"slidesToShow": ' . esc_attr($items_mobile_device) . ',"slidesToScroll": 1}}]' : '';

                $data_slick = '{' . $res_large . '"arrows":' . esc_attr($navigation) . ',"dots":' . esc_attr($dots) . ',"infinite":' . esc_attr($loop) . ',"autoplay":' . esc_attr($autoplay) . $res_media . '}';
            }


            ?>
        <div class="<?php echo esc_attr($css_class) ?>">
            <div class="<?php echo esc_attr($slide_class) ?>" data-slick='<?php echo  $data_slick; ?>'>
                <?php
                while ($query->have_posts()) : $query->the_post();
                    $image_attributes = wp_get_attachment_image_src(get_post_thumbnail_id(), $image_size);


                    $cart_btn = kable_get_option_data('catalog_mode', '1');
                    global $product;

                    ?>
                    <div class="product <?php echo $col_class; ?>">
                        <div class="product-wrap pr">
                            <?php if ($style == '1') : ?><div class="cat-vertical pa"><?php wc_get_template_part('product-category');  ?></div><?php endif; ?>
                            <figure>
                                <a href="<?php esc_url(the_permalink()) ?>">
                                    <?php
                                    if (has_post_thumbnail()) {
                                        printf('<img src="%s" srcset="%s" width="%s" height="%s" class="%s" alt="%s"  sizes="%s"/>', esc_url($image_attributes[0]), wp_get_attachment_image_srcset(get_post_thumbnail_id()), esc_attr($image_attributes[1]), esc_attr($image_attributes[2]), 'attachment-shop_catalog size-shop_catalog', '', '100vw');
                                    } else {
                                        echo wc_placeholder_img();
                                    }
                                    ?>
                                </a>
                            </figure>
                            <div class="content_upper pa">
                                <?php the_title(sprintf('<h3 class="product-title"><a href="%s" data-rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                                <?php if ($cart_btn) : ?>
                                    <div class="price"><?php echo wp_kses_post($product->get_price_html()); ?></div>
                                <?php endif ?>

                                <?php kable_wc_template_loop_add_to_cart() ?>
                            </div>
                            <?php kable_wc_template_loop_product_coundown(); ?>

                        </div>
                    </div>
                <?php endwhile; // end of the loop.
            ?>
            </div>
        </div>
    <?php

endif;

wp_reset_postdata();
wp_reset_query();
$result = ob_get_contents();
ob_clean();
return $result;
}
}
