<?php
/**
 * Custom post
 * @author themepiko
 */
if (!defined('ABSPATH')) {
    exit;
}
get_header();
$layout_type  = kable_get_option_data('team_archive_layout_type', 'grid');
$column_item = $column  = kable_get_option_data('team_archive_column', '4');
$post_per_page = kable_get_option_data('team_archive_load_post', '12');
$order = kable_get_option_data('team_archive_orderby', 'DESC');
$item_gap = kable_get_option_data('team_archive_item_gap', '');

$args = array(
    'order' => $order,
    'posts_per_page' => esc_attr($post_per_page),
    'post_type' => PIKO_TEAM_POST_TYPE,
    'post_status' => 'publish'
);

$posts_array = new WP_Query($args);
$total_post = $posts_array->found_posts;


?>
<main class="team_area col-12">
    <ul class="row ul-no column-<?php echo esc_attr($column_item . ' ' .$layout_type . ' ' . $item_gap) ?>">
        <?php
        $index = 0;
        $img_size = array(222, 257);
        if ($column_item == '6') {
            $column_item = 'col-6 col-md-4 col-lg-3 col-xl-2';
        } elseif ($column_item == '5') {
            $column_item = 'col-6 col-md-4 col-lg-3 col-xl-20';
        } elseif ($column_item == '4') {
            $column_item = 'col-6 col-md-4 col-lg-3';
            $img_size = array(278, 333);
        } elseif ($column_item == '3') {
            $column_item = 'col-6 col-md-4 col-lg-4';
            $img_size = array(340, 456);
        } elseif ($column_item == '2') {
            $column_item = 'col-6';
            $img_size = array(555, 774);
        }

        while ($posts_array->have_posts()) : $posts_array->the_post();
            $index++;
            ?>

        <li class="<?php echo $column_item; ?>">
            <div class="member">
                <figure class="p_r">
                    <?php if (has_post_thumbnail()) : ?>
                    <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail($img_size); ?>
                    </a>
                    <?php endif;  ?>
                    <figcaption class="pa team-title t_c">
                        <a class="t_cate f_s18" href="<?php the_permalink(); ?>">
                            <?php echo get_the_title() ?>
                        </a>
                    </figcaption>
                </figure>
            </div>
        </li>

        <?php

        wp_link_pages(array(
            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'pikoworks_custom_post') . '</span>',
            'after'       => '</div>',
            'link_before' => '<span>',
            'link_after'  => '</span>',
            'pagelink'    => '<span class="screen-reader-text">' . esc_html__('Page', 'pikoworks_custom_post') . ' </span>%',
            'separator'   => '<span class="screen-reader-text">, </span>',
        ));

    endwhile;
    wp_reset_postdata();
    ?>

    </ul>
</main>

<?php get_footer(); ?> 