<?php
get_header();
global $kable;
$left_sidebar = kable_get_option_data('team_single_sidebar', '');
$sidebar_position = kable_get_option_data('team_single_sidebar_pos', 'right');
$style = kable_get_option_data('team_single_style', '1');
if (!function_exists('pikoworks_primary_team_class')) {
    /**
     * Add class to #primary
     * @return string 
     **/
    function pikoworks_primary_team_class($class = '')
    {
        global $kable;

        $prefix = 'kable_';

        $sidebar_position =  get_post_meta(get_the_ID(), $prefix . 'page_sidebar', true);
        $sidebar_width = $kable['team_single_sidebar_width'];


        if (($sidebar_position === '') || ($sidebar_position == '-1')) {
            $sidebar_position = isset($kable['team_single_sidebar_pos']) ? $kable['team_single_sidebar_pos'] : 'fullwidth';
        }

        //calculating cloumn
        if ($sidebar_position == 'left' || $sidebar_position == 'right') {
            if ($sidebar_width == 'large') {
                $content_col = 'col-lg-9 col-xl-8 ';
            } else {
                $content_col = 'col-lg-9 ';
            }
        }

        if ($sidebar_position == 'fullwidth') {
            $class .= ' col-12';
        } else {
            $class .= ' col-12 col-md-12 ' . esc_attr($content_col) . ' has-sidebar-' . esc_attr($sidebar_position);
        }

        return esc_attr($class);
    }
}
if (!function_exists('pikoworks_secondary_team_class')) {
    /**
     * Add class to #secondary
     * @return string 
     **/
    function pikoworks_secondary_team_class($class = '')
    {
        global $kable;

        $prefix = 'kable_';

        $sidebar_position =  get_post_meta(get_the_ID(), $prefix . 'page_sidebar', true);
        $sidebar_width = $kable['team_single_sidebar_width'];

        if (($sidebar_position === '') || ($sidebar_position == '-1')) {
            $sidebar_position = $kable['team_single_sidebar_width'];
        }

        $sidebar_col = 'col-lg-3 ';
        if ($sidebar_width == 'large') {
            $sidebar_col = 'col-lg-3 col-xl-4 ';
        }

        if ($sidebar_position == 'fullwidth') {
            $class .= ' col-12 content-area-fullwidth';
        } else {
            $class .= ' col-12 col-md-12 ' . esc_attr($sidebar_col) . 'sidebar sidebar-' . esc_attr($sidebar_position);
        }

        return esc_attr($class);
    }
}
?>

<div id="primary" <?php post_class(pikoworks_primary_team_class()); ?>>
    <main id="main" class="site-main">
        <?php
        if (have_posts()) {
            // Start the Loop.
            while (have_posts()) : the_post(); ?>
        <article class="row team-single team-single-<?php echo esc_attr($style); ?>">
            <div class="col-12 col-sm-6 col-md-6">
                <?php if (has_post_thumbnail()) : ?>
                <figure class="left-width">
                    <?php the_post_thumbnail(); ?>
                </figure>
                <?php endif; ?>
            </div>
            <div class="col-12 col-sm-6 col-md-6 details">
                <?php the_content(); ?>

                <?php
                  $skill_1 = get_post_meta(get_the_ID(), 'piko_skill_name', true);
                  $skill_val_1 = get_post_meta(get_the_ID(), 'piko_skill_per', true);
                  $skill_2 = get_post_meta(get_the_ID(), 'piko_skill_name2', true);
                  $skill_val_2 = get_post_meta(get_the_ID(), 'piko_skill_per2', true);
                  $skill_3 = get_post_meta(get_the_ID(), 'piko_skill_name3', true);
                  $skill_val_3 = get_post_meta(get_the_ID(), 'piko_skill_per3', true);
                ?>
                <div class="progress-wrap row justify-content-between">
                    <?php if(isset($skill_1) && $skill_1 != ''): ?>
                    <div class="col-6 col-lg-4  mt40 mt20-md">
                        <div class="progress">
                            <span class="progress-title"><?php echo esc_attr($skill_1); ?></span>
                            <svg class="progress-bar progress-animate" xmlns="http://www.w3.org/2000/svg" data-height="<?php echo esc_attr($skill_val_1); ?>">
                                <g>
                                    <path class="base" d="M-38,30C-26.954,16.166-14.975,8-2,7,19.667,5.325,29.232,25,51,26,77.1,27.2,85.026,3.407,111,5c22.778,1.4,29.14,20.458,52,22,17,1.147,34.078-7.93,51-25V149H-33Q-35.5,89.5-38,30Z" />
                                    <path class="upper" d="M-35,24.1C-24.831,11.2-13.8,3.595-1.857,2.66,18.09,1.1,26.9,19.437,46.937,20.367,70.964,21.483,78.262-.689,102.175.8,123.145,2.1,129,19.862,150.048,21.3,165.7,22.369,181.421,13.909,197-2V135H-30.4Z" />
                                </g>
                            </svg>
                            <span class="progress-val"><?php echo esc_attr($skill_val_1); ?>%</span>
                        </div>
                    </div>
                    <?php endif; 
                     if(isset($skill_2) && $skill_2 != ''): ?>
                    <div class="col-6 col-lg-4  mt40 mt20-md">
                        <div class="progress">
                            <span class="progress-title"><?php echo esc_attr($skill_2); ?></span>
                            <svg class="progress-bar progress-animate" xmlns="http://www.w3.org/2000/svg" data-height="<?php echo esc_attr($skill_val_2); ?>">
                                <g>
                                    <path class="base blue" d="M-38,30C-26.954,16.166-14.975,8-2,7,19.667,5.325,29.232,25,51,26,77.1,27.2,85.026,3.407,111,5c22.778,1.4,29.14,20.458,52,22,17,1.147,34.078-7.93,51-25V149H-33Q-35.5,89.5-38,30Z" />
                                    <path class="upper blue" d="M-35,24.1C-24.831,11.2-13.8,3.595-1.857,2.66,18.09,1.1,26.9,19.437,46.937,20.367,70.964,21.483,78.262-.689,102.175.8,123.145,2.1,129,19.862,150.048,21.3,165.7,22.369,181.421,13.909,197-2V135H-30.4Z" />
                                </g>
                            </svg>
                            <span class="progress-val"><?php echo esc_attr($skill_val_2); ?>%</span>
                        </div>
                    </div>
                    <?php endif; 
                     if(isset($skill_3) && $skill_3 != ''): ?>
                    <div class="col-6 col-lg-4  mt40 mt20-md">
                        <div class="progress">
                            <span class="progress-title"><?php echo esc_attr($skill_3); ?></span>
                            <svg class="progress-bar progress-animate" xmlns="http://www.w3.org/2000/svg" data-height="<?php echo esc_attr($skill_val_3); ?>">
                                <g>
                                    <path class="base yellow" d="M-38,30C-26.954,16.166-14.975,8-2,7,19.667,5.325,29.232,25,51,26,77.1,27.2,85.026,3.407,111,5c22.778,1.4,29.14,20.458,52,22,17,1.147,34.078-7.93,51-25V149H-33Q-35.5,89.5-38,30Z" />
                                    <path class="upper yellow" d="M-35,24.1C-24.831,11.2-13.8,3.595-1.857,2.66,18.09,1.1,26.9,19.437,46.937,20.367,70.964,21.483,78.262-.689,102.175.8,123.145,2.1,129,19.862,150.048,21.3,165.7,22.369,181.421,13.909,197-2V135H-30.4Z" />
                                </g>
                            </svg>
                            <span class="progress-val"><?php echo esc_attr($skill_val_3); ?>%</span>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>

                <div class="member-meta d_flex justify-content-between align-items-center mt70 mt40-md">
                    <?php 
                    $meta = get_post_meta(get_the_ID(), 'piko_ourteam_social', true);
                    if (isset($meta) && !empty($meta)) :
                        ?>
                    <div class="contact-btn"><?php esc_html_e('Contact Me', 'pikoworks_custom_post') ?></div>
                    <div class="d_flex social-link">
                        <?php 
                        foreach ($meta['ourteam'] as $col) {
                            $socialLink = isset($col['socialLink']) ? $col['socialLink'] : '';
                            $socialIcon = isset($col['socialIcon']) ? $col['socialIcon'] : '';
                            ?>
                        <a href="<?php echo esc_url($socialLink) ?>" target="_blank" title="<?php echo the_title() ?>"><i class="<?php echo esc_attr($socialIcon) ?>" aria-hidden="true"></i></a>

                        <?php

                    }
                    ?>
                    </div>
                    <?php endif; ?>
                </div><!-- End .member-meta -->

            </div>
        </article>
        <?php
    endwhile;
}
?>
        <?php kable_custom_post_prev_next_link($post_type_name = PIKO_TEAM_POST_TYPE); ?>
    </main><!-- .site-main -->
</div><!-- .content-area -->

<?php if ($sidebar_position != 'fullwidth' && is_active_sidebar($left_sidebar)) : ?>
<aside id="secondary" class="widget-area <?php echo esc_attr(pikoworks_secondary_team_class()); ?>" role="complementary">
    <?php dynamic_sidebar($left_sidebar); ?>
</aside><!-- .sidebar .widget-area -->
<?php endif; ?>

<?php get_footer(); ?> 