<?php
/**
 * Custom post
 * @author themepiko
 */
if (!defined('ABSPATH')) {
    exit;
}
get_header();
$layout_type  = kable_get_option_data('portfolio_archive_layout_type', 'grid');
$column_item = $column  = kable_get_option_data('portfolio_archive_column', '4');
$portfolio_ids = $data_source = $category = kable_get_option_data('portfolio_archive_category', '');
$post_per_page = kable_get_option_data('portfolio_archive_load_post', '12');
$order = kable_get_option_data('portfolio_archive_orderby', 'DESC');
$tab_alignment = kable_get_option_data('portfolio_archive_tab_panel', 'left');
$image_size = kable_get_option_data('portfolio_archive_img_size', '360x275');
$item_gap = kable_get_option_data('portfolio_archive_item_gap', '');


$show_pagging = $item = '';
$current_page = '1';

if ($show_pagging == '2' || $item == '') {
    $offset = 0;
    $post_per_page = -1;
} else {
    $post_per_page = $item;
    $offset = ($current_page - 1) * $item;
}
// $css_class = 'row portfolio-row ' . $title_bottom . ' ' . $el_class . ' ' . $padding;


if ($layout_type == 'masonry') {
    $column_masonry = $column;
} elseif ($layout_type == 'masonry-style02') {
    $column_masonry02 = $column;
} elseif ($layout_type == 'masonry-two') {
    $column = '4';
}




$args = array(
    'offset' => esc_attr($offset),
    'orderby' => 'post__in',
    // 'post__in' => explode(", ", $portfolio_ids),
    'posts_per_page' => esc_attr($post_per_page),
    'post_type' => PIKO_PORTFOLIO_POST_TYPE,
    'post_status' => 'publish'
);

if ($data_source == '') {
    $args = array(
        'offset' => esc_attr($offset),
        'posts_per_page' => esc_attr($post_per_page),
        'orderby' => 'post_date',
        'order' => esc_attr($order),
        'post_type' => PIKO_PORTFOLIO_POST_TYPE,
        PIKO_PORTFOLIO_CATEGORY_TAXONOMY => strtolower($category),
        'post_status' => 'publish'
    );
}

$posts_array = new WP_Query($args);
$total_post = $posts_array->found_posts;


?>
<main class="portfolio_area col-12">
    <div class="filter-container">


        <?php
        $array_terms = array(
            'include' => $category
        );

        $terms = get_terms(PIKO_PORTFOLIO_CATEGORY_TAXONOMY, $array_terms);

        if (count($terms) > 0 && $tab_alignment != 'none') {
            $index = 1;
            ?>

        <ul id="portfolio-filter" class="item_filter tabs p_r mb20 piko-filter d_flex_md ul-no justify-content-<?php echo esc_attr($tab_alignment) ?>">
            <li>
                <a class="active" data-group="all" data-filter="*" href="javascript:void(0)">
                    <?php echo esc_html__('All Work', 'pikoworks_custom_post') ?>
                </a>
            </li>
            <?php
            foreach ($terms as $term) {
                ?>
            <li>
                <a class="" href="javascript:void(0)" data-filter=".<?php echo esc_attr($term->slug) ?>">
                    <?php echo wp_kses_post($term->name) ?>
                </a>
            </li>
            <?php 
        } ?>
        </ul>


        <?php

    }

    ?>


        <div class="row items_container piko-masonry column-<?php echo esc_attr($column_item . ' ' . $item_gap) ?>" data-selector=".single_item_content" data-layoutMode="fitRows">
            <?php
            $index = 0;

            if ($column_item == '6') {
                $column_item = 'col-6 col-md-4 col-lg-3 col-xl-2';
            } elseif ($column_item == '5') {
                $column_item = 'col-6 col-md-4 col-lg-3 col-xl-20';
            } elseif ($column_item == '4') {
                $column_item = 'col-6 col-md-4 col-lg-3';
            } elseif ($column_item == '3') {
                $column_item = 'col-6 col-md-4 col-lg-4';
            } elseif ($column_item == '2') {
                $column_item = 'col-6';
            }


            while ($posts_array->have_posts()) : $posts_array->the_post();
                $index++;
                $permalink = get_permalink();
                $title_post = get_the_title();
                $terms = wp_get_post_terms(get_the_ID(), array(PIKO_PORTFOLIO_CATEGORY_TAXONOMY));
                $cat = $cat_filter = '';
                foreach ($terms as $term) {
                    $cat_filter .= $term->slug . ' ';
                    $cat .= $term->name . ', ';
                }
                $cat = rtrim($cat, ', ');
                ?>

            <?php
            include(plugin_dir_path(__FILE__) . '/loop/' . esc_attr($layout_type) . '-item.php');
            ?>

            <?php

            wp_link_pages(array(
                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'pikoworks_custom_post') . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'pagelink'    => '<span class="screen-reader-text">' . esc_html__('Page', 'pikoworks_custom_post') . ' </span>%',
                'separator'   => '<span class="screen-reader-text">, </span>',
            ));

        endwhile;
        wp_reset_postdata();
        ?>

        </div>
    </div>
</main>



<?php get_footer(); ?> 