<?php
/**
 * @author  themepiko
 */
$index = 0;
global $kable;


$large = isset($kable['p_related_items_large_device']) ? $kable['p_related_items_large_device'] : '4';
$medium = isset($kable['p_related_items_desktop']) ? $kable['p_related_items_desktop'] : '4';
$tablet = isset($kable['p_related_items_tablet']) ? $kable['p_related_items_tablet'] : '3';
$mobile = isset($kable['p_related_items_mobile']) ? $kable['p_related_items_mobile'] : '2';
$args = array(
    'post__not_in' => array($post_id),
    'posts_per_page'   => 10,
    'orderby'           => 'rand',
    'post_type'        => PIKO_PORTFOLIO_POST_TYPE,
    'portfolio_category__in'    => $arrCatId,
    'post_status'      => 'publish'
);
$posts_array = new WP_Query($args);
$m_class = '';
$overlay = 2;
if (function_exists(pikoworks_is_mobile())) {
    $m_class = ' col-xs-12';
}
?>


<div class="related_section mt105 mt50-sm <?php echo esc_attr($m_class); ?>">
    <div class="sip hsc ">
        <h3 class="text_center mb50"><?php esc_html_e('Related Project', 'woocommerce'); ?></h3>
        <div class="piko-carousel sh" data-slick='{"infinite": false, "slidesToShow": <?php echo esc_attr($large); ?>,"slidesToScroll": 1,"responsive":[{"breakpoint": 1024,"settings":{"slidesToShow": <?php echo esc_attr($medium); ?>}},{"breakpoint": 768,"settings":{"slidesToShow": <?php echo esc_attr($tablet); ?>}},{"breakpoint": 576,"settings":{"slidesToShow": <?php echo esc_attr($mobile); ?>}}]}'>
            <?php
            while ($posts_array->have_posts()) : $posts_array->the_post();
                $index++;
                $terms = wp_get_post_terms(get_the_ID(), array(PIKO_PORTFOLIO_CATEGORY_TAXONOMY));

                $post_thumbnail_id = get_post_thumbnail_id(get_the_ID());
                $arrImages = wp_get_attachment_image_src($post_thumbnail_id, 'full');

                $width = 360;
                $height = 275;
                if ($large == 4) {
                    $width = 278;
                    $height = 278;
                } elseif ($large == 3) {
                    $width = 380;
                    $height = 300;
                } elseif ($large == 2) {
                    $width = 585;
                    $height = 300;
                }
                $thumbnail_url = '';
                if (count($arrImages) > 0) {
                    $resize = matthewruddy_image_resize($arrImages[0], $width, $height);
                    if ($resize != null && is_array($resize))
                        $thumbnail_url = $resize['url'];
                }
                $url_origin = $arrImages[0];
                $thumbimg = wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail');
                $cat_name = '';
                $separator = ', ';
                $arrCatId = array();
                foreach ($terms as $term) {
                    $cat_link = get_category_link($term->term_id);
                    $cat .= $term->name . ', ';
                    $cat_name .= '<a class="dib" href="' . esc_url($cat_link) . '"> ' . $term->name . '</a>' . $separator;
                    $arrCatId[count($arrCatId)] = $term->term_id;
                }
                $cat_name =  trim($cat_name, $separator);

                ?>
            <div class="item_content p_r">
                <figure class="mb0">
                    <?php
                    printf('<a href="%s"><img src="%s" srcset="%s" width="%s" height="%s" alt="%s" /></a>', esc_url(get_the_permalink()), esc_url($thumbnail_url), wp_get_attachment_image_srcset($arrImages), esc_attr($width), esc_attr($height), '');
                    ?>
                </figure>
                <a class="link pa_center text_center " href="<?php echo get_permalink(get_the_ID()) ?>">
                    <?php if ($overlay == '1') : ?>
                    <?php echo get_the_title() ?>
                    <?php else : ?>
                    <i class="woble-h-effect la la-arrow-right"></i>
                    <?php endif; ?>
                </a>
            </div>
            <?php
        endwhile;
        wp_reset_postdata();
        ?>
        </div>
    </div>
</div> 