<?php
get_header();
global $kable;
$left_sidebar = kable_get_option_data('portfolio_single_sidebar', '');
$sidebar_position = kable_get_option_data('portfolio_single_sidebar_pos', 'right');
$social = kable_get_option_data('optn_portfolio_social_shear', true);
if (!function_exists('pikoworks_primary_portfolio_class')) {
    /**
     * Add class to #primary
     * @return string 
     **/
    function pikoworks_primary_portfolio_class($class = '')
    {
        global $kable;

        $prefix = 'kable_';

        $sidebar_position =  get_post_meta(get_the_ID(), $prefix . 'page_sidebar', true);
        $sidebar_width = $kable['portfolio_single_sidebar_width'];


        if (($sidebar_position === '') || ($sidebar_position == '-1')) {
            $sidebar_position = isset($kable['portfolio_single_sidebar_pos']) ? $kable['portfolio_single_sidebar_pos'] : 'fullwidth';
        }

        //calculating cloumn
        if ($sidebar_position == 'left' || $sidebar_position == 'right') {
            if ($sidebar_width == 'large') {
                $content_col = 'col-lg-9 col-xl-8 ';
            } else {
                $content_col = 'col-lg-9 ';
            }
        }

        if ($sidebar_position == 'fullwidth') {
            $class .= ' col-12';
        } else {
            $class .= ' col-12 col-md-12 ' . esc_attr($content_col) . ' has-sidebar-' . esc_attr($sidebar_position);
        }

        return esc_attr($class);
    }
}
if (!function_exists('pikoworks_secondary_portfolio_class')) {
    /**
     * Add class to #secondary
     * @return string 
     **/
    function pikoworks_secondary_portfolio_class($class = '')
    {
        global $kable;

        $prefix = 'kable_';

        $sidebar_position =  get_post_meta(get_the_ID(), $prefix . 'page_sidebar', true);
        $sidebar_width = $kable['portfolio_single_sidebar_width'];

        if (($sidebar_position === '') || ($sidebar_position == '-1')) {
            $sidebar_position = $kable['portfolio_single_sidebar_width'];
        }

        $sidebar_col = 'col-lg-3 ';
        if ($sidebar_width == 'large') {
            $sidebar_col = 'col-lg-3 col-xl-4 ';
        }

        if ($sidebar_position == 'fullwidth') {
            $class .= ' col-12 content-area-fullwidth';
        } else {
            $class .= ' col-12 col-md-12 ' . esc_attr($sidebar_col) . 'sidebar sidebar-' . esc_attr($sidebar_position);
        }

        return esc_attr($class);
    }
}
$single_class =  'post-single';
?>

<div id="primary" class="portfolio_area layout-container <?php echo esc_attr(pikoworks_primary_portfolio_class()); ?>">
    <main id="main" class="site-main">
        <?php
        if (have_posts()) {
            // Start the Loop.
            while (have_posts()) : the_post();
                $post_id = get_the_ID();
                $categories = get_the_terms($post_id, PIKO_PORTFOLIO_CATEGORY_TAXONOMY);
                $client = get_post_meta($post_id, 'portfolio-client', true);
                $location = get_post_meta($post_id, 'portfolio-location', true);
                $embaded =  wp_oembed_get(get_post_meta($post_id, 'portfolio_video', true));



                $meta_values = get_post_meta(get_the_ID(), 'portfolio-format-gallery', false);
                $imgThumbs = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'full');
                $cat = '';
                $arrCatId = array();
                if ($categories) {
                    foreach ($categories as $category) {
                        $cat_link = get_category_link($category->term_id);
                        $cat .= '<a href="' . esc_url($cat_link) . '">' . esc_html($category->name) . '</a>, ';
                        $arrCatId[count($arrCatId)] = $category->term_id;
                    }
                    $cat_single = trim($cat, ', ');
                }

                $detail_style =  get_post_meta(get_the_ID(), 'portfolio_detail_style', true);
                if (!isset($detail_style) || $detail_style == 'none' || $detail_style == '') {
                    $detail_style = $kable['portfolio-single-style'];
                }
                include_once(plugin_dir_path(__FILE__) . '/' . $detail_style . '.php');

            endwhile;
        }
        ?>

        <?php

        if (isset($kable['show_portfolio_related']) && $kable['show_portfolio_related'])
            include_once(plugin_dir_path(__FILE__) . '/related.php');

        ?>

        <?php kable_custom_post_prev_next_link($post_type_name = PIKO_PORTFOLIO_POST_TYPE); ?>

    </main><!-- .site-main -->
</div><!-- .content-area -->

<?php if ($sidebar_position != 'fullwidth' && is_active_sidebar($left_sidebar)) : ?>
<aside id="secondary" class="widget-area <?php echo esc_attr(pikoworks_secondary_portfolio_class()); ?>" role="complementary">
    <section class="widget project_widget">

        <?php
        $meta = get_post_meta(get_the_ID(), 'portfolio_custom_fields', true);
        if (isset($meta) && is_array($meta) && count($meta['portfolio_custom_fields']) > 0) {
            ?>
        <ul>
            <?php
            for ($i = 0; $i < count($meta['portfolio_custom_fields']); $i++) {
                ?>
            <li>
                <span>
                    <?php echo wp_kses_post($meta['portfolio_custom_fields'][$i]['custom-field-title']) ?>
                </span>

                <span>
                    <?php echo wp_kses_post($meta['portfolio_custom_fields'][$i]['custom-field-description']) ?>
                </span>
            </li>
            <?php 
        } ?>
        </ul>
        <?php

    }
    ?>
    </section>
    <?php dynamic_sidebar($left_sidebar); ?>
</aside><!-- .sidebar .widget-area -->
<?php endif; ?>

<?php get_footer(); ?> 