<?php

/* 
 * import data
 */

function pikowroks_dummy_importer_files()
{
  $main_domain = 'http://demo.themepiko.com/kable/';

  return array(
    array(
      'import_file_name'             => 'Default',
      'categories'                   => array('Demo'),
      'local_import_file'            => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/default/dummy.xml',
      'local_import_widget_file'     => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/default/widgets.json',
      'local_import_redux'           => array(
        array(
          'file_path'   => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/default/options.json',
          'option_name' => 'kable',
        ),
      ),
      'import_preview_image_url'     => PIKOWORKS_DUMMY_BASE_URL . 'dummy/default/screenshot.jpg',
      'preview_url'                  => $main_domain.'default',
    ),
    array(
      'import_file_name'             => 'Electronics',
      'categories'                   => array('Demo'),
      'local_import_file'            => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/electronics/dummy.xml',
      'local_import_widget_file'     => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/electronics/widgets.json',
      'local_import_redux'           => array(
        array(
          'file_path'   => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/electronics/options.json',
          'option_name' => 'kable',
        ),
      ),
      'import_preview_image_url'     => PIKOWORKS_DUMMY_BASE_URL . 'dummy/electronics/screenshot.jpg',
      'preview_url'                  => $main_domain.'electronics',
    ),
    array(
      'import_file_name'             => 'Fashion',
      'categories'                   => array('Demo'),
      'local_import_file'            => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/fashion/dummy.xml',
      'local_import_widget_file'     => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/fashion/widgets.json',
      'local_import_redux'           => array(
        array(
          'file_path'   => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/fashion/options.json',
          'option_name' => 'kable',
        ),
      ),
      'import_preview_image_url'     => PIKOWORKS_DUMMY_BASE_URL . 'dummy/fashion/screenshot.jpg',
      'preview_url'                  => $main_domain.'fashion',
    ),
    array(
      'import_file_name'             => 'Demo_rtl',
      'categories'                   => array('Demo', 'RTL'),
      'local_import_file'            => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/demo_rtl/dummy.xml',
      'local_import_widget_file'     => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/demo_rtl/widgets.json',
      'local_import_redux'           => array(
        array(
          'file_path'   => PIKOWORKS_DUMMY_DIR_PATH . 'dummy/demo_rtl/options.json',
          'option_name' => 'kable',
        ),
      ),
      'import_preview_image_url'     => PIKOWORKS_DUMMY_BASE_URL . 'dummy/demo_rtl/screenshot.jpg',
      'preview_url'                  => $main_domain . 'rtl',
    )

  );
}
add_filter('pt-ocdi/import_files', 'pikowroks_dummy_importer_files');

function pikoworks_dummy_after_importer_setup($selected_import)
{
  // Assign menus to their locations.
  $main_menu = get_term_by('name', 'Primary Menu', 'nav_menu');
  $login_menu = get_term_by('name', 'Primary Login Menu', 'nav_menu');
  $top_menu = get_term_by('name', 'Top Menu', 'nav_menu');
  $footer_menu = get_term_by('name', 'Footer Menu', 'nav_menu');
  $category_menu = get_term_by('name', 'Vertical Menu', 'nav_menu');
  $secondary_menu = get_term_by('name', 'Scondary Menu Style6', 'nav_menu');

  set_theme_mod(
    'nav_menu_locations',
    array(
      'primary' => $main_menu->term_id,
      'primary_login' => $login_menu->term_id,
      'top_menu' => $top_menu->term_id,
      'footer' => $footer_menu->term_id,
      'category' => $category_menu->term_id,
      'secondary' => $secondary_menu->term_id,
    )
  );

  // Assign front page and posts page (blog page).
  $front_page_id = get_page_by_title('Home');
  $blog_page_id  = get_page_by_title('Blog');

  update_option('show_on_front', 'page');
  update_option('page_on_front', $front_page_id->ID);
  update_option('page_for_posts', $blog_page_id->ID);


  if (class_exists('RevSlider')) {

    if ('Default' === $selected_import['import_file_name']) {
      $slider_array = array(
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/default/h_3_slider.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/default/h4_slider.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/default/h3_slider.zip"
      );
    }elseif ('Demo_rtl' === $selected_import['import_file_name']) {
      $slider_array = array(
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/demo_rtl/rtl-slide.zip"
      );
    }elseif ('Electronics' === $selected_import['import_file_name']) {
      $slider_array = array(
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/electronics/home_1.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/electronics/home_2.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/electronics/home_3.zip"
      );
    }elseif ('Fashion' === $selected_import['import_file_name']) {
      $slider_array = array(
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home1.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home2.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home3.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home4.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home5.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home6.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home7.zip",
        PIKOWORKS_DUMMY_DIR_PATH . "dummy/fashion/home8.zip"
      );
    }

    $slider = new RevSlider();

    foreach ($slider_array as $filepath) {
      $slider->importSliderFromPost(true, true, $filepath);
    }

    echo esc_html(' Slider processed', 'pikoworks_dummy');
  }

}
add_action('pt-ocdi/after_import', 'pikoworks_dummy_after_importer_setup');
